XFree86 4.3.0 (27 February 2003)
 964. Add an imake option to allow the glibc21-style setjmp() behaviour
      to be forced when auto-detecting it fails (this is needed for RH 7.0).
 963. Add missing raise/lower volume key descriptions for the "hpxe3gc"
      XKB map (#A.1651, Paul Pacheco).
 962. Fix some typos in the Syriac XKB map (#5654, Emil Soleyman-Zomalan).
 961. Add documentation about using XKB for the XFree86 server's special
      key sequences and the HandleSpecialKeys config option (#5653, Joe Moss).
 960. Move the XF86_DATE definition to a separate file so that bumping it
      doesn't trigger almost everything to be rebuilt (David Dawes).
 959. Xterm patch #174 (Thomas Dickey).
 958. Fix a bug that was preventing DGA2 acceleration from being advertised
      by the i810 driver (David Dawes).
 957. Fix an "xtt" font backend module crash that shows up on Linux/PPC,
      related to an invalid code converter module being loaded because of
      a broken string comparison in xttconv.c (#A.1647, Chisato Yamauchi,
      Daisuke MASATSUNA).
 956. Fix a NULL dereference that can happen in lcGenConv.c (#A.1646,
      Anthony Fok Tung-Ling).
 955. Bump the libXft minor revision for the UTF-16 APIs that were added
      after rev 2.0 (#A.1643, A.1644, Keith Packard, 5652, Mike Harris).
 954. Fix a typo in the "freetype" font backend that prevents "ttc" fonts
      from working (#5651, Mike Fabian).
 953. Fix atimisc bug in restoring colourmaps after a VT switch
      (Marc La France).
 952. A more complete set of dead accent/space compose sequences, add
      <Multi_key> <slash> for letters with a "stroke", and add some
      combos for exponent characters, katakana voiced sounds, etc to
      the en_US.UTF-8 compose file (#5646, David Monniaux).
 951. Reinstate the VBEInit() call in the savage driver's PreInit().  This
      appears to fix a problem on some Savage MX platforms (#5649,
      Mike Harris).
 950. Restore the radeon driver's unconditional RADEONPreInt10Save() call
      on Alpha platforms because this is needed for Radeon cards where the
      BIOS ROM can't be read after it's been run once (by the firmware)
      without this (#5648, Jeff Wiedemeier).
 949. Update Newport driver doc (#5647, Guido Guenther).
 948. Fix reversed logic for VGA locking/unlocking (Nat Ersoz).
 947. Luit fixes:
       - Fix a bug with --encoding being too strict with the syntax.
       - Add a -x flag that causes luit to exit as soon as the child does.
       - Update the man page to synchronise with Tomohiro's work on XTerm.
      (#5643, Juliusz Chroboczek).
 946. Fix some endianness bugs in the r200 DRI driver, and guard a debugging
      print message (Michel Dänzer).
 945. Fix radeon HW cursor artifacts when switching between 2-color and
      ARGB cursors by always using the ARGB mode (#A.1639, Michel Dänzer and
      Fredrik Höglund).
 944. Fix rootless XDarwin crash when trying to GetImage with a rectangle
      bigger then the associated top level window (Apple).
 943. Add support for multi-head on ZX1-based Itanium2 systems  (Marc La France
      with documentation and assistance from Hewlett-Packard).
 942. Correctly initialize the RE_LINE_PATTERN register in the radeon
      and r200 DRI drivers (Keith Whitwell).
 941. Fix a problem where a malformed Ximage can cause Xcursor to step
      outside the image data (#A.1636, Keith Packard, reported by
      Michel Dänzer).
 940. Allow xf86setjmp/xf86setlongjmp to work with platforms where
      setjmp() isn't directly available as a function, specifically Linux
      platforms that use glibc 2.0 and 2.1. (David Dawes, Keith Packard).
 939. Check pScrn->vtSema before calling xf86SetCursor() from
      xf86CursorCloseScreen().  This avoids a segfault at exit with some
      drivers (Alan Hourihane).
 938. Fix adding FP native mode for Radeon (Hui Yu@ATI, Kevin Martin).
 937. Initialize I2C when primary head has an invalid DDC type for the
      Radeon driver (Hui Yu@ATI).
 936. Video fixes for TV and TVOverscan for the nsc driver (Sarma Kolluru).
 935. Fix to prevent ShadowComposite() to try to update the framebuffer
      when server is switched away (Egbert Eich).
 934. Fix problems where the ThirdLevel key and Alt modifiers don't work
      when a map that uses the ThirdLevel virtual modifier is not the first
      layout in a multi-layout configuration (#5642, Ivan Pascal).
 933. Use safe values in the Thai XIM which should work regardless of
      the signedness of XIMStringConversionPosition (#A.1628,
      Theppitak Karoonboonyanan).
 932. Replace xf86setjmp/xf86setlongjmp with symbol aliases that resolve
      directly to the native libc versions so that they can operate in
      modules, and make xf86jmp_buf much larger so that should be big enough
      for any reasonable CPU/OS combination.  This should fix problems
      with the Freetype2-based freetype font module (#A.1625, Keith Packard).
 931. Change the default base symbols map from pc104 to pc105, which should
      fix most cases where the <LSGT> key isn't defined.  Also change the
      default XkbModel from pc101 to pc105 (Ivan Pascal).
 930. Fix run-time enabling/disabling of VT switching via xf86EnableVTSwitch()
      (David Dawes).
 929. Add a "DontVTSwitch" option to allow VT switching to be disabled
      (on platforms where the X server initiates VT switches) (#5640,
      Branden Robinson).
 928. Fix a memory leak in _XimExtension() (#5638, MINAMI Hirokazu).
 927. Fix hard-coded ProjectRoot paths in the proxymngr man page (#5634,
      Branden Robinson).
 926. Fix a NULL pointer dereference in the fontenc library (#5633, Debian).
 925. Update the neomagic man page to document the OverlayMem option (#5632,
      Diego Santa Cruz and Branden Robinson).
 924. Fix a memory leak in XCloseDisplay, and a potential race condition
      when multiple threads attempt to initialize the Xcursor library
      simultaneously (#A.1623, Keith Packard).
 923. Fix xvidtune to pop up a info window if mode on chipset is
      not tuneable (Egbert Eich).
 922. Fix a NULL pointer in a var_arg list in xfd which causes problems
      on 64 bit systems (Egbert Eich).
 921. Fix a typo in the nsc Imakefile when installing the linkkit 
      (#A.1624, Stanislav Brabec).
 920. Remove a dependency on how Xlib buffers requests internally for
      xtest's test 2 of XSync (Keith Packard).
 919. Fix a bug in the way the bitmap font code calculates mix/max bounds
      (it was ignoring empty characters), which fixes some xtest fonts
      bounds check failures (Keith Packard).
 918. Check that the HW cursor has been setup before calling
      xf86ForceHWCursor() in the radeon (and r128) driver.  This fixes
      crashes when using only the SW cursor (#5628, Michel Dänzer).
 917. Fix duplicate arguments for xf86MatchPciInstances() in the DESIGN doc
      (#5627, Guido Guenther).
 916. Miscellaneous 64-bit and warning fixes to mfb, xf1bpp and xf4bpp
      (Marc La France).
 915. Fix a bug in beforelight that was preventing it from being restarted 
      and could cause random X clients to be killed. (Matthieu Herrb)
 914. Add a means by which a motherboard chipset driver can prevent the common
      layer's check for mis-configured PCI-to-PCI bridges (Marc La France).
 913. Fix bug that would sometimes cause an extra hardware cursor to re-appear
      on a secondary head after a server reset (Marc La France).
 912. Protect "cvl" references in recent changes to _XEventsQueued() with
      '#ifdef XTHREADS' (reported by Dan Holm).

XFree86 4.2.99.902 (17 February 2003)
 911. Change the newport driver to use ShadowFBInit2 to fix the broken
      "switching back from the console" issue, and update the driver's man
      page (#5625, Guido Guenther).
 910. SCO doc update (#5624, J. Kean Johnston).
 909. Fix X11.tmpl so that Fontconfig works correctly if an OS.cf file
      sets HasFontconfig, and do this in sco5.cf (#5624, J. Kean Johnston).
 908. Move the vbe module from xfree86/os-support/ to xfree86/ (David Dawes).
 907. Some changes to the os-support kbd driver layer's calling conventions
      to provide more flexibility (#A.1615, Zephaniah E. Hull).
 906. Fix a crash in the "xtt" font module caused by a NULL dereference
      when the font cache becomes full (#A.1611, Chisato Yamauchi and
      tokeijikakenoringo).
 905. Update the list of DRI-supported Radeon hardware (#A.1610,
      Knut J Bjuland).
 904. Fix a problem in _XEventsQueued() that causes an event reader lock
      of another thread to be released.  This can cause a hang and keyboard
      lockup in KDE (#5619, Ewald Snel).
 903. Fix some bugs with Xft drawing to non-Render enabled servers:
       - Drawing monochrome glyphs had an infinite loop.
       - XftGlyphSpecCore failed to render some glyphs, leading to application
         crashes from uninitialized values.
       (#A.1608, Keith Packard, reported by Nalin Dahyabhai).
 902. Fix the <BKSL> key in the "winkeys" variants of the Russian and
      Ukrainian XKB maps (#5624, Leon Kanter).
 901. Install the XKB README files (#5623, Ivan Pascal).
 900. Add the numeric keys row to the pc/us symbols map (#5622, Ivan Pascal).
 899. Resync with DRI mesa-4-0-4 branch:
       - Fix DOT3 texture combine env in the r200 driver (Ian Romanick).
       - Fix SW TCL path in the radeon driver (Felix Kühling).
       - Don't assert for FLUSH_STORED_VERTICES if a glBegin hasn't been
         emitted (Alan Hourihane).
 898. Another update to the fix for the client-side DRI cleanup code that
      should fix references to freed data, an fix a potential memory leak
      (Leif Delgass).
 897. Fix the behaviour of XLookupString() when XKB is enabled in Xlib
      but not the server.  This fixes an xtest XRebindKeysym() failure
      (David Dawes).
 896. Added radeon driver options documentation to the Options file
      (#5621, Michel Dänzer).
 895. Fix the return value of SetFontPath() when a font path element is bad
      (David Dawes).
 894. Add some more HP keyboard layouts (Peter Soos).
 893. Remove XFree86-specific keysyms that already have generic equivalents
      (Menu, Redo, Print, Undo).
 892. Add keyboard layout information for the HP 5181 Internet/Multimedia
      keyboard (#A.1603, John Mitchell).
 891. Fix a problem where two-color render cursors have extra pixels set
      (#A.1607, Keith Packard).
 890. Fix for corruption when using video modes requiring more than 2MB on
      S3 968 cards (#A.1602, Justin T. Gibbs).
 889. Fix TVoverscan problems on the NSC SC1200 chip (Sarma Kolluru).
 888. Cure cursor artifacts by setting HARDWARE_CURSOR_SHOW_TRANSPARENT and
      HARDWARE_CURSOR_UPDATE_UNHIDDEN in the r128 and radeon drivers.  The
      wait-for-VSync nonsense the Radeon's currently do can, and should, be
      ripped out later.  (Marc La France).
 887. Extend HARDWARE_CURSOR_SHOW_TRANSPARENT to make hardware cursors
      transparent, rather than disabling them, when a switch to a software
      cursor is needed.  This removes recently introduced cursor artifacts
      in the atimisc driver.  (Marc La France).
 886. Cancel repeat for switch screen XKB actions, which fixes a VT
      switching problem that has just become visible (Ivan Pascal).
 885. Added reinitialization of screen layout after RandR size change
      on a multihead setup. This keeps cursor movement beween screens
      working (Egbert Eich).
 884. Remove Xcms.txt entries that have server-side equivalents.  It looks
      like the slightly different resulting colour definitions from the
      Xcms.txt entries were responsible for an xtest failure.
 883. Fix some problems with using pre-existing version of fontconfig,
      freetype2 and expat (#A.1600, Keith Packard).
 882. Add missing zero-sized check to one of Xft's core rendering routines
      (#A.1599, Keith Packard).
 881. Add a missing symbol reference to the radeon driver (#5618, Mike Harris).
 880. Fix the Xcursor include path in the man page (#5617, Kevin Brosius).
 879. Update ViRGE documentation (#5617, Kevin Brosius).
 878. Fix mkfontscale so that it doesn't include characters forbidden in XLFD
      in the names it generates (#5616, Mike Fabian and Juliusz Chroboczek).
 877. Fix a rounding problem in the "freetype" module, which fixes the problem
      worked around in entry 864 below (#5615, Juliusz Chroboczek).
 876. Fix incorrect alias for lv_LV.iso885913, and add some missing lv_LV
      aliases (#5614, Aivils Stoss).
 875. Fix a bug where xauth may write an incomplete authority file and delete
      the old one if there is insufficient disk space (#5612, Harald Hoyer).
 874. DPMSClose() wasn't correctly setting its devPrivate to NULL (based
      on #A.1594, Denis Zaitsev).
 873. Fix scanpci's printing of routing information for PCI-to-PCI bridges
      (Marc La France).
 872. Bring Cygwin/XFree86 up-to-date (#5613)
       - Multiwindow Window Manager (Kensuke Matsuzaki).
       - Clipboard integration (Harold Hunt).
       - Remove unnecessary redefines of fchown/fchmod (Takashi Sawanaka)
       - Fix some NULL pointer problems on screen changes (Alexander Gottwald).
 871. Fix some problems when noaccel is used in the nsc driver (Sarma Kolluru).
 870. Fix acceleration bugs in the nsc driver (Sarma Kolluru).
 869. Change initMouseHW() to always return TRUE, which restores the older
      more graceful behaviour (Egbert Eich).
 868. Revert the DestroyContext, GarbageCollectDrawables reording in
      dri_util.c, and instead check if the drawable is known to the DRI
      client code before calling XF86DRIGetDrawableInfo (Egbert Eich).
 867. Fix some scaling problems with the updated whiteglass cursor icons,
      fixing some incorrect hotspots (Kevin Puetz).
 866. The sunffb driver was treating a function with a void return value
      as if it had a Bool return value.  This causes the driver to fail
      in some cases (#A.1588, Ferris McCormick).
 865. Add private keysyms for the new XKB actions (XFree86 special keys),
      and move those actions to an XKB compatibility map.  This fixes
      side-effects (loss of auto-repeat and mousekeys functionality) of
      the way this was implemented previously (#5610, Ivan Pascal).
 864. Fix an X server crash with the "freetype" module when displaying
      kochi-mincho.ttf at a size of 18 pixels or higher (Chisato Yamauchi).
 863. Fix segfault in XkbInitKeyboardDeviceStruct() (David Dawes).
 862. Add a ServerFlags/ServerLayout option for disabling the RandR extension
      (David Dawes).
 861. Resync with DRI mesa-4-0-4 branch:
       - Correct RADEON_MAX_TCL_VERTSIZE and set MaxArrayLockSize
         (Keith Whitwell).
       - Fix EAGAIN handling in radeon_cp_dispatch_texture(), which fixes
         corruption of large textures (Michel Dänzer).
       - Fix bufferSize and alphaMask for DRI in several drivers (Brian Paul,
         Leif Delgass).
       - Avoid a loop on validating destroyed drawable (Keith Whitwell).
       - Reorder DestroyContext, GarbageCollectDrawables to avoid error
         (Egbert Eich).
       - Remove untested BSD DRM vlank signal code (Eric Anholt).
       - Update Radeon PCI IDs for BSD drm driver (Eric Anholt).
       - Uninitialize mutexes on cleanup in the BSD drm driver, which
         fixes panics with FreeBSD-5.0 with WITNESS (Eric Anholt).
       - Remove the untested/unused gamma DRM driver for BSD (Eric Anholt).
 860. Fix byte swapping of the refresh rate argument to RandR's
      SetScreenConfig request, and fix a 1.0 client compatibility problem
      with SetScreenConfig (#A.1574, Keith Packard).
 859. The i810 driver wasn't releasing control of the agpgart when VT switching
      away for the 830M and later (David Dawes).
 858. Update Rage 128 and Radeon PCI IDs (Mike Harris).
 857. Fix vertical retrace to not interfere with interrupt handling
      (#5608, Michel Dänzer).
 856. Add M9 DRI support (Hui Yu@ATI).
 855. Update Radeon man page (Michel Dänzer).
 854. Add Radeon man page (Hui Yu@ATI).
 853. Use strtol instead of atoi in xf86cfg 'expert' mode. Make pauses
      when printing keyboard models in xf86config (#5609, Chisato Yamauchi).
 852. Xterm patch #173 (Thomas Dickey).
 851. Don't use XkbGetKeyboard() in xset, just use XkbAllocKeyboard()
      (Ivan Pascal).
 850. Fixes for the nsc driver for HW cursor hotspots and GX2 video
      clipping issues (Sarma Kolluru, NSC).
 849. Fix HW cursor on CRTC2 for SiS650+301B (Thomas Winischhofer).
 848. Update the i810/i830 driver to recognise the 865G integrated graphics
      chipset (David Dawes).
 847. Updates for the nsc driver (Sarma Kolluru, NSC).
 846. Fixed dual head for 1400x1050 displays (Thomas Winischhofer).
 845. Initializing clock ranges in several drivers to get rid of the
      annoying 'scaled from 0.0 MHz' message in xf86PrintModes()
      (Egbert Eich).

XFree86 4.2.99.901 (4 February 2003)
 844. Fixing a double free in libXRandr (Egbert Eich).
 843. The microsoft-win3.1 encoding file wasn't being installed (#A.1569,
      Mike Harris).
 842. Sync the FIFO in the vmware driver after defining an ARGB cursor
      (#5607, Nolan Leake).
 841. Add missing Num_Lock and Scroll_Lock modifiers to the jp XKB map
      (Chisato Yamauchi).
 840. Change the default cursor theme to "core".
 839. Fix some keys in the Slovenian (si) XKB map (David Balazic,
      Henrik Nordström).
 838. Add a check to xset for a NULL return from XkbGetKeyboard()
      (Tapani Utriainen).
 837. Resync with DRI mesa-4-0-4 branch:
       - radeon DRM: only acknowledge interrupts we handle -- others could
         be used outside the DRM (Michel Dänzer).
       - Fix PCI and AGP posting problems (based on testing by Chris Ison
         and suggestions by Benjamin Herrenschmidt and Arjan van de Ven).
       - Remove radeon_flush_write_combine() which has been unused for a while
         (Michel Dänzer).
       - Disable strict aliasing when building the DRM (Michel Dänzer).
 836. Fix xfs crash on Darwin by making libXfont a flat namespace image
      (Torrey T. Lyons).
 835. Avoid endless loop when initializing an PS/2 mouse behind a 
      repeater (Egbert Eich).
 834. Radeon driver: make sure  RADEONCPStop() is only called when
      RADEONCPStart() has been called before. Failing to do so may
      make the kernel driver oops (Egbert Eich).
 833. Disabling MMX, 3DNow and SSE support for x86-64 as the function
      call sequence is hardcoded to ia32 (Egbert Eich).
 832. Fix a hang in multi-thread mode caused by a missing UnlockDisplay() in
      XkbGetMapChanges() (Jose Luu).
 831. Resync with DRI mesa-4-0-4 branch:
       - Don't inflate relative vblank sequence numbers on repeated calls
         (e.g., when interrupted by a signal) (Michel Dänzer).
       - Fix size of VERTEX2 ioctl struct (Egbert Eich).
 830. SiS driver fixes:
       - Mode restoration fix.
       - Xv Hue and Saturation property fixes (310/325 series).
       - Built-in mode fixes.
       - Revert wrong bus width assumptions from previous patch.
      (Thomas Winischhofer).
 829. R128 build fix on big endian platforms (#A.1565, George Staikos).
 828. Updated whiteglass cursor icons that fix the resizing glitches in the
      existing ones (#A.1563, Kevin Puetz).
 827. Include server control definitions in some XKB maps that were missing
      them (based on #A.1562, Jens Petersen).
 826. Define Alt/Meta modifiers for the jp106 XKB layout, and include
      server control definitions (#A.1562, Jens Petersen).
 825. Add some locales required for the OpenI18N compliance test (#A.1550,
      Leon Ho).
 824. s3virge driver updates:
       - 320x240 doublescan support with mouse adjust.
       - Power management printouts, DAC error printout fix.
       - Log XVideo status based on chipset, and preliminary support for
         disabling XV when a mode doesn't support it.
      (#A.1550, Kevin Brosius).
 823. Add an Ethiopic TTF and OTF font (#A.1549, Daniel Yacob).
 822. Add a phonetic layout to the Bengali XKB map (#5606, Taneem Ahmed).
 821. Work around an AGP bug in the AlphaServer ES45 by padding each ring
      buffer packet in the radeon drm with NOPs to cache line boundaries.
      This is only done for Alpha platforms (#5605, Jeff Wiedemeier).
 820. Add missing domain decoding to DRM(irq_busid) for Alpha (#5604,
      Jeff Wiedemeier).
 819. Build fix for the DRM on FreeBSD 5.0-current (#5603, Eric Anholt).
 818. xaaStateChange.c was not calling RestoreAccelState before doing
      CPUToScreenTexture and CPUToScreenAlphaTexture, which seems to be the
      reason why RENDER acceleration was broken on some dual-monitor MGA cards
      (#5602, Nolan Leake).
 817. Make the vmware driver a little more conservative about supporting
      HW RGBA cursors in 8-bit modes (#5606, Nolan Leake).
 816. Work around a problem with the vmware driver's interaction with the
      offscreen memory manager (#5606, Nolan Leake).
 815. Fix fb's rotation of tiles and stipples when using non-zero PixOrigin
      macros (Torrey T. Lyons).
 814. Fix Radeon native FP mode initializion (Hui Yu@ATI).
 813. Resync with DRI mesa-4-0-4 branch:
       - Fix Q3A mode change prolbem in thr r200 driver (Keith Whitwell).
       - Add a missing break to prevent spurious GL_INVALID_ENUM
         (Leif Delgass).
       - Fix __FUNCTION__ usage in the ffb 3D driver (Leif Delgass).
       - Limit the number of pending vblank signals to 100 to prevent
         a DoS (Michel Dänzer).
       - Fix a void * arithmetic warning in the radeon DRM driver
         (Leif Delgass).
 812. Fix a typo in the "pl2" XKB map (#A.1553, Piotr Xurek).
 811. Fix a null dereference in Mesa that can cause an X server crash at
      client exit (#A.1548, Ezra Peisach).
 810. Improve the XTT code that prevents unexpected data to be passed to
      XAA (#5600, Chisato Yamauchi).
 809. xkbcomp/rules/xfree86.xml wasn't being installed (#5599, Ivan Pascal).
 808. Add knowledge about two Korean foundries to mkfontscale (#5598,
      Jungshik Shin).
 807. Disable the INREG fallbackup in the radeon 3D driver on Alpha because
      it references a function that's not availalbe (#5596, Jeff Wiedemeier).
 806. Fixed patch 760: VBEInit takes entity index, not screen index 
      (Egbert Eich).
 805. Card name changes/fixes (Hui Yu@ATI).
 804. Panel color channel depth fix for Radeons (Hui Yu@ATI).
 803. Include list_for_each_safe define for kernels that do not have it
      (Kevin Martin).
 802. Fix 2D corruption around 3D window, when 3D window is moving and using
      Radeon page flipping code (Michel Dänzer).
 801. Big endian fixes for Rage 128 and Radeon video and Radeon cursor code
      (Michel Dänzer).
 800. Enable PCI GART for all architectures (still gated by ForcePCIMode, if
      on an AGP card) (Michel Dänzer).
 799. Fix for Radeon's CP accelerated 2D sync routine (Michel Dänzer).
 798. SiS driver fixes:
	- Fix for SiS730+LVDS machines (display modes restricted due to 
	  hardware limits; LCD text mode restoration fixed)
	- Fix for SiS300 bus width detection
	- Fix for Fn+Fx output device switching on some machines (still 
	  does not work on all)
	- Numerous Dual Head fixes
	- Added color hardware cursor support on 300/310/325/330 series
	- Added PAL-M and PAL-N support for Chrontel 701x
	- Added ModeLine handling for 300/310/325/330 series (CRT1 only)
        (Thomas Winischhofer).
 797. Fix for memory fences on PowerPC (Marc La France).
 796. Work-around for Radeon int10 problems (Marc La France).
 795. Fix XDarwin crash in rootless mode with 16-bit color by ensuring that
      window pixmap pointers are 32-bit aligned (Apple, Torrey T. Lyons).
 794. Update the i810 2D driver and i830 3D drivers to recognise and handle
      the Intel 852GM/855GM integrated graphics chipsets (David Dawes,
      Keith Whitwell).
 793. Force extension-generated mode switches always occur (Marc La France).
 792. Fix OS/2 library build problem (Frank Giessler).
 791. Fix bug that at times prevented recognition of resources decoded on PCI
      root busses (Marc La France).
 790. Fix XDarwin's spurious transparent regions in rootless windows
      (Torrey T. Lyons).
 789. Fix bug in recognition of certain ix86 Host-to-PCI bridges
      (Marc La France).
 788. Fix for breakage in reading the serial PnP mouse ID string (David Dawes).
 787. Add "core" theme to Xcursor to force old behaviour (Keith Packard).
 786. Increase the default font cache size so that it works better for
      iso10646 (#A.1541, Hidetoshi Yamanouchi, Chisato Yamauchi).
 785. Fix an XTT problem where garbage is displayed when there are undefined
      glyphs for fixed width fonts, and fix some other potential problems
      (#A.1541, Hidetoshi Yamanouchi, Chisato Yamauchi).
 784. Resync symbols/fi with symbols/pc/fi (#A.1532, Marko Myllynen,
      #5589, Linus Torvalds).
 783. Resync xkb/rules/xfree86.xml with xfree86.lst (#5595, Ivan Pascal).
 782. ISO_Level3_Shift was breaking compose sequences because Xlib wasn't
      recognising it as a modifier key (#5594, Ivan Pascal).
 781. Add a Lao (lo) XKB map (#5592, Anousak Souphavanh).
 780. Add a multi-layout version of the Malayalam keymap (#5593, Ivan Pascal).
 779. Add some missing entries to the xkb rules $oldlayouts and $nonlatin
      sets (#5593, Ivan Pascal).
 778. Prevent mkfontscale from looking at bitmap fonts, and ensure that it
      doesn't crash if a font happens to have no head (#5591,
      Juliusz Chroboczek).
 777. Document that DVI the mga_hal module may be necessary to use the DVI
      output with the G550 and other cards (#5590, Andrew Aitchison).
 776. Fixes for a few "nodeadkeys" XKB maps (David Dawes).
 775. Protect magic cookie from short-lived exposure on command line in 
      startx (Christian Biere).
 774. Fix ELF loader to ignore -g debugging information
      (#A.1539, Juergen Keil).
 773. Fix artifacts left by XDarwin when reshaping a shaped window (reported
      by Adrian Umpleby).
 772. Fix XDarwin rootless crash when resizing a window (Apple).
 771. Fix vbe module to not assume BIOS call results are zero-extended
      (Paulo Cesar Pereira de Andrade).
 770. Fix improper initialisation of pciConfigRec's.  Reported by Marcel
      Moolenaar (Marc La France).
 769. Fix intermittent XDarwin crash on Mac OS X 10.1.x when changing cursors
      on dual processor machines (Torrey T. Lyons).
 768. Correction to 'is' keymap (reported by Richard Allen).
 767. Fix GLX library mis-use of LockDisplay()/UnlockDisplay() sequences
      (reported by Alexis Vartanian).

XFree86 4.2.99.4 (20 January 2003)
 766. Fix XDarwin's rootless mode with 16-bit color (Apple).
 765. Allow UTF8 conversion to work for Japanese locales (#A.1527,
      Etsushi Kato).
 764. Add a method for working around a problem that can show up when
      running setxkbmap from a machine with a different version of XKB
      than the X server.  The workaround method is documented in
      the setxkbmap(1) man page (#5588, Ivan Pascal).
 763. Add some new keys and key combinations that can be used for switching
      between XKB groups (#5587, Ivan Pascal).
 762. Fix typos in the README.fonts document (#5585, John Himpel,
      Juliusz Chroboczek).
 761. Fix the pc/fi and pc/il XKB maps after recent changes made them
      non-compliant with the multi-layout scheme (#5581, Ivan Pascal).
 760. Allow the mga driver to fallback to using VBE for DDC when using
      the native method fails.  This allows DDC to work for DVI output
      on Matrox cards (#5580, Andrew Aitchison).
 759. Add block handler for XDarwin's quartz modes to clean up any
      autoreleased objects in the server thread (Torrey T. Lyons).
 758. Fix use of uninitliazed variable in xmag/xmag.c (A.1525, Keith Packard).
 757. Fix typo in Radeon Mono8x8 code (#A.1526, Juergen Keil).
 756. PS/2 mice initialization sequence changed: rerun entire sequence
      when something goes wrong - this needs to be rewritten completely
      after 4.3 is out (Egbert Eich).
 755. Savage driver: disable HW cursor on stretched LCD displays,
      let SaveScreen and DGA test if HW cursor is on before 
      disabling/reenabling it (Egbert Eich).
 754. Fixed VBE EDID read: due to a missing register setting read
      ended in endless loop on certain systems (Egbert Eich).
 753. Changed the default mouse device for FreeBSD to sysmouse and the
      protocol to auto when running X -configure (#5584, Eric Anholt).
 752. Changed the default mouse device for xf86cfg and xf86config to
      /dev/sysmouse for FreeBSD (#5582, #5583, Eric Anholt).
 751. Fix for Mono8x8 patterns on Radeon (#A.1520, Juergen Keil, Kevin Martin).
 750. Fix for Radeon mode validation (#A.1330, #A.1380, #A.1393, #A.1522,
      #A.1523, Wayne Whitney, Hui Yu@ATI, Juergen Keil).
 749. Workaround for flickering problem with switching between ARGB and mono
      cursors on Radeons (#A.1380, Hui Yu@ATI).
 748. DDCMode fix for VidMode extension (#A.1380, Kevin Martin, Hui Yu@ATI).
 747. Panel detection bug fix for Radeon (#A.1380, Hui Yu@ATI).
 746. Add Xv overlay support for dual headed Radeons (#A.1380, Hui Yu@ATI).
 745. Fix Radeon driver's 24-bit support for flat panels (#A.1380, Hui Yu@ATI).
 744. Add Radeon 9500/Pro support (#A.1380, Hui Yu@ATI).
 743. Disable CGWorkaround for non-A11 rev R300s (Kevin Martin, Hui Yu@ATI).
 742. Radeon solid/dashed line fix for RV200 and newer card (Kevin Martin).
 741. Radeon overlay gamma fix (Hui Yu@ATI).
 740. Radeon LG panel fix (Hui Yu@ATI).
 739. Change makedepend to warn about any whitespace it finds in front of
      pre-processor directives (Marc La France).
 738. Missing deadkeys in UTF-8 compose table (Mike Fabian).
 737. Build fix for SPARC (Thorsten Kukuk).
 736. Fixed integer address value in vesa driver to be large enough
      to hold a 64 bit memory address (Andreas Schwab).
 735. Disabled RENDER accel on Matrox when used in multihead mode 
      (Stefan Dirsch).
 734. Added FireGL 8700/8800 to the list of supported cards or RADEON
      driver (Stefan Dirsch).
 733. Added -mcmodel=kernel to DRM Makefile for x86_64 (Stefan Dirsch). 
 732. Added vesa and fbdev driver to x86_64, removed nsc driver for ia64 build
      (Stefan Dirsch).
 731. Fixing comments in th_TH.UTF-8 (Stefan Dirsch).
 730. Fixes from the DRI CVS:
       - Don't segfault when spec or fog stride is 0.
       - Don't set RADEON_SURF_TRANSLATION_DIS for framebuffer aperture
         byte swapping on big endian machines; doesn't work with R200 and
         later chips.
       - Improve AGP workaround for pre-R200 chips.
      (Michel Dänzer).
 729. Remove inappropriate __linux__ ifdef in the tdfx client-side DRI driver
      (#5579, Eric Anholt).
 728. Allow makedepend handle whitespace in front of the '#' in preprocessor
      directives (ISO C permits this) (#A.1516, Alexander Stohr).
 727. Add zh_TW.UTF-8 locale support (#A.1514, Leon Ho).
 726. Add recognition of wacom "XD-xxxx" models to the wacom input driver,
      and treat them the same as "GD-xxxx" models (#A.1505, Rene Rask).
 725. Fix some missing render extension big-req compatibility (#A.1493,
      Keith Packard).
 724. Fix a missing initialisation in the calcomp input driver that makes
      the driver unusable and crashes the X server at startup (#A.1492,
      Martin Kroeker).
 723. Work around for a bug in the i740 driver's XVideo support where the
      video output would sometimes stop updating (#5578, Stephen Blackheath).
 722. Make DRM signal-on-vblank request return EINVAL on BSD since it's
      not been ported yet (#5576, Eric Anholt).
 721. Remove the no longer used bsd/drm/kernel/r128/*.[ch] files (#5576,
      Eric Anholt).
 720. drmFreeBufs was missing from the r128 driver's referenced symbols list
      (#5574, Eric Anholt).
 719. Allow all of the extended mouse button bits for the "sysmouse" protocol
      to be passed through (#5573, Eric Anholt).
 718. Update the XFree86 server special key handling so that by default
      there is a fallback to the the hard-coded keys when there is no
      Terminate action binding in the XKB map.  A new global option is
      added to allow the fallback mechanism to be used never, when needed,
      or always, with "when needed" the default (#5572, Joe Moss).
 717. Update the README.fonts document (#5570, Juliusz Chroboczek).
 716. Build the loader's libc wrapper with -DHAVE_SYSV_IPC on FreeBSD
      since NVIDIA's binary driver uses it (#5569, Eric Anholt).
 715. Reduce the stack usage from 64k to 8k in imLcPrs.c, which fixes
      a problem with Java for FreeBSD (#5568, Eric Anholt).
 714. Gcc 3 deprecated the #pragma weak method for weak links (#5567,
      Motoyuki Konno).
 713. FreeBSD.cf updates:
       - Sparc64 support
       - Recent 5.0-current doesn't need libXThrStub
       - Disable SharedLibXdmGreet, fixing xdm on alpha
      (#5566, Eric Anholt).
 712. XDarwin now loads GLX support dynamically. Current options are Apple's
      OpenGL framework or Mesa (Torrey T. Lyons).
 711. GeForceFX support in the nv driver (Mark Vojkovich).
 710. DPMS support in the nv driver.  CRTs only at this time (Mark Vojkovich).
 709. Fix for recognition of non-existent PCI devices (Marc La France).
 708. Fix for when firmware/BIOS initialisation does not enable the extra
      command FIFO entries available on second-generation integrated Mach64
      variants (Marc La France).
 707. Copying Syriac OTF fonts to directory OTF instead of TTF.
      The xtt font renderer cannot handle OTF fonts causing the
      entire directory to be ignored (Egbert Eich).
 706. Disabling MIT-SHM extensions for Xnest, fixing pixmap private
      code in Xnest, thus cleaning out bogus patch 137. 
      NOTE: The MIT-SHM presently *does* *not* work with Xnest. 
      I have code to make it work but it is not well tested therefore 
      MIT-SHM is disabled for now! (Egbert Eich).
 705. Fix the misnaming of three of the redglass cursors (#A.1491,
      Keith Packard).
 704. Fix for two problems where the combination of xtt and XAA could result
      in a crash.  The first problem was xtt returning a NULL pointer for
      the bitmap even though the height was non-zero.  The second problem
      was glyph ascent/descent exceeding the range of maxbounds.ascent/
      maxbounds.descent (A.1484, Chisato Yamauchi, Masanori Shimada).
 703. Eliminate locale-dependent behaviour in fontconfig's setfontdirs
      script (#A.1483, Markus Kuhn).
 702. Fix a bug in previous Thai XIM changes (#5563,
      Theppitak Karoonboonyanan).
 701. Updates for the Israeli XKB map, including:
       - Implement parens mirroring.
       - Add two additional variants: "lyx", replacing shifted Hebrew
         letters with Hebrew point marks, and "si1452", implementing the
         Standard of Israel no. 1452 mapping.
      (#5562, Tzafrir Cohen).
 700. BuildServersOnly fix when building on a system with no installed
      X headers or libraries (#5559, ISHIKAWA Mutsumi).
 699. Add extended symbols for the "Logitech Cordless Desktop Navigator"
      keyboard (#A.1480, Gilbert Fridgen).
 698. Fix xdm resource's font references to match actual bitmap fonts (#A.1477,
      Göran Uddeborg).
 697. Update the xcursorgen man page (#A.1475, Keith Packard).
 696. Add a Mongolian XKB map (#5557, Sanlig Badral).
 695. Fixes for the Turkish XKB map (#5556, Nilgün Belma Bugüner).
 694. Thai XIM fixes:
       - Fix the arguments in calling to StringConversionCallback in Thai XIM
         filter, according to Hideki Hiura's explanation on the protocol.
       - Add input sequence correction capability to the Thai XIM by
         exploiting the XIMStringConversionSubstitution operation.
      (#5553, Theppitak Karoonboonyanan).
 693. Resync the pc/fi XKB map with the previous map (#5552, Marko Myllynen).
 692. Workaround for parsing of Layout sections caused by recent changes
      (#5558, Andrew Aitchison, Paulo César Pereira de Andrade).
 691. Fix the enabling of the Glint Gamma for use on an Appian Graphics
      Jeronimo 2000 board which uses two Permedia3's (#5448, Sven Luther).
 690. Fix a problem in the trident driver for older chipsets and using
      16bit clock programming, manifested itself on a Thinkpad 760EL,
      but there are probably lots of others. (Alan Hourihane).
 689. On Darwin add Mac font directories to fonts.conf (Torrey T. Lyons).
 688. Post XDarwin mouse events in Quartz mode where they happen rather than
      where the cursor currently is (Adrian Umpleby).
 687. Enable Freetype Mac FOND support on Mac OS X (Torrey T. Lyons).
 686. Add an "lswitch" option to the group xkb map, allowing the left Alt
      key to be used for AltGr (#A.1463, Andreas Tobler).
 685. Add some locales for OpenI18N1.2 (LI18NUX2000) level.1 conformance,
      and change zh_HK to point to zh_HK.big5hkscs which conforms to
      glibc's default for zh_HK (#A.1457, Leon Ho).
 684. Updates for the Irish and Ogham XKB maps (#5549, 5550,
      Séamus Ó Ciardhuáin).
 683. Xterm patch #172 (Thomas Dickey).

XFree86 4.2.99.3 (21 December 2002)
 682. Add a request to XFree86-VidModeExtension to get the read/write
      permissions so that clients can check if they have permission to
      change parameters (David Dawes).
 681. Fix read-only XFree86-VidModeExtension requests for remote connections
      (David Dawes, reported by Jamie Zawinski).
 680. Correct problem when the server prints the name of a 'private
      xkb action' in a format that xkbcomp cannot understand, and
      was causing problems when calling XkbGetKeyboard (Ivan Pascal).
 679. Fix animated cursor problem with multiple screens (#A.1454,
      Keith Packard).
 678. gtf.c build fix for LynxOS 4.0 (#A.1453, Stuart Lissaman).
 677. Fix a segfault in fontconfig (#A.1450, Keith Packard).
 676. If some LEDs are lighting when one reloads the XKB keyboard map
      (using setxkbmap or xf86cfg) the LEDs become 'frozen' and can't
      be switched off. The patch fixes this bug. (#5544, Ivan Pascal).
 675. Fix some problems with the addition of multi-layout scheme to
      xkb: some keys that aren't 'alphabetic' should be treated as
      such to allow CapsLock+Shift working as expected; sometimes it
      is required to load an include file more than once due to
      multi-layout configuration, also fix some typos
      (#5545, Ivan Pascal).
 674. XKB programable 'special combinations' (such as Ctrl+Alt+<key>)
      also send usual key evants (press and release).  Although the
      keysym generated in this case is NoSymbol such events can confuse
      some applications (#5546, Ivan Pascal).
 673. Fix some remaining memory leaks in xkb initialization code
      (Paulo César Pereira de Andrade).
 672. Temporarily enable the hard-coded Ctrl-Alt-Backspace terminate sequence
      until a better fallback mechanism is implemented (Egbert Eich).
 671. Allow XKB-remappable hot keys to work with the "kbd" driver
      (Egbert Eich).
 670. Export xf86inSuspend as needed by the "kbd" driver (Egbert Eich).
 669. SiS driver updates, including:
       - support for SiS 330 Xabre (untested)
       - Bugfix for boxes with two VGA connectors (tested)
       - Autodetection of second monitor (tested)
       - TV detection improved (tested)
       - fixed error in 1280x1024 panel support (yet untested)
       - Fixed bug in TV output on SiS30xB/30xLV (PAL still only BW, not
         even the Windows driver can display PAL in color)
       - Fixed positioning of TV picture. Works now for all video bridges
         except Chrontel 7019 (still untested).
      (Thomas Winischhofer).
 668. Add an alternative French XKB layout (fr-latin9) (#A.1446, Guylhem Aznar,
      Rene Cougnenc, Nicolas Mailhot).
 667. Add bar and brokenbar to default <LSGT> definition for pc102 and
      pc105 xkb maps (based on #A.1445, Göran Uddeborg).
 666. Change the keypad "decimal" key to KP_Separator in the dk, fi, no, se
      xkb maps (#A.1440, Robin Rosenberg).
 665. Fixes and cleanups for the ISO8859-14 Compose table (#5543, 
      Séamus Ó Ciardhuáin).
 664. Update the Ogham xkb map, including full support for the IS434 standard
      and laptops (#5542, Séamus Ó Ciardhuáin).
 663. Update the Irish xkb map, including adding support for laptops (#5541,
      Séamus Ó Ciardhuáin).
 662. Add "Inet" key definitions for the Honeywell Euroboard keyboard (#A.810,
      Scott Penrose).
 661. Add "Inet" key definitions for the Trust Direct Access keyboard (#A.897,
      Raphaël Poss).
 660. Add draglock support to the mouse driver, for aiding trackball use
      by people with low dexterity (#A.1224, Paul Elliott).
 659. Fix bad includes in the xkb "level3" symbols file (A.1444,
      Göran Uddeborg).
 658. Fix atimisc panel support bug that occurs when the mode on server entry
      is a VGA mode with large horizontal and/or vertical blanking pulses
      (Marc La France).
 657. Fix small documentation error in config/imake/imakemdep.h (#A.1052,
      Linus Almstrom).
 656. Small change to find_mesa_visual() in xf86glx.c to avoid
      branch misprediction on x86 (#A.1057, lompik at voila.fr).
 655. Clear memory allocated in xtWidgetAlloc() to avoid garbage from
      malloc() being referenced later (#A.1114, Adam J. Richter).
 656. Make SysRq generate the same keycode as PrtScrn, and Break the same
      keycode as Pause (#A.1160, Owen Taylor).
 655. Add "Inet" key definitions for some HP and Toshiba laptops (#A.1213,
      Peter Soos).
 654. "Inet" key definitions for the Brother Internet keyboard (#A.1242,
      Diego Iastrubni).
 653. "Inet" key definitions for the Ennyah model DKB-1008 keyboard (#A.1256,
      Lionel Landwerlin).
 652. Apply i830 DRM driver cleanups to the i810 driver (#A.1438,
      David Airlie).
 651. Add XI18NOBJS files for the ko_KR.UTF-8 and ja_JP.UTF-8 locales
      (#5538, 5539, Jungshik Shin).
 650. Add FIRSTINDEX to the gb2312.1980-0.enc, gbk-0.enc and jis0212.1990-0.enc
      encoding files (#5537, Jungshik Shin).
 649. Increment shared libraries major revisions on OpenBSD if gcc with 
      stack protector is used (Matthieu Herrb, Todd Fries). 
 648. Resync with DRI (mesa-4-0-4-branch).
 647. Update XDarwin's IOKit mode to work with new event handling code
      (Torrey T. Lyons).
 646. Add some more aliases for some German locales (#A.1263, Thomas Koeller).
 645. Update kio8-r encoded Cyrillic BDF fonts (#A.1267, Andrey A. Chernov).
 644. Fix Xtrans TLI code to handle a port scan and not fill the log file
      with error messages from _XSERVTransTLIAccept() (#A.1333, Fiel Cabral).
 643. Only free cbs.data.text when cbs.type is XIMTextType in
      _XimStatusDrawCallback() (#A.1342, Owen Taylor).
 642. Allow mouse pointer movement to be rotated (#A.1346, Joost Buelens).
 641. Add xkb layouts for Indian scripts (Kannada, Telugu, and Oriya) (#A.1436,
      Guntupalli Karunakar).
 640. Enable MMX, SSE and 3DNow! for NetBSD 1.6 and later (#5536,
      Matthias Scheler).
 639. Merge the xkb 'lt' layouts into pc/lt (#5535, Nerijus Baliunas).
 638. Set the default fa_IR character set to UTF-8 instead of
      ISIRI-3342 (#A.1356, Roozbeh Pournader).
 637. Fixes and updates for building under LynxOS/PowerPC 4.0 (#A.1386,
      Stuart Lissaman).
 636. Update the ClearlyU fonts to version 1.9 (#A.1386, Mark Leisher).
 635. Fix for drmOpenDevice() ignoring success on its second attempt at
      opening the drm device (#A.1394, Alexander Stohr).
 634. Add support for a "-include" command line option to makedepend, similar
      to the same GNU C option (#A.1396, Alexander Stohr).
 633. Perform country-independent matching for Chinese languages in fontconfig
      (#A.1406, Keith Packard).
 632. Finish off the UTF-16 APIs in Xft, and fix the UTF-16 conversion
      code in fontconfig (#A.1411, Keith Packard, Jungshik Shin).
 631. Make XIM locale checking case-independent (based on #A.1422, Leon Ho).
 630. Fix incorrect datatype for the pixmap width in
      fbCompositeSrcAdd_8000x8000(), and add some small optimisations
      (#A.1423, Keith Packard).
 629. Update the se xkb map to allow the older AltGr+5 method of entering
      the Euro sign (#A.1433, Christian Rose).
 628. Add validation for the screen number parameter received over the wire
      by the X server's DRI extension code, and fix some similar checks in
      the GLX code.  This fixes X server segfaults when an invalid screen
      value is provided (#A.1434, Felix Kühling)..
 627. Fix some bugs in the Iranian xkb layout (#A.1135, Roozbeh Pournader).
 626. Add a Bosnian xkb layout (#A.1398, Amila Akagic).
 625. Fix for Hungarian xkb layout (#A.1175, Peter Soos).
 624. Update the Maltese xkb layouts (#A.1243, Ramon Casha).
 623. Add EuroSign to the xkb "gb" layout (#A.901, Dermot McNally).
 622. Various updates for the xkb "xfree86" keymap list (including #A.777,
      Andriy Rysin).
 621. Let kbd driver test if Xserver is in suspend before handling any
      input events (Egbert Eich).
 620. Fixed agp version checking to accept minor versions >= the specified
      number (Leif Delgass).
 619. Update referenced symbols lists for the mga, vesa, i810 and vmware
      drivers (David Dawes).
 618. Add missing symbol to the mga driver's referenced symbols lists
      (#5534, Mike Harris).
 617. Add some utf8 locale aliases (#5533, Mike Harris).
 616. Fix some Linux/Alpha (with domain support) build and runtime
      problems (#5532, Jeff Wiedemeier).
 615. Add some missing symbols to the radeon driver's referenced symbols
      lists (#5531, Mike Harris).
 614. Restore the Alt/Meta mappings for pc104/pc105 keyboards in the
      multi-layout maps (David Dawes).
 613. Add UTF-8 locale entries for Amharic-Ethiopian, Tigrinya-Eritrean
      and Tigrinya-Ethiopian (#5529, Daniel Yacob).
 612. Restore the "\|" key in the GB multi-layout keyboard layout (#5528,
      Andrew Aitchison).
 611. Updates for the auto-generated UTF-8 Compose file (#5527,
      David Monniaux).
 610. Updates/fixes for the Korean font encoding file (#5525, Jungshik Shin).
 609. Fix some problems with the multilayout version of the Turkish layout
      (#5521, Nilgün Belma Bugüner).
 608. DRM vertical blank ioctl can send a signal as an alternative to
      blocking (r200 and radeon only so far) (#5523, Michel Dänzer).
 607. Build fix for Linux/Alpha (#5515, Mike Harris).
 606. Change CppCmd on Linux to /usr/bin/cpp (#5514, Mike Harris).
 605. Fix an incorrect check for the "StrangeLockups" option in the
      neomagic driver (#5505, Mike Harris).
 604. Rename geode driver to nsc and add GX2 support (Sarma Kolluru, NatSemi).
 603. Add the missing XKB definition for keysym "ISO_Level3_Lock" (#5526,
      Séamus Ó Ciardhuáin).
 602. XkbSetControls should return True when successful, not False (#A.1385,
      Stephen Montgomery-Smith).
 601. The functions XGetXlibControls and XSetXlibControls must work even if
      the X server doesn't have the XKB extensions (#5513, Ivan Pascal).
 600. Add en_ZA locales (#5512, Berend De Schouwer).
 599. Fix shadowfb to not make update callbacks for operations that don't
      touch offscreen memory, and to not double (or more) update glyph
      rendering (#5509, Nolan Leake).
 598. Change XAA to not sync when it sees RENDER operations that don't
      touch VRAM, and to try to accelerate Glyphs with Composite if it
      seems likely that will work (#5509, Nolan Leake).
 597. VMware driver updates, including:
       - Fixed vmwareGetImage to correctly calculate the region to be gotten.
       - Small cursor bypass optimization.
       - Fixed race between writing normal registers and writing HWcursor
         registers.
       - Fixed small race in the FIFO wrap code that could cause FIFO
         corruption.
       - Added temporary offscreen memory manager.
       - Added compositing (RENDER) acceleration.
      (#5509, Nolan Leake).
 596. Newport driver updates, including:
       - Add hardware cursor support.
       - Workaround blank console after VT switch on some newports
         (based on a patch from Dominik Behr).
       - Support for the Indigo2 XL (based on a patch from Adrian Schroeter).
      (#5507, Guido Guenther).
 595. Add SGML versions of the XKB config and enhancing docs (#5506,
      Kamil Toman).
 594. Enable SSE, MMX, 3DNow support by default for Linux/x86_64 (#5502,
      Mike Harris).
 593. Replace hard-coded "lib" directory names with LibDirName in Imake.tmpl
      (#5480, Mike Harris).
 592. DRI shouldn't have been enabled for Linux/s390 (#5500, Mike Harris).
 591. Numerous bug, stability, and correctness fixes for the Intel 830/845G
      3D support (#5517, Keith Whitwell).
 590. Numerous bug and stability fixes for the Intel 830/845G 2D and Xv
      support (#5517, David Dawes).
 589. Move IOKit-specific global variables out of generic XDarwin code
      (Torrey T. Lyons).
 588. Add a new interface for registration of core font renderers that allows
      priorities to be assigned.  This allows multiple renderers for the
      same extension to be registered, with the one with the highest priority
      being the one that gets used (#5435, 5437, Juliusz Chroboczek).
 587. Fix 640x480 modes in neomagic driver (Egbert Eich).
 586. Fix reporting of G400/G450 in MGA driver (Andrew C. Aitchison).
 585. Don't change the authorization data (and in particular, don't
      enable local host access) if the X server's authority file
      is removed or becomes unreadable while the server is running
      (David Dawes, reported by Dietmar Schröter).
 584. Xterm patch #171 (Thomas Dickey).
 583. Fix uninitialized buffer-count in luit (Semen A. Ustimenko).
 582. Various xdm updates from Debian and Suse (#5358, Branden Robinson, 
      #5511, Sebastian Krahmer).
 581. Flesh out suncg6's SaveScreen() function (Moritz Bunkus).
 580. lib/Xaw/MultiSrc.c improperly checks open() return value
      (A.1415, Jaromir Dolecek), Fix provided by Hideo Saito in NetBSD.
 579. Add DPMS and screen blanking support in the sunffb driver
      (Ferris McCormick).
 578. Fix SEGV that occurs when Xsun* runs into an unrecognized framebuffer
      type (Marc La France).
 577. When the mode on server entry is found to be using composite sync on a
      Mach64 variant, turn on the "compositesync" option (Marc La France).
 576. Plug SIGIO hole while the server is switching back into its VT
      (reported by Michel Lespinasse).
 575. Use shadowfb in XDarwin fullscreen Quartz mode (Torrey T. Lyons).
 574. Make RENDER optional for Xvfb. When RENDER is enabled add depth 32 
      pixmap format  to list of supported pixmaps (Egbert Eich).
 573. Fix va_args glitches for xterm/libfontconfig: 0 == (void*)0 isn't true   
      for all platforms (Egbert Eich).
 572. Fix lbxproxy to also build on platforms that don't have snprintf()    
      (Egbert Eich).
 571. Fix va_args glitches in mkfontscale: arg stack isn't preserved after
      calling va_arg on all platforms (Egbert Eich).
 570. Fixed x11perf aa benchmarks to support non-default visuals/colormaps
      (Egbert Eich).
 569. Use -Os to build on Darwin PPC with Gcc 3.x (Torrey T. Lyons).
 568. XEditResCheckMessages trashed XtMalloced memory on some widget
      hierarchies, due to using incorrect indexes when removing
      duplicates (A.1409, Rob Arthan).
 567. xprop updates (Mihael Hategan).
 566. Fix SEGV in ICE library (Petter Reinholdtsen).
 565. Fix interaction between backing store and miext/shadow (adapted from
      Paulo César Pereira de Andrade).
 564. Add new key descriptions for XFree86 special keys (i.e. for terminating
      and VT switching the Xserver) (#5510, Ivan Pascal).
 563. #define DEALLOCATE_LOCAL as "do {} while(0)" instead of nothing to
      eliminate GCC warnings caused by code that does not assume
      DEALLOCATE_LOCAL can deal with null pointers (suggested by Kevin Martin).
 562. -
 561. Fix bug in kldload() call on FreeBSD (reported by Joy Ganguly).
 560. Adding int10 symbols to the list of possibly unresolved symbols in
      Rage128 driver (Egbert Eich).
 559. Allowing scanpci to be build on Ppc (Egbert Eich).
 558. Updating SiS driver. Lots of new features, supported chipsets and
      LCD panels, bug fixes. For details please check:
      http://www.winischhofer.net/linuxsis630.shtml 
      (Thomas Winischhofer).
 557. Changed MGA driver to query fb_offset for DRI from kernel instead
      of taking the driver's FBAddress - this is required by platforms
      like Alpha (Egbert Eich).
 556. Fix Xmu memory leak (reported by Michael Vogt).
 555. Deal with Creative SBlive devices that mis-identify themselves as
      "prehistoric" VGA's (Marc La France).
 554. Allow -configure to setup Unknown Vendor/Boards removing the requirement
      of xf86PciInfo information (Alan Hourihane).
 553. Hardware alpha blended cursors in the "nv" driver, new PCI IDs, and
      a fix for a problem on PowerPC (Mark Vojkovich).
 552. "nv" driver workaround needed to let Xv continue to work after a 
      suspend on some laptops (Pierre Lombard).
 551. Restore '--assembler-with-cpp' in AsCmd for Linux/mips, fixing the build
      on that platform (#5499, Guido Guenther).
 550. An alternative update for alphabetic four level cz, sk XKB maps.
      This is compatible with the way MS Windows behaves (#5498, Kamil Toman).
 549. Clarify the difference between characters and bytes in xev (#5497,
      Markus Kuhn).
 548. Add an Irish (ie) XKB keyboard map (#5496, Seamus O Ciardhuain).
 547. Replace the UTF-8 compose map with one automatically generated from
      the official Unicode documentation, with the addition of some
      handwritten rules (#5495, David Monniaux).
 546. Document the "nomtrr" option in the XF86Config man page (#5494,
      Mike Harris).
 545. Some fixes for the Icelandic xkb map (#5493, Olafur Osvaldsson).
 544. Add French Canadian keyboard description to xfree86.lst (#5492,
      Mike Harris).
 543. Add a new file for descriptions of XkbModel, XkbLayout, XkbVariant
      and XkbOption names, using an XML format.  Includes a DTD file
      and perl script to convert from the new format to the old (.lst)
      format (#5491, Ivan Pascal).
 542. Add missing "dvorak" single-group XKB layout (#5490, Ivan Pascal).
 541. Change the xkbfile library to allow some names to be grouped into
      a named list, which allows the rules file to be simplified (#5490,
      Ivan Pascal).
 540. Make the new single-group XKB symbols maps used by default (#5490,
      Ivan Pascal).
 539. Fix a crash that can happen when some apps are run in CJK locales
      (#5489, Havoc Pennington).
 538. Make xdm check the full password string (on Linux) for locked accounts
      rather than just the first character (#5485, Mike Harris,
      Nalin Dahyabhai).
 537. Fix a few cases where the transport endpoints would be removed
      even if NOUNLINK is specified in the flags (#5484, J. Kean Johnston).
 536. Attempt to fix bitblt problems when doing offscreen pixmaps in
      i810 (Egbert Eich).
 535. Change Build rule so that x86 assembler code for MESA can be completely
      disabled on i386 (Egbert Eich).
 534. Added IEEE Optimization for x86-64 (Egbert Eich).
 533. Initialized fullscreen in DRIscreenPrivate to a vaild value 
      (Egbert Eich).
 532. Fixed module loader to map memory in the low 32bit address space on
      x86-64 (Egbert Eich).
 531. Shifted Keypad delete: added KP_Separator for de_DE and de_CH keyboard.
 530. Added sanity checks to various scripts (Egbert Eich).
 529. Fixed Trident RGB16 video playback mode (Alastair Robinsion).
 528. i810 only set OVRACT register when TVout isn't enabled 
      (Sebastien BASTARD, Matthew J. Sottek, Egbert Eich).
 527. Record changes of BusMaster state so that pciDisable/Enable/Mem/Io
      don't override these (Egbert Eich).
 526. Fixed RAC code: when no resources are shared chips may still need
      RAC for bus access if both require non overlapping parts of the
      VGA resources (Egbert Eich).
 525. Fix for resource registration of C&T and Tdfx driver (Egbert Eich).
 524. Prevent   core dumps in Xutf8Reset/Lookup code of Xlib (Masaru Yokoi).
 523. Added support for BE systems for C&T driver (Michael Stephen Hanni). 
 522. Added support for special keys found on many ACPI control, Easy Access
      Keyboards, Internet keyboards, laptops, notebooks and PDA (via
      xkb/symbols/inet). Added new key symbols for these keyboards 
      (Stanislav Brabec).
 521. Fixed some problems with ininite loops which where introduced 
      with the host bridge specific code (Egbert Eich).
 520. AXP domain support (Jeff Wiedemeier).
 519. Added -m32 flag to c++ when build on ia32 (Egbert Eich).
 518. -
 517. Added rule to be able to use Numlock key on broken IBM keyboards
      (Stefan Dirsch).
 516. Fixed Xlib build rules so it builds a truly static library again 
      (Egbert Eich).
 515. When compiled with GCC, force imake to generate Makefile's using GCC's
      preprocessor rather than a system-provided one (Marc La France).
 514. Replace hard-coded "lib" directory names with LibDirName in X11.tmpl
      (#5480, Mike Harris).
 513. Add some README files for XKB and it's configuration files (#5479, 5483,
      Kamil Toman).
 512. Fixes for the "pc" cz and sk XKB maps:
       - readded cz_qwerty (but new pc/ style) map
       - added bskl variant missing in cz_qwerty and sk, sk_qwerty
       - fixed keypad decimal key definition to affect only defined group
         in cz, cz_qwerty
       - missing SPCE definition readded to sk, sk_qwerty
      (#5478, Kamil Toman).
 511. Union Reality UR-F98 headtracker input driver (Linux-only) (#5476, 5477,
      Alan Cox).
 510. Palmax PD1100 touch screen driver (#5475, 5477, Alan Cox).
 509. Fujitsu Stylistic input driver (#5474, 5477, Rob Tsuk, John Apfelbaum,
      Richard Miller-Smith, Alan Cox).
 508. Initialise ProgramName in xterm's main before referencing it (#5473,
      Peter Valchev).
 507. Add an Ogham XKB keyboard map (#5472, Seamus O Ciardhuain).
 506. Handle Alt+Ctrl+Shift+SPECIAL differently from Alt+Ctrl+SPECIAL
      where SPECIAL is one of the fallback built-in XFree86 hot keys
      (#5468, J. Kean Johnston).
 505. Add Syriac XKB keyboard maps (#5467, Emil Soleyman-Zomalan).
 504. Rename HasKatmaiSupport to HasSSESupport (#5461-5463, 5465, Mike Harris).
 503. Add mouse wheel support for SCO OpenServer (#5460, J. Kean Johnston).
 502. Fix i18n problem in xmessage due to use of the useStringInPlace
      resource (A.1381, Chisato Yamauchi).
 501. Fix xnest build on file systems that are not case sensitive
      (Torrey T. Lyons).
 500. Use unique local Imake define for fonts.conf dir (#5482, Mike A. Harris)
 499. Fix xc/lib/Imakefile to not break HasFontconfig (#5481, Mike A. Harris)
 498. Refresh screen after wake from sleep in XDarwin full screen mode
      (Torrey T. Lyons).
 497. Fixes and updates for the SCO OpenServer port (#5459, J. Kean Johnston).
 496. Add PCI ID defines for some ATI R300 chipsets (#5458,
      Vladimir Dergachev).
 495. Fix error message typo in MakeRootTile() (#5451, Mike Harris).
 494. Redirect hostname's stderr in the xon script (#5450, Mike Harris).
 493. Add a request to the XFree86-Misc extension for querying the
      X server's config file, module path, and log file name (#5456, Joe Moss).
 492. Add support for using the XKEYBOARD extension's action handlers
      for the XFree86 X server hot keys.  This provides control over
      the mapping of these hot keys (#A.1334, 5454, Joe Moss).
 491. Reinstate the X server -xkbdir option, but only when the X server's
      real and effective uids are the same (based on #A.1132, Ivan Popov).
 490. Fix an xkbcomp bug that prevents a later definition from specifying
      actions if the previous definition didn't (#5471, Joe Moss).
 489. Add a stub handler to xkbcomp for the DeviceValuator action (#A.1341,
      Joe Moss).
 488. Fix broken software cursor with XDarwin's new event handling
      (Torrey T.  Lyons).
 487. Change imake so that, when compiled with GCC, it invokes the pre-
      processor through the gcc front-end, passing it imake's -v flag
      (Marc La France).
 486. xf86cfg and xf86config patches, includind 1400x1050 mode, update list
      of modules, auto inclusion of the xtt module when running X -configure
      (A.1363, A.1364, A.1365, Chisato Yamauchi).
 485. Fix unbalanced paranthesis in linuxPci.c (#5466, Ishikawa Mutsumi).
 484. Remove "Option VideoRam" from savage driver, there's no need for it,
      and utilize the entities given VideoRam size (Alan Hourihane).
 483. Fix fontconfig to obey NothingOutsideProjectRoot, so that the directory
      /usr/share/fonts is ignored in this case (#A.1325, Joe Moss).
 482. Fix a segfault when using xkbcomp's -I option, and update the man
      page to correctly document the way this option works (#5447, Joe Moss).
 481. Don't assume mmap returns the pointer hint requested.  This is in
      the DENSE map code for Linux/alpha (#5439, Ray Strode).
 480. Build fix for r128_accel on PPC when DRI is disabled (based on
      #5438, Mike Harris and #5449, Matthieu Herrb).
 479. Updates to bdf/misc UCS fonts (#5446, 5453, Markus Kuhn).
 478. Fix Thai glyphs in the 6x13 UCS font (#5427, Theppitak Karoonboonyanan).
 477. Add Thai glyphs to 7x13, 7x13B, 7x13O, 7x14, 7x14B UCS fonts
      (#5445, Theppitak Karoonboonyanan).
 476. Add Thai subfont generation based on the ISO8859-11 map from unicode.org
      (#5434, 5445, Theppitak Karoonboonyanan).
 475. Update the multilayout version of the Greek (el) xkb symbols (#5425,
      Vasilis Vasaitis).
 474. On XDarwin startup, do not send events to the X server thread until it
      is ready to receive them (Torrey T. Lyons).
 473. Add a utility (called gtf) for calculating VESA GTF mode lines
      (Andy Ritger).
 472. Add an input driver for KB-Gear's Jamstudio pentablet (A.1328, 
      Brian Goines).
 471. Add a Tektronix 4957 input driver (#A.1211, Olivier Danet).
 470. Fix backing store in Rage 128 and Radeon drivers (Kevin Martin).
 469. Fix Mono8x8 code in savage driver, needed ROP_NEEDS_SOURCE, also
      add NO_PLANEMASK to ScreenToScreen as code doesn't handle that case
      (Alan Hourihane).
 468. Add a little utility to read and write I/O ports, for those host
      architectures that have them (Marc La France).
 467. Ignore (with messages) any HorizSync and VertRefresh specifications for
      panels when using ATI LT, LTPro, XL and Mobility M1 (Marc La France).
 466. Fix a build failure when BuildServersOnly is defined and XnestServer
      is not defined, and when /usr/X11R6 is not installed. (#A.1145,
      Valeriy E. Ushakov).
 465. Fix panel support bug for ATI LTPro, XL and Mobility M1 chips
      (Marc La France).
 464. Fix mode validation to deal with video memory sizes 256MB or greater
      (Marc La France).
 463. Add ARGB cursors support to the vmware driver (#5442, Nolan Leake).
 462. Add more query options to glxinfo (#5441, Brian Paul).
 461. Fix a typo in glxinfo (#5440, D. Hageman).
 460. Fix a memory leak in Cygwin/XFree86 server (#5444, Kensuke Matsuzaki).
 459. Missing fallback to miPolyArc in fbarc.c (#A.1339, Ralf Klingebiel).
 458. Fix the cyrix driver support for the 5510, 5520 and 5530. This driver
      only works with VSA1 based chips (#A.1260, Alan Cox).
 457. When building with gcc >= 2.8, generate Makefiles with `imake -Wundef`
      (Marc La France).
 456. Re-instate changes clobbered by DRI merge (Marc La France).
 455. Fix a typo in shadowfb support from #5413 (#5430, Nolan Leake).
 454. Fix a bug in vmware's HW cursor support which conditionally hid the
      cursor (#5430, Nolan Leake).
 453. Fix an initialization problem in the calcomp input driver (#A.1056,
      Josef Walzer).
 452. Add command line and XF86Config options to control Render color
      allocation on dynamic indexed visuals (Olivier Chapuis, Keith Packard)
 451. Keep track of whether the 830/845G HW cursor should be visible or
      hidden so that it doesn't get turned on when it shouldn't (David Dawes).
 450. Fix for DGA offset inconsistency in the 830/845G driver (based on
      a patch from Edgar Toernig).
 449. Fix a memory leak when calling _XCloseLC and removing the loadable
      locales (#A.855 Mark Robinson).
 448. Fix input size of character strings used in lib/X11/lcGetConv.c (#A.828,
      Yong-Jhen Hong).
 447. Add Shape extension support to Cygwin/XFree86 rootless mode (#5431,
      Matsuzaki Kensuke).
 446. Fix a typo in the s3 driver which prevented virtual display sizes.
      (#A.965, Stef Voltz).
 445. Fix a server crash that can happen when a DGA client frees its colormap
      before setting the mode back to the original mode (David Dawes).
 444. Modify Type1 font RAM allocation heuristics to allow for larger fonts.
      (#A.1121, Melchior Franz).
 443. Add new relocation entries for Alpha architecture to the loader which
      are used when compiling with gcc >3.1 (#A.819, Thorsten Kranzkowski).
 442. Fix server crash when using Xinerama when application closes. 
      (#A.808, Tsukahara Ken).
 441. Import Mesa-4.0.4, and resync with the DRI trunk (DRI Project).
 440. Server support for the alpha architecture on OpenBSD 3.2. 
      (Matthieu Herrb, Arthur Grabowski). 
 439. Workaround for <linux/input.h> conflict (Marc La France).

XFree86 4.2.99.2 (21 October 2002)
 438. Fix some memory leaks in libX11 i18n code (#A.1314, Olivier Chapuis).
 437. Add DGA and Xvideo support to the i740 driver (#A.1307, Kopecek Tomas).
 436. Fix the number of beeps when using AccessX and XKB 
      (#A.1302, Alan Coopersmith).
 435. Add twelve hour format to xclock's digital format
      (#A.1285, Brian L. Matthews).
 434. Fix application crash when using DPS client libraries 
      (#A.1282, Frank Giessler).
 433. Fix pixmap cache corruption on VT switches in mga driver
      (#A.1279, Ross Mikosh).
 432. Add missing Increment option in Summa input driver (#A.1276, G.P.Halkes).
 431. Missing semicolon in twm/gram.y (#A.1307, Jim Gifford).
 430. Cygwin/XFree86 updates
      - Add X.ico, an icon for Windows (Harold Hunt, Jehan Bing)
      - Include a preliminary pseudo-rootless mode (Matsuzaki Kensuke)
      - XF86Config file support (Alexander Gottwald)
      - Scrollbars support (Jehan Bing, Harold Hunt)
      (#5424, Cygwin/XFree86 developers).
 429. Add ko_KR.UTF-8 and ja_JP.UTF-8 XLC_LOCALE files (#5421, Jungshik Shin).
 428. Add TCVN support to luit (#5416, Tomohiro KUBOTA).
 427. Expand luit to support several major non-ISO-2022-compliant
      encodings such as GBK and Shift_JIS (#5416, Tomohiro KUBOTA).
 426. Add support for double-buffering to the tdfx driver's XVideo overlay
      support (#5415, Stephen Davies).
 425. Add a -strftime option for xclock's digital mode (#5414, George Belotsky).
 424. README.fonts update (#5409, 5410, Khoda Hafez).
 423. Major update for VMware driver
      - recoded to use XAA, offscreen memory support, and color expansion code
      - Add RENDER support
      - Optimization of HWcursor
      - Bug fixes for HWcursor in 8bit mode and VT switching
      (#5423, Nolan Leake, VMware).
 422. Updates for shadowfb code
      - Add RENDER support
      - support for pre-fb modifications
      - support for real framebuffers rather than memory based framebuffer
      - Removal of old fullscreen update code (when VT switching)
      - fix bug in FillSpans
      (#5411, #5413, Nolan Leake, VMware).
 421. Clear the list of registered renderers at the start of each new server
      generation, and only print warnings about suffixes with more than
      one registered renderer for the first generation (David Dawes).
 420. Make xf86PrintModes() show which modes are hot-key switchable
      (David Dawes).
 419. Fix the vesa driver's misuse of virtualX for displayWidth (David Dawes).
 418. Fix the VBE module's depth/bpp matching, which fixes some 24/32 problems
      as well as some 15/16 problems (David Dawes).
 417. Fix black cursor images on Mac OS X 10.2.2 (Joseph Maurer).
 416. Fix hotkey switching for user-specified modes, and fix hotkey switching
      between all valid modes when no specific modes are specified in the
      config file (David Dawes).
 415. Trival input drivers Imakefile cleanup (#5299, Mike Harris).
 414. Use INSTDATFLAGS when installing X server modules (#5292,
      Branden Robinson).
 413. Fix the iso8859-15 Compose map -- there is no diaeresis codepoint
      in iso8859-15 (#5389, Wolfgang Sourdeau, Rüdiger Kuhlman).
 412. Acute/apostrophe fix for nodeadkeys section of XKB German symbols
      (#5388, Andreas Metzler).
 411. Fix Cards file typo (#5387, Branden Robinson).
 410. Cleanup the XKB Macinosh US keyboard symbols, and remove those that
      should be in other country maps (#5386, Branden Robinson).
 409. Add a user-configurable throttle on xconsole's number of saved lines
      (#5379, Branden Robinson).
 408. Fix missing declaration of XShmGetEventBase() in XShm.h (#5375,
      Branden Robinson).
 407. Remove inconsistencies in the way extension headers are referred to
      in most extension libraries (David Dawes).
 406. Install extension struct/protocol headers that weren't already
      being installed (#5369, Branden Robinson).
 405. Fix long-standing colour map bug in ATI driver (Marc La France).
 404. Enable imake.c to perform correct C library version detection on hppa
      machines (#5372, Ben Collins).
 403. Add new Imake rules to handle C++ programs that don't have man pages
      (#5371, Branden Robinson).
 402. Add a -color app-defaults file for xmessage that exercises some
      features of Xaw7, and fix the base app-defaults to not use the no
      longer supported "whenNeeded" value for the "Scroll" resource (#5370,
      Branden Robinson).
 401. Stop the drm module from creating a world-writable directory in /dev.
      Since dev nodes can only be created by root, there's no need for
      anyone else to be able to write to /dev/dri (#5367, Brendan O'Dea,
      #5380, 5422, Mike Harris).
 400. Fix a SEGV in lbxproxy because it's ResizeReverseMap() makes assumptions
      about the atom numbers that can lead to unallocated memory being
      accessed (#5366, Branden Robinson and Anthony DeRobertis).
 399. Increase the wacom driver's timeout for reading data after a request.
      This is needed for PalmWac (Wacom emulation for PalmOS) (#5364,
      Mathieu Clabaut).
 398. Add Big5-HKSCS to locale.dir, and fix a missing portion in X-TT's
      Big5HKSCS-Unicode table (#5362, Branden Robinson and ThizLinux
      Laboratory Ltd).
 397. Handle vetoed APM suspend events properly on Linux (#5362,
      Branden Robinson).
 396. Handle ARM and HP-PA separately from m68k and PowerPC in xfree86.cf,
      and some cleanups (#5360, Branden Robinson).
 395. xfs updates and cleanups (#5359, Branden Robinson).
 394. Fix for random crashes when a screen fails to initialise (Marc La France).
 393. Update RandR to include refresh rates (v1.1) (Keith Packard)
 392. Numerous man pages fixes, add some missing manpages (#5365, #5373,
      #5376, #5377, #5382-5385, #5390, #5391, #5393, #5295 Branden Robinson
      #5374, Jonathan Amery, #5378, Jochen Voss)
 391. Install bdftruncate and ucs2any without the .pl extension
      (#5391, Branden Robinson) 
 390. Rewrite Radeon DDC/DFP mode detection and management (Kevin Martin).
 389. Integrate ATI patch:
      - Add 2D support for Radeon 9000 (RV250), Mobility M9 (RV250 mobile)
        and Radeon 9700 (R300)
      - Clone mode fixes and improvements
      - Dell VE card fixes
      - Dual-head VT switching fixes
      - General code clean up
      (#A.1217, Hui Yu@ATI).
 388. Rewrite XDarwin's event handling to fix some bugs and to use
      SetInputCheck() for a performance boost (Torrey T. Lyons).
 387. Add a little utility to write files through mmap() (Marc La France).
 386. Add National Semiconductor Geode driver, support for the 5530, SC1200
      and SC1400 chipsets (NSC, Alan Hourihane).
 385. linux.cf updates:
       - Resync the DebianMaintainer #define and the stuff in the
         corresponding if block to meet Debian's current needs.
       - Sort long chains of architecture-dependent #if-#elif directives in
         ASCII order.
       - Add explicit recongition of several architectures to the #ifndef
         BuildXF86DRI block.
       - Define a fallback CplusplusCmd (g++) if we don't recongize the
         platform we're on.
       - Turn off the loadable server on MIPS and SuperH platforms, where it
         doesn't (yet) work.
       - Trash some unneeded #defines in the Mc68020Architecture compilation
         environment.
       - Remove the block that #defines HasXserver NO for the s390 and s390x
         architectures (things like Xvfb build fine on these platforms).
      (#5357, Branden Robinson).
 384. Fix an error in the Finnish XKB keyboard map (#5356, Marko Myllynen).
 383. Add a Malayalam XKB keyboard map (#5355, Baiju M).
 382. Add a "kbd" driver module that can eventually replace the built-in
      "keyboard" driver (#5344, Ivan Pascal).
 381. Add os-support level support for a loadable keyboard driver for BSD
      and Linux (#5344, Ivan Pascal).
 380. Add some new common layer functions for supporting a loadable keyboard
      driver (#5344, Ivan Pascal).
 379. Move the XkbDisable option to a global server flag rather than
      keyboard driver flag, since it really is a global setting (#5344,
      Ivan Pascal).
 378. Fix RenderCreateCursor's conversion from an ARGB cursor to a 2-color
      cursor when the cursor is wider than 8 pixels (#5353, Greg Parker).
 377. Fix 24bpp displays with the fbdev driver when not using shadowfb
      (#5351, Michel Lanners).
 376. Fixes and improvements for the en_US.UTF8 compose rules (#5346,
      Alexandre Oliva).
 375. Fix compose rules for some dead accents for iso8859-1 and iso8859-15
      (#5338, 5339, Alexandre Oliva).
 374. Add support for th_TH.UTF-8. with XIM (#5336, Theppitak Karoonboonyanan).
 373. Fix some bugs in the Thai XIM:
       - excessive '(' char when switching XKB keyboard group
       - ineffective Ctrl-<key> and Alt-<key>
      (#5335, Theppitak Karoonboonyanan).
 372. Add an X server command line flag (-br) to make the default root window
      solid black (#5334, Jens Owen).
 371. Add support for th_TH.ISO-8859-11 (#5327, Theppitak Karoonboonyanan).
 370. Use pci_alloc_consistent/pci_free_consistent instead of the
      local page alloc/free functions in the i810 and i830 DRM drivers
      (#5323, Arjan van de Ven).
 369. Fix some non-POSIX usage of tail, expand and sort (#5322, Paul Eggert).
 368. Fix bug in PCI code for Solaris/SPARC (Marc La France).
 367. When enabling PCI adapters, also enable their bus mastering capability;
      Consequently, deprecate xf86EnablePciBusMaster() (Marc La France).
 366. Fix lndir's handling of relative symbolic links, and update the man page
      to document the -withrevinfo flag (H. J. Lu, Marc La France).
 365. Xdm patches: realloc usage, zero malloc()ated memory, enable 
      /dev/urandom on NetBSD 1.4 and later, OpenBSD patches (#5345, 
      Mike A. Harris, #5401, Matthias Scheler, Matthieu Herrb)
 364. Xterm patches #168, #169 (Thomas Dickey).
 363. In certain circumstances, allow VGA-rerouting through Simba bridges.
      This only affects UltraSPARC-IIi systems.  This is a small but
      necessary step in eradicating SparcArchitecture's need to compile the ati
      dribver with -DAVOID_CPIO (Marc La France).
 362. In int10, ignore interrupts whose simulation isn't yet implemented.
      Previously, such interrupts caused the emulation to stop.  (Egbert Eich,
      Marc La France).
 361. Add full support for multi-head on 460GX-based Itanium systems
      (Marc La France, with documentation loaned by Intel under NDA).
 360. Fix Darwin build problems with libXrandr and the new FreeType2 backend
      (Torrey T. Lyons).
 359. Savage driver updates.
      - Support for ProSavage DDR (PCI ID 0x8D04)
      - TV output fixes
      - support for -pixmap24 flag
      - XAA fixes to cure lockups
      (#5412, Tim Roberts).
 358. Enable version controlled .dll's on Cygwin/XFree86 (Alexander Gottwald).
 357. Some build fixes for Cygwin/XFree86 (Alan Hourihane).
 356. Add new FreeType2 backend which fixes a bug with -c- fonts
      (#5347, #5348, Juliusz Chroboczek).
 355. Add new command line options to glxinfo for more detailed output
      (#5354, Brian Paul).
 354. Support for 24bpp, fix screen blanking and bug fixes for newport driver
      (#5329, #5349, Guido Guenther).
 353. Add RandR support to XFree86 DDX. (Keith Packard)
 352. Update RandR extension to 1.0.  Eliminate depth switching 
      (Keith Packard, Jim Gettys)
 351. Fix XDarwin rootless crash when window resizing with complex bit
      gravity (Greg Parker).
 350. Fix some incorrect mappings in the gbk-0.enc encodings file (#5313,
      Tomohiro KUBOTA).
 349. Fix C precedence bug in mfb (#5309, Tassia St. Germain).
 348. Updates to mkfontscale (#5307, Juliusz Chroboczek).
 347. Add SharedXcursorReqs to Cygwin build (#5405, Harold Hunt).
 346. Add image transformation and subpixel order to Render (Keith Packard)
 345. Add Xcursor-def.cpp to Xcursor library (#5350, Alexander Gottwald).
 344. Update to pci.ids to 2002-09-24 snapshot (Marc La France).
 343. Add a little utility to read files through mmap() (Marc La France).
 342. Implement a means to ignore certain host bridges while determining PCI
      bus topology (not yet used) (Marc La France).
 341. Bridge driver interface fixups for host bridges (Marc La France).
 340. Change makedepend to recognise invocations of parameter'ed macros
      (Marc La France).
 339. Major redesign in the Xedit syntax highlight code. Now there isn't
      anymore the builtin C mode, but a new version using the xedit lisp
      interpreter, as well as several new modes, including Lisp/Scheme,
      Imakefile, X Resource files, Makefile, Manpage source, Sgml and
      Html (Paulo César Pereira de Andrade).
 338. Print a warning if more than one renderer is registered for a font type
      (#5305, Juliusz Chroboczek).
 337. Fix a double free() that can cause a crash in XCloseIM() (based one
      #5303, Mo DeJong).
 336. Allow xman's MANCONF definition to be specified in the Imakefile
      (based on #5302, Mike Harris).
 335. Config typo and update for Linux on Hitachi SuperH architecture (#5301,
      ISHIKAWA Mutsumi).
 334. Add a "DefaultRefresh" option to the vesa driver (David Dawes).
 333. Fix build problem when calling GNU make with "--" prefixed options
      (#5291, Toomas (toomas at tklabor.ee)).
 332. Avoid noise from hostname call in startx (#5270, Mike Harris).
 331. xwd ignores the -frame option if the -id option is used (#5251,
      Mike Harris).
 330. Fix problem where DRIUnlock was called when DRI fails to load
      (Kevin Martin)
 329. Fix erroneous warnings about removing DRM signal handler when DRI
      fails to load (Kevin Martin)
 328. Add LINE_LIMIT_COORDS option to XAA to work around limited coordinate
      space for lines on Radeons (Kevin Martin)
 327. Fix Radeon DGA code to use XAA sync function (Michel Dänzer)
 326. Major rework of Radeon accel code:
      - Merge CP and MMIO code (Kevin Martin and Michel Dänzer)
      - Fix indirect buffer CP code (Kevin Martin and Michel Dänzer)
      - Add CP support for scanline color expansion and image writes
        (Michel Dänzer)
      - Fix Mono8x8 problems (Kevin Martin and Michel Dänzer)
      - Fix clipping routine to properly set transparency and
        dp_gui_master_cntl reg (Kevin Martin and Michel Dänzer)
      - Fix clipping calculation errors (Kevin Martin)
      - Properly set line bias so that sw rendered solid and dashed lines
        match the accel TwoPoint lines (Kevin Martin)
      - Fix drawing last point for solid and dashed lines (Kevin Martin)
      - Remove NoLineAccel option since two point lines work (Kevin Martin)
 325. Export some more Xft symbols (Cygwin) that are needed for qt 3.x
      (#5285, Ralf Habacker).
 324. Don't sleep on Cygwin for ICE directory mode problems (#5284,
      Ralf Habacker).
 323. Fix a bug in XtGetDisplays() with more than 1 open display (#5282,
      Kip Rugger).
 322. Second part of xkb multi-layout keyboard map support (#5321,
      Ivan Pascal).
 321. Allow the Record extension to report logical coordinated with Xinerama
      (#5231, Paul Stewart).
 320. Allow the XTrap extension to report logical coordinated with Xinerama
      (#5230, Paul Stewart).
 319. Moved LdPreLib define after the vendor/OS specific config files
      as it may depend on setting done there (Egbert Eich).
 318. Several fixes for cross compile environment (Egbert Eich).
 317. Added code to allow for building of static only libraries with
      -fPIC for platforms which require it (Egbert Eich).
 316. Added '-m32' to gcc flags as default for ia32 builds when gcc version
      is >= 3.1. This allows building a 32 bit Version of X on 64bit x86-64
      (Egbert Eich).
 315. Changed direct calls of ld to 'gcc -nostdlib' for Linux (Egbert Eich). 
 314. Changed calls to as to 'gcc -c -x assembler-with-cpp' for Linux
      (Egbert Eich).
 313. Added '-fno-strict-aliasing' flag to gcc version >= 3.1 (Egbert Eich).
      Strict requires that one address must not contain pointers to
      different types - a feature heavily used by X (Egbert Eich).
 312. Fixed a core dump problem in libXtt (?) (Egbert Eich).
 311. Removed '#pragma pack' from structures that contain function pointers
      in x86emu. This causes problems on gcc 3.1 for ia64 (Egbert Eich).
 310. Added defines for missing X types to saverproto.h (Egbert Eich).
 309. Fixed compiler warings generated by gcc >= 3.1 in mesa drivers 
      (Egbert Eich).
 308. For platforms that allow both 32 and 64 bit libraries to be executed
      split Xlib i18n modules path into 
      <libpath>/X11R6/lib/X11/locale/lib/common and
      <libpath>/X11R6/lib/X11/locale/lib64/common. 'lib64' has been defined
      to be the default path for 64bit shared libraries on these platforms
      (Egbert Eich).
 307. Fixed obvious typo in OMlib (Egbert Eich).
 306. Fixed code in cfb that didn't comply with C sequence rules.
      Modern C compilers tend to be more aggressive on code reordering 
      (Egbert Eich).
 305. Changed arguments of NoopDDA() from VarArgs to void. Handling
      of VarArgs by gcc isn't compatible with the way it was used
      on certain platforms (Egbert Eich).
 304. Added support for 32bit pixmaps for 24bit overlay framebuffers in 
      fb overlay code (Egbert Eich).
 303. Fixed kdrive to print a meaningful error message instead of just
      core dump when no matching graphics cards is found (Egbert Eich).
 302. fixed portability bug in xwd (Andreas Schwab <schwab@suse.de>)
 301. fixed X Server crash, which happended each time a proportional iso10646
      font was loaded with xtt backend (Yong Li <rigel863@yahoo.com>)
 300. Added some ARM specific fixes to compiler.h (Uli Hecht).
 299. Added a virtual 'dummy' driver (Egbert Eich).
 298. Fixed core dump when certain access functions are not set in
      xf86Bus.c (Egbert Eich).
 297. Fixed problem where SIGIO could be disabled after a server reset.
 296. Added configurable list of devices the xf86Misc extension is allowed
      to change the mouse device to (Egbert Eich).
 295. Changed default mouse type to 'auto' when generating config file
      with '-configure' (Egbert Eich).
 294. Made sure keyboard modifier settings are consistent after exit 
      from DGA when the xkb extension is used (Egbert Eich).
 293. Disabled keyboard processing when Xserver is suspended by power 
      management.
      This allows effective locking of laptops when stolen (Egbert Eich).
 292. Added/improved options for lockfile syncing (Egbert Eich).
 291.  Added support for backup copy of Xserver logfile (Egbert Eich).
 290. Fixed GetTimeInMillis() to use deltas instead of absolute time
      returend by gettimeofday(). This ensures time is monotonic in X
      (Egbert Eich).
 289. Fixed xf86Misc extension to allow modification of Expps2 mice 
      (Egbert Eich).
 288. Made code in xf86MiscExt.c more readable (Egbert Eich).
 287. Fixed PCI CardBus bridge handling (Egbert Eich).
 286. Added code to reenable PCI bus mastering after coming back from a 
      VT switch to radeon driver (Charl P. Botha <http://cpbotha.net/>) 
      (Egbert Eich).
 285. Dito for r128 driver (M. Harris).
 284. Dito for glint and mga driver (Egbert Eich).
 283. Fixed double scan issues for low res modes in C&T driver (Egbert Eich).
 282. Set rgbBits to 8 for all HiQV chips in chips driver (Egbert Eich).
 281. Moved initialization of accel funtions past initialization of
      offscreen fb manager in chips driver (Egbert Eich).
 280. Fixed initialization of video in chips driver (?).
 279. Fixed HALlib problem restoring text mode on G550 (Egbert Eich).
 278. Restructured and included Matrox's Merged Framebuffer changes
      to mga driver (Egbert Eich).
 277. G450/550 clockchip programming fixes (Matrox).
 276. Fixed HW Cursor for HALlib frame granularity (Egbert Eich).
 275. Enabling 2D accel in 24-bit for neomagic 2360 and 2380 (Egbert Eich).
 274. Added support for builtin 1024x480 mode of Sony subnotebooks for
      Neomagic driver (Egbert Eich).
 273. Fixed support for lowRes (320x240) modes in neomagic driver 
      (Egbert Eich).
 272. Fixed RAC function registration in S3 driver (Egbert Eich).
 271. Added some voodoo to screen initialization of S3 driver (Egbert Eich).
 270. Fixed vbe/int10 support in SMI driver. It used to core dump
      when BIOS was not usable (Egbert Eich).
 269. Separated BRIGHTNESS and and CAPTURE_BRIGNTESS video attributes
      in smi driver: CAPTURE_BRIGHTNESS refers to the capture chip 
      (ie. Philips SAA7110) while BRIGHTNESS controls the video overlay
      of the SMI chip itself (Egbert Eich).
 268. Disable automatic loading of DRI when running SUN ffb as this is
      inconsistent with other drivers (Thorsten Kukuk).
 267. Fixed Gamma/Brightness code in trident driver (Egbert Eich).
 266. Added FpDelay debugging option (Egbert Eich).
 260. Fixed video support for Trident 9397 (Egbert Eich).
 265. Fixed Cursor/VT switch support for vmware driver (Egbert Eich).
 264. Fixed Blit problems in vmware driver when running KDE (Egbert Eich).
 263. Added RENDER support to vmware driver (Egbert Eich).
 262. Added C&T 69030 to extrapci.ids (Egbert Eich).
 261. Improved mouse autodetection code (Egbert Eich).
 260. Restructured int10 code so that vm86 and x86emu support can be loaded
      as modules. Implemented heuristic to try vm86 first and fall back to
      x86emu. This allows 32 bit Xservers to run on x86_64 on 64-bit kernel
      without vm86 support (Egbert Eich).
 259. Restructured elf loader: determine which section to load from elfheader
      flags (Egbert Eich).
 258. Adding RENDER Support to RAC (Egbert Eich).
 257. Using borderClip instead of borderSize region for redisplay function
      in miext/shadow code to avoid core dumps when vt switched away 
      (Egbert Eich).
 256. Replacing sprintf() by snprintf() in lbxproxy to eliminate possible
      buffer overrun exploits (Egbert Eich).
 255. KP_Decimal fixes to Czech and Slovak keybards 
      (Jan Holesovsky <kendy@suse.cz>) (Egbert Eich).
 254. Treat PCI-to-MCA and PCI-to_EISA bridges as PCI-to-ISA (Marc La France).
 253. Correct the server's understanding of CardBus resource ranges
      (Marc La France).
 252. Ignore unconfigured (and mis-configured) PCI-to-PCI and PCI-to-CardBus
      bridges (Marc La France).
 251. Prevent infinite loops during VGA re-routing (Marc La France).
 250. Add a framework for bus bridge drivers and use it to rework the handling
      of Sun's Simba P2P bridges (Marc La France).
 249. Fix bdftopcf memory leak (Marc La France).
 248. XVideo support for the i830 and i845G (David Dawes, Alan Hourihane).
 247. Fix various bugs in the DRI support for the i830 and i845G
      (Keith Whitwell).
 246. Major rework of the 2D i830/i845G support, including:
       - Improve VESA mode selection, and fix refresh rate selection.
       - Don't duplicate functions provided in the vbe modules.
       - Don't duplicate functions provided in the vgahw module.
       - Rewrite memory allocation.
       - Rewrite initialisation and save/restore state handling.
       - Decouple the i810 support from i830 and later.
       - Remove various unnecessary hacks and workarounds.
       - Fix an 845G problem with the ring buffer not in pre-allocated
         memory.
       - Fix screen blanking.
       - Fix some HW cursor glitches, and turn HW cursor off at VT switch
         and exit.
       - Don't attempt to use the i830's function 1 entity.
       - Fix problems with option handling.
      (David Dawes).
 245. A "hammer" approach at ensuring font properties are freed properly
      (Marc La France).
 244. Fix 'su' usage for FreeBSD in the default xdm config (Eric Anholt).
 243. Fix a FreeBSD scrollwheel problem that shows up with gcc 3.1
      (Eric Anholt).
 242. Make C++ libraries on FreeBSD get linked with $(CXX), fixing libGLU
      (Eric Anholt).
 241. FreeBSD.cf updates, including enabling SSE/3DNow support (Eric Anholt).
 240. Intel 830 and 845G DRI support, including i830 support updated for
      Mesa 4.x (#5288, Jeff Hartmann, 2D3D).
 239. [SECURITY] Fix an Xlib problem that made it possible to load arbitrary
      code into privileged clients.
 238. Add Xcursor library.  Make Xlib use it. (Keith Packard)
 237. Fix threaded libraries on Mac OS X 10.2 (A.1229, Marko Karppinen).
 236. Add hardware accelerated GLX to XDarwin (Greg Parker).
 235. Use Imake custom version variables in XDarwin startup message
      (Torrey T. Lyons).
 234. Attempt to prevent PCI scans on non-PCI ix86 systems (Marc La France).
 233. Allow master aborts on CardBus buses to complete normally during PCI
      scans (Marc La France).
 232. Fix bug that prevented the server from restoring CardBus data properly
      (Marc La France).
 231. Fix DEVID define and make it more generally available (Marc La France).
 230. Fix bug in NetBSD PCI code (Marc La France).
 229. Add an option to completely disable PCI scans (Marc La France).
 228. Xterm patch #167 (Thomas Dickey).
 227. Add CreateCursor request to Render extension (Keith Packard)
 226. Change scanpci to not disable I/O too early (Marc La France).
 225. Better error handling in xfs -ls argument parsing (Mordy Ovits).
 224. Make loader ignore ELF objects that don't define any symbols (H. J. Lu)
 223. Add a HasGcc3 imake symbol (Marc La France).
 222. Enable threaded libraries on Darwin (Jeff Whitaker and Torrey T. Lyons).
 221. Xaw documentation fixes (A.1218, Paul Vojta).
 220. Add some mode collection/handling interfaces to the vbe module,
      which makes it easier for drivers to set modes via the video BIOS
      (David Dawes).
 219. I830/845 Workaround for BIOSes which force 1MB stolen memory, and
      agpgart related fix (#5300, Abraham vd Merwe).
 218. Add NetBSD specific PCI access functions for powerpc and alpha 
      platforms (Charles Hannum). 
 217. Split bsd_video.c into architecture specific files, and merge NetBSD
      alpha and powerpc support there. (Matthieu Herrb, Simon Burge, 
      Charles Hannum & other NetBSD developers). 
 216. Define CSRG_BASED for Darwin and fix xman so it works on Darwin
      (Torrey T. Lyons).
 215. On Darwin, fix imake to find Gcc and correct config for RawCppCmd
      (Torrey T. Lyons).
 214. Add functions to allow modules to query the core X server version
      and the version of its sub modules (David Dawes).
 213. Fix scanpci's printing of 64-bit PCI bases (Marc La France).
 212. Add missing dependency and regenerate xf86PciStdIds.h accordingly
      (Marc La France).
 211. A more flexible way of dealing with ix86 motherboard chipsets that can
      only implement less than the full 256 PCI buses (Marc La France).
 210. RAC-related fixups to ATI drivers and xf86SetOperatingState() call
      cleanups in most drivers (Marc La France).
 209. Fix int10 miscompilation glitch on IA-64 (Marc La France).
 208. Add support for Permedia3 (rev C) chips that use slightly different
      clock programming techniques (Jay Estabrook).
 207. Fix Finder warnings about XDarwin plist format on Jaguar
      (Torrey T. Lyons).
 206. Fix XDarwin build issues on Jaguar (Sean Fagan).
 205. Fix Radeon DDC for non-Dell cards, and fix a radeon pci id-related
      build problem (#5326, Andrew C Aitchison).
 204. Change the X server (and scanpci) to use the pci.ids file (from
      pciids.sf.net) for vendor/device descriptions (David Dawes).
 203. Change XDarwin to use NSQuickDrawView instead of Carbon windows to
      get a QuickDraw graphics port for rootless windows (Torrey T. Lyons).
 202. Add support for some missing 32-bit address modes to x86emu.  Some
      video BIOSes use them, especially those for some of the integrated
      Intel chipsets, and this fixes int10/vbe support for these on
      platforms that use the emulator (David Dawes).
 201. Add PCI ID for ATI Radeon Mobility M7 'LX' (#5233, Mike Harris).
 200. Fix CrossCompile environment for Cygwin/XFree86 
      (#5324, Alexander Gottwald, Harold Hunt).
 199. ATI patch to:
      - Fix Dell OEM VE card support
      - Add better clone mode support
      - Fix large panel (>= 1600x1200) detection and initialization problems
      - Remove "PanelSize" and "CrtScreen" options since they are no longer
        needed with new CloneMode and improved flat panel support
      - Add "DDCMode" option to detect and use DDC modes
      - Add "PanelOff" option to disable panel on laptops
      - Fix corrupted console problem
      - Other misc fixes
      (#A.1043, Hui Yu@ATI).
 198. Remove -DNO_TCP_H from cygwin.cf for Cygwin/XFree86 (#5320, Harold Hunt).
 197. Major updates to Cygwin/XFree86.
       - fix depth 24 issues.
       - fix the handling of the DirectDraw module.
       - disable the use of the LAYER/RANDR extension.
       - lots of bug fixes. 
      (#5318, #5317, Harold L. Hunt, Alan Hourihane).
 196. When using the vesa driver and the DisplaySize option the server
      would crash with a floating point exception due to a divide by zero
      in miscreeninit() (#5298, Mike A. Harris).
 195. The function MoveLine in lib/Xaw/TextAction.c sometimes attempts to
      read uninitialized memory when hit ctrl-N in a Text widget to move to
      the next line (#5245, Johnathan Kamens).
 194. Adjust -probe for change in default stderr verbosity (Marc La France).
 193. Radeon patch for Xv on all known Radeon devices (James Ralston and
      Keith Packard).
 192. New XDarwin application icon (Michael Oland).
 191. Dead strip unneeded code in rootlessValTree.c and other miscellaneous
      XDarwin code cleanup (Greg Parker and Torrey T. Lyons).
 190. Lots of Cygwin/XFree86 cleanups and fixes (#5304, Harold Hunt)
 189. Fix rootless XDarwin crash when resizing a window with negative x
      coordinate (Torrey T. Lyons).

XFree86 4.2.99.1 (7 June 2002)
 188. Fix some build problems when building with shared libraries disabled
      (David Dawes).
 187. Update the magellan input driver and turn it on in the build process
      (#A.1024, Christoph Koulen).
 186. Add Peritek Borealis support to the I128 driver (Robin Cutshaw).
 185. Modify the r128 and radeon drivers to use fbdev's DPMS support when
      fbdev is enabled (#5219, Michel Dänzer).
 184. Add support for the composite sync mode flag to the radeon driver
      (#5219, Michel Dänzer).
 183. Add a mkfontscale utility for creating fonts.scale files (#5213, 5214,
      Juliusz Chroboczek).
 182. Add a 1152x768 mode suitable for Titanium PowerBooks to the set of
      build-in modes (#5212, Michel Dänzer).
 181. Add support to xkbcomp and libxkbfile for composing multi-layout
      keyboard maps from partial "single layout" files.  This allows
      the XkbLayout to be specified as a comma-separated list of single
      layout names.  Note: new "single layout" symbol maps aren't available
      yet. (#5210, Ivan Pascal).
 180. Fix Xv endianess problem with the Radeon driver (#5207, Guido Guenther).
 179. Updates to the Finnish xkb map, including:
       - add ISO-8859-15 missing symbols ([zZsS]caron)
       - reorganize some special symbols (such as paragraph, cent, division)
       - map AltGr+SPCE as space, nobreakspace comes way too often by accident
       - minor white space/comment cleanups
      (#5197, Marko Myllynen).
 178. Add an option to the r128 driver for enabling DMA for Xv image transfers
      (#5195, Michel Dänzer).
 177. Make the 'distclean' target remove depend files (#5194,
      Carlos A M dos Santos).
 176. Fix bad usage of "UseInstalled" in FreeBSD.cf (#5192,
      Carlos A M dos Santos).
 175. Several xkb layout updates:
       - Added other Armenian layouts.
       - Added Swedish dvorak layout.
       - Fixed typo in "la" file.
       - Added EuroSign in Dutch keyboard.
       - Added a "comma" variant for "ro" keyboard allowing to type real comma
         below Romanian letters.
       - New file "ro2" with the real Romanian layout (the file "ro" is not a
         Romanian keyboard, but a modified US one that has been hacked to
         include Romanian letters).
      (#5191, Pablo Saratxaga).
 174. Fix makedepend so that it can parse a unary '+' operator (#5185,
      Mark Snitily).
 173. Fix a typo in Xvesa's emulation of instructions forbidden in vm86
      mode (#5184, Juliusz Chroboczek)
 172. Fix a bounds check in Xlib's Region code (#5183, Owen Taylor).
 171. Fix LIBXML2LIBDIR name clash in lib/Imakefile (#5180, ISHIKAWA Mutsumi).
 170. Avoid a problem with setfontdirs when run in some locales (#5179,
      ISHIKAWA Mutsumi).
 169. A little tuning for XtAppPeekEvent() (#5178, Dan McNichol).
 168. Add a command line option to luit to specify the encoding (#5177, 5181,
      Tomohiro Kubota).
 167. A fix for luit's command line argument handling (#5173, Tomohiro Kubota).
 166. Add support to luit for some more 8-bit encodings (#5171,
      Juliusz Chroboczek).
 165. Add an option to luit to enable using GL codes instead of GR codes
      after a single shift for keyboard input (#5170-5172, Tomohiro Kubota
      and Juliusz Chroboczek).
 164. Fix an fbdev driver crash when the VT isn't active (#5169,
      Michel Dänzer).
 163. Fix a bug that resulted in XwcTextPropertyToTextList() storing an
      incomplete list (#5168, Tassia St. Germain, for X.Org).
 162. Add "ISO8859-16" to the registry (#5167, Tassia St. Germain, for X.Org).
 161. A revised Greek xkb layout, including a three-level "extended"
      variant, and a "polytonic" variant (#5165, Vasilis Vasaitis).
 160. Add support for an el_GR.UTF-8 locale, including a compose file with
      support for polytonic Greek text (#5165, Vasilis Vasaitis).
 159. Add missing zh_CN XI18N_OBJS file (#5164, Yong Li).
 158. Make xfs chdir to "/" before fork()ing (#5162, Mike Harris).
 157. Add some reference counting for Xlib's i18n modules, preventing
      a module getting unloaded while it's still in use (#5160, Owen Taylor).
 156. Update for SCO OpenServer support (#5158, Kean Johnston).
 155. Add aliases for the Brazilian Portuguese locale as defined on FreeBSD
      (#5157, Carlos A M dos Santos).
 154. Recognise the en_UK.ISO8859-15 and en_US.ISO8859-15 locales (#5156, 5186,
      Matthias Scheler).
 153. Some cleanups for the UTF-8 Compose file, including:
       - Better support for Greek
       - Typo fixes, including incorrect character literals and keysyms.
      (#5154, Vasilis Vasaitis).
 152. Modify Xt's default fallback font pattern to work better in locales
      where the current one fails to find a useful font (#5152,
      Tomohiro KUBOTA).
 151. Updates to bdf/misc UCS fonts, and generate ISO8859-16 subsets
      (#5147, Markus Kuhn).
 150. Fix some empty delay loops and jiffie wrap bugs in the i830 drm driver
      (#5149, Arjan Van de Ven).
 149. Fix a potential NULL dereference in the drm kernel module (#5148,
      Andreas Schwab).
 148. Major OS/2 support update (#5119, Holger Veit).
 147. Fix mode setting in DGA on the Rage128 & Radeon drivers (Alan Hourihane).
 146. Build libXt as a flat namespace image on Darwin (Torrey T. Lyons).
 145. Install the bitmap file xc/programs/bitmap/Stipple as Stippler on file
      systems that are not case sensitive (Torrey T. Lyons).
 144. Fix enabling of MMIO window on BladeXP desktop chips (Alan Hourihane).
 143. Due to bugs in the CyberBladei7/i1 series that cause offset problems,
      we're disabling the hardware cursor (for now) (Alan Hourihane).
 142. Fix Xft-def.cpp file for Cygwin/XFree86 (#5283, Harold Hunt).
 141. Server support for OpenBSD/sparc64 (Jason Wright, Matthieu Herrb).
 140. Alignment fixes for Xvideo on the Permedia3 (Alan Hourihane).
 139. lndir fix for paths containing '//' (H. J. Lu).
 138. Fix blank display problem in trident driver for older TGUI series
      chips, and a few Xv cleanups too (Alan Hourihane).
 137. Enable MIT-SHM extension in Xnest server (#A.795, Steve Schwarz).
 136. Fix typo in Rage128 DGA driver (#5187. Charles M. Hannum).
 135. Fix enabling of DRI when XvMC is disabled (#5208, Matthew Sottek, Intel).
 134. Fix HW Cursor handling in vmware driver (#5193, Jeremy, VMWare).
 133. YUV handling updates for v4l module. Can now handle multiple formats
      and find common format for both videocard and kernel.(#5196, Gerd Knorr).
 132. Savage driver updates (#5203, Tim Roberts).
 131. Drop the indirect buffer after ScreenInit, fixes corruption and
      kernel error messages. (#5199, Michel Dänzer).
 130. Add Polygon support to Render extension (Carl Worth, Keith Packard)
 129. Add Intel i845G 2D support to the i8x0 driver, DRI is disabled. 
      (#A.1062, Graeme Fisher, 2D3D).
 128. Fix RGB/BGR inversion problem and screen blanking in the glint
      driver (Alan Hourihane).
 127. Add MIT-SCREEN-SAVER extension docs (Alan Coopersmith).
 126. Fix problems opening /dev/fb0 in fbdevhw layer (#5229, Michel Dänzer).
 125. Update the apm driver (#5227, Loic Grenie).
 124. Update the Japanese localization of XDarwin (Toshimitsu Tanaka).
 123. Symbol table cleanup, leaving xf86GetPointerScreenFuncs() as the only
      common/xf86Cursor.c entry available to modules (Marc La France).
 122. Fix VidMode-generated mode switches by making them go through (almost)
      the same code path as keyboard-generated mode switches (Marc La France).
 121. Allow AGP apertures to overlap with other BIOS-assigned PCI resources
      (Marc La France).
 120. Indent'd most of xterm's C code (Thomas Dickey).
 119. Major Radeon driver code cleanup (Kevin Martin).
 118. Radeon Xv fixes and video key support added (Keith Packard).
 117. DPMS support for DFP/LCD and second head added for Radeon (Hui Yu@ATI).
 116. Option to disable line acceleration added since Radeon only has 14 bits
      for lines and clipping.  This will be changed to an XAA option for 14
      bit support in the future (Hui Yu@ATI, Kevin Martin).
 115. Radeon DDC and DFP handling improvements (Hui Yu@ATI).
 114. Fixes for DRI lockup problems with Radeon 7500/VE and the AMD 761
      chipset (Hui Yu@ATI).
 113. Radeon PLL routines rewritten with ATOMIC_UPDATE enabled (Hui Yu@ATI).
 112. Clone mode added to Radeon driver (not yet functional and disabled
      by default) (Hui Yu@ATI, Kevin Martin).
 111. Fix usage of BuildBinTop in Cygwin/XFree86 (#5223, Harold Hunt).
 110. Implement WarpCursor for Cygwin/XFree86, and use GetProcAddress
      instead of relying on ddraw.dll (#5220-#5222, Harold Hunt).
 109. Fix bug that prevented the vesa driver from accessing VGA CRTC registers
      (Marc La France).
 108. New pre-processor files for expat, fontconfig and rename of
      OSmesa-def.cpp to OSMesa-def.cpp (#5215-#5218, Alexander Gottwald).
 107. Rework ati, atimisc, r128 and radeon module versioning (Marc La France).
 106. Code clean up for the original Rage LT (Marc La France).
 105. An attempt at disabling display switches while the server is running on
      an LT Pro or Mobility M1 (Marc La France).
 104. Make atimisc, r128 and radeon modules register the symbols they reference
      at module load time, rather than PreInit() (Marc La France).
 103. Fix rounding error in Mach64 DSP calculation (Marc La France).
 102. Convert xmh to ANSI C (Thomas Dickey).
 101. Xterm patch #166 (Thomas Dickey).
 100. Fix keyboard beeps on Cygwin/XFree86 (#5211, Harold Hunt).
  99. Fixed i810 crash on vt switch due to call to Sync() while switched away
      (Andris Pavenis).
  98. Fixed MGAG550 HW Cursor (Laure-Amelie Couturie).
  97. Added Xv support to neomagic driver (Shigehiro Nomura).
  96. Implemented cross compile environment (Egbert Eich).
  95. Added AMD x86-64 architecture support (Egbert Eich).
  94. Fixed memory leaks in xkb code (Egbert Eich).
  93. Fixed several memory leaks in the config file parser and initialization
      routines (Egbert Eich).
  92. Added CardBus bridge support (Egbert Eich).
  91. Fixed strdup() define in glx (Egbert Eich).
  90. Extended xf86misc extension to support changing the mouse device
      (Egbert Eich).
  89. Replaced strdup() in xf86Configure.c with xalloc()/strcpy() to avoid
      conflicts when using internal malloc (Egbert Eich).
  88. Extended memory debugging: Added signal handler to trigger a memory
      debugger dump on SIGUSR2 when compiled with memleak support
      (Egbert Eich).
  87. Set vtSema to FALSE when suspended by APM to catch calls to 2D accel
      functions (Egbert Eich).
  86. Implemented mouse protocol detection by analyzing data stream
      (Egbert Eich).
  85. Added PnP mouse detection for PS/2, ImPS/2 and older MS serial mice
      (Egbert Eich).
  84. Fixed gamma correction code for Trident 9397 (Alan Hourihane).
  83. Fixed C&T driver to avoid initialization of video in non-linear mode
      (Egbert Eich).
  82. Changed C&T driver to allow video even if acceleration is disabled
      (Egbert Eich).
  81. Attempt to implement a more consistent handling of HW cursor in C&T
      driver (Egbert Eich).
  80. Fixed MGA driver to make HALlib work with VESA framebuffer modes
      (Egbert Eich).
  79. Reworked Rendition driver (Egbert Eich).
  78. S3 Virge driver: added minimal gap between SyncStart and HDisplay to
      avoid video lockups (Egbert Eich).
  77. Fixed memory leaks in S3 Savage driver (Egbert Eich).
  76. Modified several drivers to do int10 initialization using the
      VBE functions instead of calling int10 directly (Egbert Eich).
  75. Fixed video support and mode initialization in Silicon Motion driver,
      removed wait for v-retrace (Egbert Eich).
  74. Misc fixes to SiS driver (Thomas Winischhofer).
  73. Added support for 1400x1050 screen in Trident driver (Egbert Eich).
  72. Fixed several video issues for Trident CyberBladeXP chips (Egbert Eich).
  71. Added probe for Tseng ISA chips (Egbert Eich).
  70. Added 'KGAUniversal' option to generic vga driver which changes handling
      left overscan to work also on chips with C&T core (ie all C&T and Intel
      graphics chips) (Egbert Eich).
  69. Modified int10 code to map area between V_BIOS and SYS_BIOS instead of
      copying it. Copying causes problems if legacy devices map MMIO
      registers there (Egbert Eich).
  68. Implemented an extended int10 init function to allow passing flags
      (Egbert Eich).
  67. Implemented optional handling of BIOS video mode scratch area in int10
      code (Egbert Eich).
  66. Again modified MTRR range splitting (Egbert Eich).
  65. Added funtions to VBE to save and restore a video mode (Egbert Eich).
  64. Added missing commas to symbols/us_intl (Hans Lunsing).
  63. Added Ungherese (qwerty) support (Koblinger Egmont).
  62. Added Euro symbol for hungarian kbd layout (Koblinger Egmont).
  61. Build with libcurses on Darwin for forward compatibility
      (Jordan Hubbard).
  60. Add Trident CyberBladeXP acceleration (Alan Hourihane).
  59. Major XDarwin rootless mode rewrite:
       - Use Carbon to draw directly to windows' backing buffers, rather
         than "triple" buffering with Core Graphics.
       - Reorganized Xserver/hw/darwin directory structure to separate out
         legacy support for Mac OS X 10.0.x.
      (Torrey T. Lyons and Greg Parker).
  58. Fix RGB/BGR inversion problem on Permedia3 chips (Alan Hourihane).
  57. Fix server link problem that shows up on ppc (#5205, Guido Guenther).
  56. Restore effect of option "NoSilkenMouse" (Marc La France).
  55. Fix some nForce graphics regressions caused by recent flat panel and
      Mac updates to the nv driver (Mark Vojkovich).
  54. Recognise the "Absolute" keyword that was documented in the
      XF86Config man page (David Dawes).
  53. Fix the man page information about Absolute screen positioning in
      the ServerLayout section (David Dawes).
  52. SunOS changes to xedit's lisp interpreter (Marc La France).
  51. Support the Ti 3026 ramdac with 3DLabs Permedia found on some
      AccelStar boards (Alan Hourihane).
  50. Move int10 softbooting furthur up in the glint driver to post
      much earlier (Alan Hourihane).
  49. Fix bug that sometimes caused makedepend to forget #define'd symbols
      (Marc La France).
  48. MIT-SHM updates (Roberto Zunino, Matthieu Herrb).
  47. Import Mesa-4.0.1, and resync with the DRI trunk which is now based
      on this (Keith Whitwell, Brian Paul, Alan Hourihane, David Dawes).
  46. Mga driver updates:
       - Don't try dual-head mode with the G400 unless the mga_hal module
         is loaded.
       - Distinguish between the G400 and G450 when showing the chipset in
         the log.
       - Update the mga man page for supported hardware and dual-head
         support.  Futher updates are needed to document all of the
         drivers's options.
      (David Dawes).
  45. Add -Wundef when compiling the tree with GCC >= 2.8 (Marc La France).
  44. Macintosh flat panel fix in the "nv" driver (Mark Vojkovich).
  43. XDarwin fixes and improvements for full screen Quartz mode:
       - Pull full screen specific code out of generic Quartz support.
       - Install new colormaps correctly with PseudoColor.
       - Release the screen immediately when closing down.
       - Do not try to release the screen when closing down in rootless mode.
      (Torrey T. Lyons).
  42. Reimplement Xft library on top of new fontconfig library (Keith Packard).
  41. Resync with the final Mesa-3.4.x-based DRI trunk.
  40. Add support for wscons bell (Jason Wright).
  39. Fix IBM-reported bug that could cause PCI bus lockouts with second
      generation integrated Mach64 controllers (Marc La France).
  38. Rework ATI driver's registration of symbols with the loader
      (Marc La France).
  37. In the ATI driver, add option "CrtDisplay" to force CRT display in a
      dual display situation (Marc La France).
  36. In the ATI driver, rename option "CrtScreen" to "NoPanelDisplay", keeping
      "CrtScreen" as a private option for compatibility (Marc La France).
  35. Document X_NOT_IMPLEMENTED (Marc La France).
  34. NetBSD teeny OS version handling improvement in imake (#5176,
      Matthias Scheler).
  33. Build I2C support before building drivers (Marc La France).
  32. Fix a problem related to reserving the overlay key in the default
      colormap in 24+8 mode.  This caused some clients using the 8-bit
      visuals to fail (David Dawes).
  31. [SECURITY] Zlib error handling fix (Mark Adler).
  30. Put back XDarwin's byte-ordering fix for reading keymappings on
      Darwin x86 that was inadvertently dropped (Rob Braun).
  29. Fix Big Endian hardware cursor bug on GeForce3 (Mark Vojkovich).
  28. Experimental flat panel support in the "nv" driver.  GeForce2 Go
      should work now (Mark Vojkovich).
  27. XDarwinStartup improvements:
       - Auto-detect proper mode to run XDarwin.
       - Find XDarwin.app with Launch Services.
       - Add XDarwinStartup man page.
      (Torrey T. Lyons).
  26. Localize XDarwin credits in French (Olivier Verdier) and Portuguese
      (Fabr’cio L. de Castro).
  25. Turn off XFree86-Misc and VidMode extensions for XDarwin
      (Torrey T. Lyons).
  24. Localize a few missing strings in XDarwin preferences (Torrey T. Lyons).
  23. GeForce4 support (Mark Vojkovich).
  22. Add IA-64 460GX PCI IDs (Marc La France).
  21. Some vesa driver updates:
       - Use the common layer's mode validation functions, which gives
         mode selection behaviour more consistent with other drivers.
       - Don't force the depth 24 framebuffer bpp.  Instead check what
         framebuffer layouts are supported by VBE, and and choose the
         layout appropriately.
       - fb handles 24/32 fb/pixmap layout conversion, so don't use
         the xf24_32bpp module.
       - shadow + fb at depth 4 needs the bpp set to 8.
      (David Dawes).
  20. Fix some misleading messages about why modes aren't available
      (David Dawes).
  19. Fix for `hostname` issue on Linux (Marc La France).
  18. Fix startx script for ksh (Phillip B. Bruce).
  17. Fix Emulate3Buttons for wsmouse protocol on NetBSD and OpenBSD
      (Matthieu Herrb).
  16. Add Portuguese localization of XDarwin front end
      (Fabr’cio L. de Castro).
  15. Fix mouse Protocol "Auto" for SunOS (Marc La France).
  14. Relocate all driver low memory accesses (atimisc module not yet done)
      (Marc La France).
  13. Make driver I/O relocatable (atimisc, s3, sis and tseng not yet done)
      (Marc La France).
  12. PCI domain changes for SunOS/SPARC64 (Marc La France).
  11. PCI domain changes for Linux/SPARC64 (#4653, David S. Miller,
      Marc La France).
  10. Temporary workaround for IA-64 (Marc La France).
   9. Fix SIGSEGV when printing modes that have no modifiers (Marc La France).
   8. Revert the ATI driver's composite sync default to off (Marc La France).
   7. Add a note to the messages that get printed when a signal is caught
      during initialization (which includes X -configure) that reported
      unresolved symbols might not be the reason for the server aborting
      (David Dawes).
   6. Fix symbol registration in some drivers, which reduces the number of
      symbols reported as "unresolved" when 'X -configure' crashes
      (David Dawes).
   5. Fill in names for BIOS modes in the vesa driver's mode pool that weren't
      otherwise assigned names (David Dawes).
   4. Fix an unresolved symbol in libGLU.so that shows up when building it
      with gcc-3 (David Dawes).
   3. Fix invalid code caused by a memcpy() macro being split by a directive
      (#5150, Sami Farin).
   2. Fix incorrect symbol prefixing with Xlib's i18n modules on Solaris
      (Keith Packard, David Dawes).
   1. Don't try to print mode names when the name is NULL (David Dawes).

XFree86 4.2.0 (18 January 2002)
 690. Workaround for hardware bug that prevents older ATI 3D Rage adapters from
      being assigned to XF86Config device sections (Marc La France).

XFree86 4.1.99.7 (17 January 2002)
 689. Fix bug introduced in snapshot 4.1.99.5 causing XDarwin's PseudoramiX
      extension to always be disabled (Torrey T. Lyons).
 688. Disable the pipe check for stdout/stderr that was added in the previous
      snapshot because it looks like it might cause too many problems
      (David Dawes).
 687. Update the Arabic (ar) XKB keyboard map (#5145, Arabeyes team).
 686. Update the Russian (ru) XKB keyboard map, adding two new variants
      ("typewriter" and "phonetic") (#5143, Ivan Pascal).
 685. Remove the lt_a and lt_p XKB keyboard maps (#5139, Nerijus Baliunas).
 684. Disable the DRI and print a warning message for Radeon 8500 cards
      until they are supported (Kevin Martin).
 683. Properly detect when no BIOS is present on Radeon cards (#4978,
      Charles Hannum, Kevin Martin).
 682. Delay before restoring VGA registers for Radeons to "fix" VT switch
      problems (Kevin Martin).
 681. Add new PCI IDs from ATI (Kevin Martin).
 680. Update the Xinstall.sh script to create version compatibility links for
      shared freetype libraries when needed (David Dawes).
 679. Update Freetype2 shared library versions to match the versions libtool
      generates (Keith Packard).
 678. Doc updates (lots of people, includes #5142, 5144)

XFree86 4.1.99.6 (14 January 2002)
 677. Change the default verbosity level for stderr from 1 to 0 (David Dawes).
 676. Set the X server's stderr to non-blocking for non-root users
      (David Dawes).
 675. Don't allow the X server to start when stdout or stderr is a pipe for
      non-root users (David Dawes).
 674. Add OpenGL man pages.
 673. Avoid duplicate symbol problem with xkbevd on some platform (#A.769,
      Nicholas Leippe).
 672. Updated Ukranian XKB symbols file (#A.764, Andriy Rysin).
 671. Fix ELF loader for ARM architecture (#5138, Phil Blundell and
      Adam C. Powell IV).
 670. Fix a race condition in the Linux kernel DRM code (#5136,
      Arjan van de Ven).
 669. Fix DGA support in the s3virge driver (#5135, Kevin Brosius).
 668. Add XvBskew, XvRskew to adjust skew values for centering of an
      Xvideo window for the trident driver (Alan Hourihane).
 667. Fix loader for Motorola 68k machines (Alan Hourihane).
 666. Fix very high resolution modes (e.g. 1600x1200@16bpp) in the
      Trident driver (Alan Hourihane).
 665. -
 664. Quick hack to allow GLX to be included in non-XFree86 servers
      (Marc La France).
 663. More ROP_NEEDS_SOURCE fixes for Savage chipsets (Egbert Eich).
 662. Improvements to the SiS driver which should fix a lot of the 630
      issues (Thomas Winischhofer).
 661. In XDarwin IOKit mode, ignore screens sized 1x1 (Torrey T. Lyons).
 660. Some missing QNX fixes (#5121, Frank Liu).
 659. Update XDarwin man page and usage message for XFree86 4.2.0. Add
      XFree86 man page to XDarwin distribution (Torrey T. Lyons).
 658. Add bn_BD.UTF-8 to locale.dir (Taneem Ahmed).
 657. Fix luit not dropping priviledges when run with the -c flag (#5134,
      Juliusz Chroboczek).
 656. Fix unresolved symbol and loader symbol registration problems in the
      i810 driver that were introduced with the i830 support (David Dawes,
      Abraham vd Merwe).
 655. Fix sparklies problem for other Trident *BladeXP chipsets
      (Alan Hourihane).
 654. In XDarwin IOKit mode, ignore screens that can not provide the requested
      size, depth, or refresh rate instead of generating a fatal error
      (Torrey T. Lyons).

XFree86 4.1.99.5 (7 January 2002)
 653. Fix some typos in the DRI README (#A.757, Andreas Mohr).
 652. xon.sh path setting from 3.3.6 (#A.756, Marc Herbert).
 651. Fix a problem with the Radeon driver that was causing the sync polarity
      to be ignored (#A.753, Vedran Rodic).
 650. Set the max clock correctly for the G550 second head (#5133,
      Luugi Marsan).
 649. Fix a Radeon DRI lockup problem (#5128, Steven Pritchard).
 648. Back out some mga_g450pll.c changes that cause problems on at least
      some G450 configurations (#5122, David Woodhouse).
 647. Fix some xterm build warnings on *BSD (David Dawes, Thomas Dickey).
 646. Some QNX4 fixes/updates (#5121, 5124, 5130, 5131, Frank Liu).
 645. Prefer POSIX O_NONBLOCK to O_NDELAY (when defined) in lib/dps (#5121,
      Frank Liu).
 644. Fix portability problem with XpmI.h (based on #5121, Frank Liu).
 643. Only use SA_RESTART in xterm when it's available (#5121, Frank Liu).
 642. Work around Watcom compiler bug that shows up when building Mesa's
      stencil.c (David Dawes, based on #5121, Frank Liu).
 641. Handle __inline and __inline__ in compiler.h for non-GNU compilers,
      which makes it more likely that drivers will build with other compilers
      (David Dawes, based on #5121, Frank Liu).
 640. Build fixes for xedit/lisp. Don't define NEED_SNPRINTF when not needed.
      Avoid a double recursion into subdirs (#5123, Matthieu Herrb).
      Added code for systems without getpagesize.
 639. Fix the xdm's handling of keys, allowing keypad keys to work (#A.662,
      Servaas Vandenberghe).
 638. Fix hang when quitting XDarwin before starting X server
      (Torrey T. Lyons).
 637. Don't add XDarwin's PseudoramiX extension with only one screen
      (Greg Parker).
 636. Add Spanish localization of XDarwin help file (Pablo Di Noto).
 635. Improve XDarwinStartup's error reporting (Torrey T. Lyons).

XFree86 4.1.99.4 (28 December 2001)
 634. Update the ati/radeon driver to recognise the All-in-Wonder 8500's
      ID (#5117, Vladimir Dergachev).
 633. Fix bug where a pointer may be checked without being intialized in xman
      (#5120, Martin Husemann).
 632. Add an informational message to the radeon driver when LCD/DFP mode
      validation fails (#5118, Vladimir Dergachev).
 631. Handle the ATI Rage128 "PP" variant like the "PR" variant (#4982,
      Mike Harris).
 630. Fix a LynxOS on PowerPC build problem (#A.746, Stuart Lissaman).
 629. Fix the names of the Northern Saami keyboards (#A.742,
      Petter Reinholdtsen).
 628. Add Xinerama info to xdpyinfo (#A.741, Greg Parker).
 627. Fix an xdm problem caused by not handling an interrupted read (#A.728,
      Darren Marshall).
 626. Add functions completing text control for Render.  Bump XRender library
      minor version (Keith Packard).
 625. Add XKB layout info for a newer Logitech iTouch keyboard (#A.727,
      Dimitromanolakis Apostolos).
 624. Fix a problem that shows up with the summa tablet driver when using
      a Genius EasyPen (#A.714, Anders Melchiorsen).
 623. Fix for VT switch problem with the S3 driver (based on #A.677,
      Juergen Lesny).
 622. Remove some more spurious entries in the KSC 5601 encoding file (#A.678,
      Jungshik Shin).
 621. Fix for APM problem on devfs-based Linux systems with APM in a kernel
      module (#A.663, Denis Zaitsev).
 620. Update the mga Xv double buffering to match the more recent submission
      (#4976, Didier Gautheron).
 619. Fix a bug in the XKB Slovak (sk) layout (#A.621, Juraj Bednar).
 618. Fix a small window when a SIGIO may be received without a handler
      installed (David Dawes, based on #A.620, Michel Lespinasse).
 617. ISO 8859-{1,7,15} Compose file updates and fixes (#5114,
      Vasilis Vasaitis).
 616. In XDarwin multi-monitor IOKit mode, read screen location from the
      kernel (Torrey T. Lyons).
 615. Update XDarwin credits file (Torrey T. Lyons).
 614. Fix various XDarwin crashes in multi-monitor rootless mode by using
      a new "light" version of PanoramiX/Xinerama called PseudoramiX
      (Gregory Parker).
 613. Fix some typos in the X.Org INSTALL doc (#5113, Chris Pepper).
 612. Fix an bug that prevented the releasing of XvMC memory on exit (#5112,
      Matthew J. Sottek).
 611. Some Xprint build warning fixes (David Dawes).
 610. Xprt PCL3 support (#5111, Mark Snitily, from X11R6.6).
 609. Xprt PostScript bitmap cache (#5110, Chris Bare, from X11R6.6).
 608. Updates for the Romanian (ro) XKB map (#5108, Marius Andreiana).
 607. Update s3virge docs (#5107, Kevin Brosius).
 606. Disable pixmap24 option for Permedia3/4/R4 as the chip doesn't support
      this (Alan Hourihane).
 605. Fixed a infinite loop in the i2c code.
 604. Fixed a Sig11 problem in siliconmotion driver (Egbert Eich).
 603. Fixes to silicon motion driver:
	- gamma correction for 24 bit true color mode.
	- XAA: clipping rectangle was clipped to visible screen, so offscreen
	  pixmaps could not been drawn at with accelerated drawing functions.
	- in SMI_ScreenInit frame buffer size calculation for video changed.
	- smi_video: partly rewritten.
	  - Support for 7111
	  - interlaced video via
	    - XF86Config Option "Interlaced" or
	    - attribute XV_INTERLACED (Corvin Zahn).
 602. Add French localization of XDarwin help file (Olivier Verdier).

XFree86 4.1.99.3 (19 December 2001)
 601. Change the property Xprint uses to identify pmf printer internal fonts
      to avoid a clash with DPS (#5106, Chris Bare, from X11R6.6).
 600. Fix a C type aliasing bug in xkbcomp (#5104, Jakub Jelinek).
 599. Fix a bug in Xprint's PS output code that was over-optimizing out
      clip change requests (#5102, Chris Bare, from X11R6.6).
 598. Improved error handling for Xprint's -XpFile option (#5101, 5105,
      Chris Bare, from X11R6.6).
 597. Add higher resolution options to the Xprint postscript printer support
      (#5096, Chris Bare, from X11R6.6).
 596. BuildLoadableXlibI18n should be keyed off "SharedLibX11" rather than
      "BuildX11Lib" (#5095, Ernie Coskrey).
 595. Fix a luit inconsistency between the default data used when a
      locale is unknown and the data used by ISO 8859-1 locales (#5092,
      Juliusz Chroboczek).
 594. Add eo_EO locale entries, which is what GNU libc 2.2 uses for the
      Esperanto locale (#5091, Juliusz Chroboczek).
 593. Fix an Xprt page handling problem (#5090, Chris Bare, from X11R6.6).
 592. Update the X.Org release number from 6.5.1 to 6.6 in various
      documents and header files (#5089, 5100, Chris Bare, from X11R6.6).
 591. Recognise __SVR4 as an alternative for SVR4 in Xosdefs.h (#5087,
      Chris Bare, from X11R6.6).
 590. Cleanup some header files to make them more C++ friendly (#5086, 5088,
      Chris Bare, from X11R6.6).
 589. Update the driver status document (#5085, Branden Robinson).
 588. Fix the SiS drm driver (#5084, Torsten Duwe).
 588. Fix Trident driver pitch values when accelerator is in use, applies
      to Image and Blade series chips (Alan Hourihane).
 586. Minor bugfix to SiS driver, restructured VT switching code
      (Egbert Eich).
 585. Attempt to fix flickering in 24bpp on Trident CyberBladeXPAi1
      (Egbert Eich).
 584. Fixed UTF8lib support (Mike Fabian).
 583. Re-instate makedepend's recognition of backslash line terminations
      (Marc La France).
 582. Add proper reference counting to the XvMCContext so that destroying
      the context before destroying associated surfaces is handled correctly
      (#5083, Matthew J. Sottek).
 581. Fix the xtt (X-TrueType) font module so that it will recognise
      fonts with upper-case suffixes (".TTF" and ".TTC") (#5082,
      ISHIKAWA Mutsumi).
 580. Use uname instead of hostname in rstart and xon scripts for portability,
      plus some other rstart and xon fixes (#5081, Chris Bare, from X11R6.6).
 579. Some newport driver cleanups and fixes (#5080, 5103, Guido Guenther).
 578. Fix XagNsingleScreen definition and some related side-effects (#5077,
      Chris Bare, from X11R6.6).
 577. Fix some doc typos, and remove references to the non-existent
      shadowfb(4) man page (#5076, David Krause).
 576. Pitch calculation updates for the r128 driver (#5074, Michel Dänzer).
 575. Updates for VMware SVGA programming documentation (#5073,
      Jeremy (VMware)).
 574. Fix cases where makedepend reports the wrong line number and file when
      an error occurs (#5072, Mark Snitily, from X11R6.6).
 573. Fix differences in libXt behaviour when using poll() compared with
      when using select() (#5071, Chris Bare, from X11R6.6).
 572. Some warning cleanups for Tru64 (#5069, Antti Tapaninen).
 571. Fix a typo in the mt_us keymap entry (#5067, Nerijus Baliunas).
 570. Add some missing UNDEFINE lines to the iso8859-11 and tis620-2
      encoding files (#5065, 5066, Theppitak Karoonboonyanan).
 569. Some Luxi font updates:
       - update the Type 1 versions to fix a UID-related bug and cover more
         glyphs
       - update the TTF fonts.scale file to include ISO 8859-13
       - update the docs to properly reflect the fonts' glyph coverage
      (#5064, B&H, Juliusz Chroboczek).
 568. Fix "The Open Group" copyright notices to reflect the change in
      post R6.4 licensing (#5093, Mark Snitily, from X11R6.6).
 567. Added debugging helpers (Egbert Eich).
 566. Added support for the Trident CyberBladeXPAi1 (Egbert Eich).
 565. Fixed Mono8x8Fill problem in S3 Virge and Savage drivers (Egbert Eich).

XFree86 4.1.99.2 (12 December 2001)
 564. Fix XDarwin GetImage bug on screens other than 0 in rootless mode
      (Gregory Parker).
 563. Fix acceleration, hw cursor and console restoration in the "nv" driver
      on PowerPC (Mark Vojkovich).
 562. Fix console switching on r128 & radeon drivers using FBDev (#5075,
      Benjamin Herrenschmidt (radeon), Michel Dänzer (r128) ).
 561. Implement double buffering for XVputimage in the mga driver (#A.601,
      Didier Gautheron).
 560. Fix a wheel emulation problem that prevented delivery of button
      events when the wheel button was the same as one of the emulated
      button (#A.600, Antonio Larrosa Jiménez).
 559. Fix some 'make install.sdk' problems (#A.586, Stanislav Brabec).
 558. Fix mga DGA when UseFBDev is enabled (#A.584, Wayne Whitney).
 557. Fix dri module build when BuildXinerama is set to NO (David Dawes,
      based on #A.599, Pontus Lidman).
 556. Fix libXext build when BuildLBX is set to NO (based on #A.582,
      Didier Gautheron).
 555. Fix typo in ms_MY locale name (was ms_NY) (Hasbullah Bin Pit).
 554. Fix incorrect code in signal handlers in most of the clients,
      xterm and xdm not done yet (Matthieu Herrb).
 553. Add Glint R4 and Gamma2 support to the glint driver (Alan Hourihane).
 552. Fix rotated display in the nv driver (Mark Vojkovich).
 551. By default, validate all available modes rather than only the largest
      such mode (Marc La France).
 550. Various XDarwin improvements:
      - Use all 8 bits of PseudoColor in full screen Quartz mode.
      - Write XDarwin version number to console log.
      - Move Alt/Option key back to Mod1 by default.
      (Torrey T. Lyons)
 549. Fix offscreen memory manager segfault (Jacques Gangloff).
 548. XDarwin Quartz mode cursor improvements:
      - Safely free QuickDraw cursors.
      - Fix disappearing cursor in rootless mode with multiple monitors.
      (Gregory Parker and Torrey T. Lyons)
 547. i810 XvMC fixes (#5078, Matthew J. Sottek).
 546. Downgrade DDC-related mode rejections to warnings as some monitors
      advertise their nominal, rather than actual, tolerances (Marc La France).
 545. Add Korean localization of XDarwin front end (Kyunghwan Kim).
 544. Allow XDarwin to launch from the Finder even if there are spaces, etc.
      in the path to its application bundle (Torrey T. Lyons).
 543. Add XvHsync, XvVsync to adjust skew values for centering of an
      Xvideo window for the trident driver (Geoffrey Hausheer, Alan Hourihane).
 542. Fixed xkb to avoid setting of AccessXTimeout to 0 (Egbert Eich).
 541. Added option to sync the logfile after every line written (Egbert Eich).
 540. Improved APM handling:
      - Added disable of Input Handlers.
      - Added support for undo on failed APM requests.
      - Set vtSema to false (Egbert Eich).
 539. Improved detection of primary device especially for non-PC platforms
      (Egbert Eich).
 538. Silicon Motion driver Fixes:
      - Removed separate loading of int10 code.
      - Added reset of graphics engine on EnterVT (Egbert Eich).
 537. Set flag ROP_NEEDS_SOURCE for CPUToScreenColorExpand for all
      S3 Savage chips (Egbert Eich).
 536. SiS driver:
      - Added fix to restore fbdev mode properly on VT switch/exit.
      - Improved LCD handling on SiS 630.
      - fixed screen blanking in SiS driver to properly blank LCDs
        (Egbert Eich).
 535. Trident driver:
      - Fixed screen centering for 640x480 Modes.
      - Fixed video playback for BladeAi1.
      - Fixed hotkey internal/external switching for XPm8/16.
      - Added support for on-the-fly video recentering.
      - Attempt to fix contrast settings for video (Egbert Eich).
 534. Added reset code for PS/2 mice when replug events occurs
      (required for later Linux 2.4.x kernels) (Egbert Eich).
 533. xf86cfg: start AccessX controls even when started from a running server
      (Egbert Eich).
 532. Add support in glint driver for booting secondary cards that have
      the VGA disable jumper set (so no access to the BIOS) (Jay Estabrook).
 531. Add Spanish localization of XDarwin front end (Pablo Di Noto).
 530. Set the r128 DRI driver version back to 2.2 so that the major version is
      the same as for the version in XFree86 4.1.0.
 529. Fixes for DGA2.0 support in the radeon driver (#A.585,
      Shyouzou Sugitani).
 528. Fix mkfontdir's scanning of fonts.scale files to detect a bad file
      resulting from concatenating two fonts.scales files, and to avoid
      buffer overruns from over-long strings (#A.563, Jonathan Kamens).
 527. Avoid i810 VT switching problems on FreeBSD (David Dawes).
 526. Fix a possible SIGFPE in the X-TrueType fonts (#A.640, Nam SungHyun).
 525. Fix -probe and -configure to not clear the screen on exit on SunOS SPARC.
      (Marc La France).
 524. Fix support for ATI Graphics Pro Turbo 1600 adapters (Marc La France).
 523. Newport driver updates, including 24-bit support (#5062, Guido Guenther).
 522. Fix pixel info not being returned from the APPGROUP extension (#5061,
      Chris Bare, from X11R6.6).
 521. Remove debug message in the calcomp driver (#5060, Martin Kroeker).
 520. Replace "X Windows" with "X Window System" or "X" in various places
      (#5058, David Krause).
 519. Fix the size of some lbx struct members on 64-bit architectures
      (#5053, Chris Bare, from X11R6.6).
 518. Fix the size of some xXagGetAttrReply struct members on 64-bit
      architectures (#5052, Chris Bare, from X11R6.6).
 517. Add a NULL check that was missing in the CID part of the Type1 code
      (#5050, Mark Snitily, from X11R6.6).
 516. XKB AccessX LED beep feature (#5047, Chris Bare, from X11R6.6).
 515. Fix WriteToClient flushing bug (#5046, Chris Bare, from X11R6.6).
 514. Fix improper freeing of widget translations in libXt when
      REFCNT_TRANSLATIONS is defined (#5044, Chris Bare, from X11R6.6).
 513. Fix XPrint memory leak (#5042, Chris Bare, from X11R6.6).
 512. Local Authorization Fix (#5041, Chris Bare, from X11R6.6).
 511. Add locale entries for Sami (#5055, Børre Gaup).
 510. Fix XProcessInternalConnection man page duplication (#5040, Chris Bare,
      from X11R6.6).
 509. Minor xrx Imakefile fix (#5038, Chris Bare, from X11R6.6).
 508. Remove outdated xc/fonts/encodings/large/README (#5033,
      Juliusz Chroboczek).
 507. Enable XVideo support for the SuperSavage (#5031, Tim Roberts).
 506. Add some missing locale entries (#5026, Mike Harris).
 505. s3virge driver updates, including:
       - cr3a patch (#4884, Adam J. Richter)
       - ViRGE MX XVideo patch (#4915, Sven Menke)
       - An option to disable XVideo
       - Disable solid filled rects for Trio3D because of trouble reports
       - Some MX fixes
       - Fix ViRGE MX XVideo so window overlap works
       - Enable ViRGE GX2 XVideo
       - Fix low resolution problems on ViRGE MX (&GX2)
      (#5024, 5030, 5034, Kevin Brosius).
 504. Some new/updated xkb files (#5019, Pablo Saratxaga).
 503. Add some ATI PCI IDs (#5018, Mike Harris).
 502. Implement a hack for the DEC TGA2 cards which maps an extra page
      before framebuffer start as the acceleration code is slightly
      broken (Jay Estabrook).
 501. Allow secondary MGA boards to be used on Alpha that have the VGA
      disable switch set (Jay Estabrook).
 500. Fix Radeon jerky cursor movement bug (Jay Estabrook, #5054, Mike Harris).
 499. Add new Luxi fonts from Bigelow & Holmes (#5010, Charles Bigelow and
      Kris Holmes, integrated by Juliusz Chroboczek).
 498. Update the ClearlyU fonts to version 1.8 (#5009, Mark Leisher).
 497. Add XKB symbols for Saami (#5006, 5059, Børre Gaup).
 496. Change the mapping of the JIS reverse solidus to what most Japanese
      users expect (#5002, Juliusz Chroboczek).
 495. Fix hiding/showing of mouse cursor under Windows on Cygwin/XFree86
      (#5056, Harold Hunt).
 494. Fix Permedia3 SDRAM based boards planemask problems (Jay Estabrook).
 493. Don't use int10 in glint driver when using fbdev interface (#5039,
      Michel Dänzer).
 492. Fix SlowBCopy for MIPS and PowerPCs (Marc La France).
 491. Fix XF86Config overrides for I/O base, framebuffer address and video
      memory size in cyrix driver (Marc La France).
 490. Don't interfere with ATI panel support when using DDC information for
      monitor tolerance defaults (Marc La France).
 489. Add Dutch localization of XDarwin help file (Paul Edens).
 488. Add stub functions needed by libGL to libXThrStubs. Link libGL against
      libXthrStubs on systems that build it. (#4997, Matthieu Herrb).
 487. Fix building and loading of I18N modules by Xlib on NetBSD and OpenBSD
      (#5049, Matthieu Herrb).
 486. Fix duplicate loader symbols (#5048, Vladimir Dergachev).
 485. Fix problems with clipping in fb when the clip list contains negative
      coordinates (Gregory Parker).
 484. Fix return value of VBEBankSwitch() (Norm Raden).
 483. Updates/fixes for the QNX6 (aka Neutrino) port (#4990, Frank Liu).
 482. Autodetect when -fno-merge-constants is needed for building modules,
      and enable its use by default in those cases (Marc La France,
      David Dawes).
 481. Status doc updates (#4991, Branden Robinson).
 480. Fix for flickering i815 LCDs (#4968, Poul-Henning Kamp, Harald Koenig).
 479. Move much of the I18N code in Xlib into separately loadable
      modules (#4965, 5043, Ernie Coskrey, from X11R6.6).
 478. Modify UXTerm.ad's font5 resource so that xterm can display double
      width characters using a font distributed with XFree86 (#4962,
      Tomohiro KUBOTA).
 477. Add Dutch localization of XDarwin front end (Paul Edens).
 476. Add a quick check to not use as the default mode any internal modes
      with horizontal timing parameters that aren't CRT-friendly (David Dawes).
 475. Add an 832x624 @ 75Hz mode line to the default mode set (#4960,
      Andrew C. Aitchison).
 474. Fix Radeon LCD Panel detection and Power Delay (ATI Technologies).
 473. Ignore XDarwin full screen switch key combination when in rootless mode
      (Torrey T. Lyons).
 472. Xterm patches #163, #164 (Thomas Dickey): mostly bug fixes.
 471. Fix race condition in XDarwin causing occasional hangs or crashes when
      quitting from the menu (Torrey T. Lyons).
 470. Cygwin/XFree86 updates (#5035, #5036, Harold Hunt).
 469. Make sure Cygwin checks ENOBUFS for error test in XlibInt.c, as under
      Cygwin when the socket is full ENOBUFS is returned (Brian Genisio).
 468. Fix SIGFPE in LastLinePel for ATI Radeon, console restoring on dual CRT
      head on VE, improved panel and ddc line detection (ATI Technologies).
 467. Fix bug that caused hardware cursors to disappear on mode switches when
      silken mouse is disabled (Marc La France).
 466. Preliminary changes to keyboard handling for SPARC SunOS
      (Marc La France).
 465. Zero out SPARC SunOS primary framebuffer on exit, like Sun's servers do
      (Marc La France).
 464. More driver name normalisation (Marc La France).
 463. Minor speedup for Mach64 acceleration for big-endian architectures
      (Marc La France).
 462. Fix bug that prevented relocation of unassigned PCI I/O bases
      (Marc La France).
 461. Add Swedish localization of the XDarwin help file (Patrik Montgomery).
 460. Fix use of gethostbyname and getservbyname to _XGethostbyname and
      _XGetservbyname for portability (#5017, Mark W. Snitily, from X11R6.6).
 459. Fix buffer problems used by xrdb to build command line, noticed on
      systems with a large amount of visuals (#5016, Alan Coopersmith).
 458. Fix bug regarding signal handling in x11perf by inserting an abort
      test after each run (#5015, Mark W. Snitily, from X11R6.6).
 457. Add improved diagnostic messages and error checking to libXfont
      which is used by bdftopcf command (#5014, Chris Bare, from X11R6.6).
 456. Fix advertised surfaces for the i810 Motion Compensation driver and
      make use of new XVMC_INTRA_UNSIGNED surface flag (#5003, Matthew Sottek).
 455. Fix r128 driver to call wrapped screen functions when using the
      fbdevhw layer (#5004, Michel Dänzer).
 454. Add Rage128 Pro PP detection to ati driver (#5025, Alfred Perlstein,
      Mike Harris).
 453. Add CyberBladeXPAi1 recognition to the trident driver (#A.658,
      Jani Jaakkola).
 452. Fix typo in PCI bus scanning that caused a hang when there was more than
      one PCI bus (#A.652, Uwe Dannowski).
 451. Update Japanese localization of XDarwin help file (Toshimitsu Tanaka).
 450. Update XDarwin help file (Torrey T. Lyons).
 449. Fix XDarwin SHAPE support in rootless mode (Gregory Parker).
 448. More corrections to Xaw manpage (#5022, Branden Robinson).
 447. Fix XDarwin crash if a NULL mask is passed to Composite in rootless
      mode (Torrey T. Lyons).
 446. Fix XDarwin crash if more than one keyboard interface is returned from
      NXEventSystemInfo (Gregory Parker).
 445. Big5 encoding fix (#4957, Juliusz Chroboczek).
 444. Use DDC sync (disabled by default) and DPMS info (#4955,
      Andrew C Aitchison).
 443. Update the i810 XVideo support to double the maximum image width
      to 1440 (#4933, Philip Pokorny).
 442. Fix several memory leaks in x11perf (#4931, Ernie Coskrey, from X11R6.6).
 441. Bypass startup VT #1 switching hack for FreeBSD/syscons unless running
      on a pre-3.1 version of FreeBSD (#4926, Huver).
 440. Catch bogus flat panel dimensions in the ati/r128 driver (#4907,
      Michel Dänzer).
 439. Fix Maltese entry in xkbcomp/keymap/xfree86 (#4921, Nerijus Baliunas).
 438. Fix a locale.alias typo (#4920, Nerijus Baliunas).
 437. Documents Options for the Matrox and Neomagic drivers, and makes
      HW/SWcursor generic options (#5021, Dr. Andrew C. Aitchison).
 436. Corrections and updates to Xaw manpage (#5020, Branden Robinson).
 435. Add German localization of XDarwin front end (Andreas Monitzer).
 434. Add the DEC-XTRAP extension and sample clients (#4904, 4918,
      Paul Stewart).
 433. Update the us_intl XKB symbols map to include all diacritics used
      in latin script (#4917, Pablo Saratxaga).
 432. Add a Compose file for utf-8 (#4917, 5019, Pablo Saratxaga).
 431. Fix radeon and sis GL module Imakefiles (#4916, Bill Nottingham).
 430. Bug fixes and updates for Savage driver (#5001, Tim Roberts).
 429. Add luit (#4914, Juliusz Chroboczek).
 428. Fix a typo in fontenc that prevents building with no dependency on
      libfont (#4913, Juliusz Chroboczek).
 427. Add an encoding file for the KSC Johab encoding (#4912, Jungshik Shin).
 426. Remove some spurious entries in the KSC 5601 encoding file (#4910,
      Jungshik Shin).
 425. Add Swedish localization of XDarwin front end (Patrik Montgomery).
 424. Fill in mode switch characters in XDarwin keymap (Mario Klebsch and
      Torrey T. Lyons).
 423. Linux/PA-RISC portability fixes (#4892, Grant Grundler, Bdale Garbee,
      and LaMont Jones).
 422. Linux/mips portability patch (#4891, 4919, Guido Guenther).
 421. Preliminary support for building on Linux/arm32 (#4890,
      Branden Robinson).
 420. Make it possible to build the X server on Linux/m68k platforms
      (#4889, Christian T. Steigies).
 419. Fixes for xman's manpath config handling (#4886, Branden Robinson and
      Colin Watson).
 418. Fix some man page aliases (#4882, Branden Robinson).
 417. Define __GLX_ALIGN64 for glx on Alpha (based on #4888, Branden Robinson).
 416. Remove PEX5 from the lists of specs in doc/specs/Imakefile (#4881,
      Branden Robinson).
 415. linux.cf updates (#4874, Branden Robinson).
 414. Updates for zh locale files (#4879, Branden Robinson).
 413. xf86config man page update (#4877, Branden Robinson).
 412. Startx enhancements and cleanups (#4875, Branden Robinson and
      Henry T. So).
 411. Use DirectDraw2 instead of DirectDraw on Cygwin (#5012, Harold Hunt).
 410. Add French localization of XDarwin front end (Olivier Verdier).
 409. Fix portability problem in the generation of the man page version string
      (Marc La France).
 408. Fix a NativeGDI problem on Cygwin/XFree86 (#5007, #5008, Harold Hunt).
 407. Fix for threaded libraries (Marc La France).
 406. Finish removal of SuperProbe (Marc La France).
 405. A rather large number of warning fixes throughout (Marc La France).
 404. Fix bug in HTML install script (Marc La France).
 403. Missing ident lines for some XFree86-modified files (Marc La France).
 402. Add default half-width doublescanned modes (Marc La France).
 401. Mark all driver-registered resources with ResBus (Marc La France).
 400. Fix DPMS-related build problem (Marc La France).
 399. Log a message just before calling each ChipProbe() during '-probe'
      processing (Marc La France).
 398. Temporarily disable ISA probing on SPARCs and PowerPCs (Marc La France).
 397. Add PCI IDs for Sun hardware (Marc La France).
 396. Fix memory leak in resource relocation (Marc La France).
 395. Do not relocate resources that only conflict with disabled non-video PCI
      devices or disabled PCI ROMs (Marc La France).
 394. Re-organise SBUS code (Marc La France).
 393. Add as-yet-unused definitions for PCI resource types other than I/O and
      memory (Marc La France).
 392. Add doc for Solaris, but don't format it yet (Marc La France).
 391. Normalise driver names (Marc La France).
 390. For SPARCs, disable DGA support in ATI driver
      (from #4650, David S. Miller).
 389. Clean up some debugging messages (Marc La France).
 388. Fix newport driver for when a /proc fs isn't mounted (Marc La France).
 387. Fix DAC handling bugs in s3 driver (Marc La France).
 386. Fix resource registration bug for PCI Tseng's (Marc La France).
 385. Add aperture driver for Solaris (not yet used) (Marc La France).
 384. Rework scanpci to fix problems that prevented it from completely
      displaying non-PCI bridges and Simba bridges (Marc La France).
 383. Fix build problems in some input drivers (Marc La France).
 382. Fix int10 compile problem for SPARCs and PowerPCs (Marc La France).
 381. Ensure master aborts on secondary buses complete normally during PCI
      scans (Marc La France).
 380. Some memory mapping and Solaris cleanups (Marc La France).
 379. Fix XDarwin crash on server reset and problem in full screen mode when
      switching from X to Aqua to X too rapidly (Torrey T. Lyons).
 378. Add __apploaddir__ definition to imake MANDEFS, to specify location of
      app-defaults directory, fixes Debian bug report #87611 (Thomas Dickey).
 377. Xterm patches #161, #162 (Thomas Dickey): mostly bug fixes.
 376. Add new CyberBladeXP Aladdin based chip ID's (#4994, Hubert Feyrer).
 375. fix a potential issue where POSIX allows the string returned
      from getenv to be overwritten (from X11R6.6, Chris Bare).
 374. Cygwin/XFree86 cleanups and fixes (#4992, #4993, #4999 Harold Hunt).
 373. Fix i830 VT switching problems which hang the ring buffer (#4987,
      #4989, Abraham vd Merwe).
 372. fix a format string problem in lbxproxy, apparently not exploitable
      (r0gue@vertarmy.org,  Matthieu Herrb).
 371. Fix disappearing cursor in XDarwin rootless mode by falling back to
      system cursor for cursors bigger than 16x16 (Torrey T. Lyons).
 370. Make XDarwin start more robustly from the Finder (Torrey T. Lyons).
 369. Update XDarwin Japanese localization (Toshimitsu Tanaka).
 368. Fix calculation of DPI when Xinerama in use (#4986, Andrew C Aitchison).
 367. Update XDarwin preferences GUI to match current features
      (Torrey T. Lyons).
 366. Xkb fixes for international keyboards (Matthieu Herrb).
 365. Add client side sparc64 support for NetBSD and OpenBSD (Eduardo Horvath,
      Matthieu Herrb).
 364. Allow xkbcomp to be used in a cross-compile environment (Alan Hourihane).
 363. Update documention for the SiS driver, the Options file
      (Ademar de Souza Reis Jr.).
 362. Xterm patches #157, #158, #159, #160 (Thomas Dickey): mostly bug fixes.
 361. Fix high-res modes in the nv driver.  Add interlaced support for
      chips older than NV11 (Mark Vojkovich).
 360. Cross compilation fixes (#4981, Harold Hunt, Alan Hourihane).
 359. Fix cursor artifacts when running XDarwin in full screen Quartz mode
      with 8 bit depth (Torrey T. Lyons).
 358. Fix byte ordering issue in XDarwin when loading keymapping files on x86
      and correctly set ByteOrder for PPC and x86 (Rob Braun).
 357. When XDarwin is launched from the Finder, start X clients in an
      interactive shell if user's shell is Bourne-based (Torrey T. Lyons).
 356. Add CaseSensitiveFileSystem definition, which defaults to YES, except
      on Darwin, Cygwin, and OS/2. Fix another case problem spotted by
      NAKAHASHI Ichiro (Torrey T. Lyons).
 355. Enable Vendor specific FatalError for Cygwin/XFree86 and create
      the Xserver as a windows executable (#4967, Harold Hunt).
 354. Add i830 2D and DRI driver (#A.604, VA Linux Systems, 2D3D).
 353. Use the -no-cpp-precomp compiler option on Darwin, rather than the
      deprecated -traditional-cpp (Christoph Pfisterer).
 352. Reverting patch #340, fixing type (Egbert Eich).
 351. Fix rotation in fbdev driver (#4958, #4959, Michel Dänzer).
 350. Resync with DRI CVS trunk (DRI Project).
 349. Move ati driver out of DevelDrivers on PPC platforms (#4952,
      Michel Dänzer).
 348. SECURITY: set default value of authComplain resource in xdm to true.
      This closes a hole where anyone can connect to the X server if
      the xdm auth dir doesn't exist (Galen Hancock).
 347. SECURITY: don't let a non-root user halt the machine by having X
      send SIGUSR1 to init (Thomas Moestl).
 346. Changed int10 module to stub on Sparc (Egbert Eich).
 345. Added hyperpen driver (Roland Jansen et. al.).
 344. Fixed alignments of x86emu-structures for AXP (Jay Estabrook).
 343. Fixed XLoadQueryFont() and XLoadFont() to support locales
      (required for Euro support) (Markus Kuhn).
 342. Modified XtCvtStringToFont() to match any ISO8859 instead of
      latin1 as fallback. Required for Euro Support (Markus Kuhn).
 341. Added acute to compose key list for iso8859-15 (Markus Kuhn).
 340. Modified XV Xinerama support to recognize adaptors if screen 0
  has no adaptor (Egbert Eich).
 339. Modified order of disable devices and LeaveVT() to be symetric
      to the enter case (Egbert Eich).
 338. Modified GetTimeInMillis() to handle non monotonous system clocks
      (Egbert Eich).
 337. Added comment about a Zeos Meridan 850c Notebook to C&T docs (Alan Cox).
 336. Added call to vbeFree() to apm driver (Egbert Eich).
 335. C&T driver:
      - fixed sig11 problem for non-69030 chipsets.
      - fixed DGA to announce acellerated functions only if accelleration
        is enabled.
      - added FP_mode flag to C&T driver which allows to override the detected
        state of the flat panel (Egbert Eich).
      - fixed driver to act appropriately if the BIOS switches to the
        external monitor it detects when doing DDC.
      - Set IOBase correctly for MMIO when detection 65545 PCI.
      - fixed text screen restauration on 69030 (Egbert Eich).
      - reinabled correct KGA handling of C&T chips: unblank before the end
        of scanline.
      - added support for composite sync.
      - when FP is active disallow display sizes greater than panel.
      - added double buffering to video support.
      - fixed register settings to prevent flickering during video playback.
       (Egbert Eich).
 334. Fixed bug in C&T driver that caused interlaced mode not to work
      (Claus Hulstrøm).
 333. Added full MMIO support for C&T 69030 chips (Gregg H. Burman).
 332. Fixed MMIO accel code in Cirrus Alpine driver, got PIO accel code to
      work (Egbert Eich).
 331. Fixed fbdev to obtain 24 bit framebuffer format from the kernel, added
      more failure messages to fbdev driver (Egbert Eich).
 330. Added calls to vbeFree() to rendition, savage, silicon motion,
      i740 and i810 driver (Egbert Eich).
 329. Modified MGA driver for new Sparse allocation sceme (Jay Estabrook).
 328. Modified handling of sparse addresses on AXP: The code now no longer
      maps the entire sparse range. Now the required ranges are mapped
      relative to a fixed base address (Jay Estabrook).
 327. Fixed HW cursor for MGA G100 (Egbert Eich).
 326. Fixed MGA drivers to be able to use overlay modes when HAL lib is
      loaded (Egbert Eich).
 325. Disabled accel functions that cause lockups on certain neomagic
      systems by default. They can be reenabled by setting the option
      "StrangeLockups" to "no" (Egbert Eich).
 324. Did a further fix on ScreenToScreenCopy() for Neomagic 2200
      (Egbert Eich).
 323. Added experimental support for Toshiba Libretto. This can be enabled
      by the option "DisplayHeight480" (Egbert Eich).
 322. Fixed clipping in Savage driver, update to version 1.1.1.19
      (Tim Roberts).
 321. fixed calls to BLTSync() on SiS driver (Egbert Eich).
 320. Fixed Mono8x8PatternFill(): Moving SETROPFG behind SETROPBG did the
      trick (Egbert Eich).
 319. Setting 24 bpp pximap flags correctly in SiS driver dependening
      on chipset (Egbert Eich).
 318. Setting depth and bpp of framebuffer correctly for suncg14 and sunleo
      driver (Thorsten Kukuk).
 317. Tseng driver not longer ignores results of TsengDoMemLimit() which
      tests for certain restrictions on the usable framebuffer size
      (Egbert Eich).
 316. Vesa driver: adding calls to vbeFree() before exiting PreInit().
      Reinit vbe in ScreenInit() (Egbert Eich).
 315. Adding int10 initialization to generic vga driver (Egbert Eich).
 314. Modified generic vga driver to use shadow fb for vga16 on AXP.
      This works around the problem that AXP can address memory only 32bit
      wide which doesn't work on a latched register planar fb (Egbert Eich).
 313. Removing 3.3 code from wacom driver. Makes driver hard to read
      (Egbert Eich).
 312. Removing message output from xf86WcmPlug() which causes -configure
      to core dump (Egbert Eich).
 311. Modified int10 Pci code to be able to use new version of
      xf86ReadPciBIOS() (Egbert Eich).
 310. Modified int10 int1A handler to return valid when an unimplemented int10
      call is encountered. This allows fallback to system BIOS (Egbert Eich).
 309. Modified xf86ReadPciBIOS() to check for valid i386 PC signature.
      Added functions xf86GetAvailablePciBIOSTypes() and
      xf86ReadPciBIOSByType() to obtain available PCI BIOS types and
      retrieve a certain BIOS by type (Egbert Eich).
 308. Reversed bogus patch 1050 of version 4.0.2. The graphics engine will
      *never* be called after receiving an APM suspend and before receiving
      an APM resume. If the neomagic locks up on resume this has a different
      reason (Egbert Eich).
 307. Change  real/effective user ID to 0/0 before calling modprobe in
      xf86LoadKernelModule() on Linux so user can also load drm modules. Fixed
      PATH environment variable to /sbin (Stefan Dirsch, Egbert Eich).
 306. Removed disable/enable interrupt code on ia64 as interrupts cannot
      be controled from user level (Egbert Eich).
 305. Further attempt to fix split algorithm for MTRR regions (Egbert Eich).
 304. Fixed problem in XAACopyPlaneNtoNColorExpand() that caused bogus
      memory accesses when src was not in fb memory (Egbert Eich).
 303. Fixed cfb8_32PaintWindow() to use correct cfb32FillBoxTileOdd function
      (Egbert Eich).
 302. Fix to xdm PAM support (Werner Fink).
 301. Fixed cz and cz_querty keyboard layouts, added support for Slovak
      keyboard (Jan Holesovsky).
 300. Fixed core dump in twm if no locales are present (Egbert Eich).
 299. Modified xterm app default to use LFD fontnames instead of old type
      (Michael Schroeder).
 298. Add a f.startwm function to twm to start another manager.
      (Matthieu Herrb).
 297. Disable MIT-SHM in Xnest, caused a segfault (Matthieu Herrb).
 296. Update wskbd keyboard protocol handling for OpenBSD/macppc
      (Matthieu Herrb).
 295. Fix problems starting XDarwin from the Finder and pasting with
      multi-button mouse emulation (Torrey T. Lyons).
 294. S3 driver updates. Restore console for 964 with Ti3025 and Trio64, and
      support for Aurora64V+ (#4953, Ani Joshi).
 293. Fix USB Keyboard access when no PS/2 controller present
      (#4948, Pontus Lidman).
 292. Add i810 XvMC (Motion Compensation) driver (#4946, #4964, #4966,
      Matthew Sottek, Intel).
 291. When using XKB and LEDs are switched on/off by external application
      the keyboard module doesn't change phisycal LEDs state immediately
      (#4951, Ivan Pascal).
 290. Clean up Cygwin/XFree86 keyboard files (#4949 Harold Hunt).
 289. Add Matrox G550 support (#4947, Luugi Marson, Matrox).
 288. Remove SuperProbe.man definition for manual page
      (#4944, Ishikawa Mutsumi).
 287. Ark driver updates (#4943, Ani Joshi).
 286. Fix xterm when XIM is disabled - caused a segfault
      (#4942, Tomohiro Kubota).
 285. Add Big Endian support (PowerPC) to radeon driver (#4934, Ani Joshi).
 284. Fix support for legacy Windows TrueType fonts in Big5 encoding
      (#4938, Joe Man).
 283. Support Radeon 7500, 8500 and Rage128ProII (#4941, ATI Technologies).
 282. Support Trident TGUI96xx and greater with Xv (Alan Hourihane).
 281. XDarwin fixes for Xinerama in Quartz modes:
       - Turn Xinerama on by default.
       - Fix warping the cursor.
      Also load keymapping from file in IOKit mode for Mac OS X 10.1
      compatibility. (Torrey T. Lyons and Gregory Parker)
 280. Fix Trident 96xx high clock setting, acceleration fixes (Alan Hourihane).
 279. Fix XDarwin rootless crashing bug when window resizing with the Mac menu
      bar not on X11 main screen (Gregory Parker).
 278. Define X_LOCALE on Darwin as Darwin's setlocale() does not work
      properly (Torrey T. Lyons).
 277. Fix problems with XDarwin multi-monitor support for some screen
      arrangements (Gregory Parker).
 276. Preliminary big endian (PowerPC) support for the "nv" driver
      (Ani Joshi, Mark Vojkovich).
 275. Enable ThreadedX for Cygwin/XFree86 using auto import features of
      newer binutils packages (Alan Hourihane).
 274. Exclude the Mac OS X menu bar from the X11 screen while running XDarwin
      in rootless mode (Yannick Bessette and Torrey T. Lyons).
 273. Add support for builtin MTRR and AGP support in NetBSD 1.5Y.
      (Matthias Drochner and Frank van der Linden).
 272. Rework XDarwin front end to start X clients in the user's normal
      environment and fix issues while quitting (Torrey T. Lyons).
 271. SECURITY: fix glyph clipping for large origin (Keith Packard).
      Reported to be remotly exploitable through konqueror or netscape
      by Georgi Guninski.
 270. Fix setting of memPhysBase in a few drivers (#4937, Gerd Knorr).
 269. Finish merging freetype-2-0-4 into trunk by resolving conflicts. This
      also fixes a syntax error on Darwin caused by an out of date version of
      ttgload.c (Torrey T. Lyons).
 268. Update VMware driver (#4935, Jeremy (VMware)).
 267. Native GDI infrastructure sync with Cygwin/XFree86 (#4936, Harold Hunt).
 266. Update Darwin build configuration files including:
       - Report full OS version and more capabilities.
       - Fix X server build problem due to libraries in ProjectRoot being
         listed as dependencies for some targets.
       - Allow dynamic shared libraries to take advantage of two-level
         namespace on Darwin 1.4.
      (Torrey T. Lyons)
 265. Disable clipboard viewer, external program xwinclip handles this (fow now)
      (#4932, Harold Hunt).
 264. Add ability to let Aqua and X use different display modes while running
      XDarwin full screen (Torrey T. Lyons).
 263. Fix build dependency problem in xedit/lisp/lisp.rules
      (#4930, Harald Koenig).
 262. Fix a fontenc-related problem that can cause the TrueType backend
      to crash (#4909, Juliusz Chroboczek).
 261. Fix DPMS support for I128 driver (Robin Cutshaw).
 260. Add OSVErrorF for Cygwin/XFree86 (#4923, Harold Hunt).
 259. Support Trident Cyber9320, TGUI9440, TVGA8900C, TVGA9000 ISA chips
      (Alan Hourihane).
 258. Fix banked 24bpp displayWidth calculation (Marc La France).
 257. Fix accel initialisation bugs in ATI driver (Marc La France).
 256. Add entry to initialise framebuffer manager by area (allowing for a
      possible extra partial scanline) and make it print all largest areas
      (Marc La France).
 255. Make xdm use BSD authentification on OpenBSD and use setproctitle()
      instead of home grown version where available (enabled on
      OpenBSD and NetBSD only) (Matthieu Herrb).
 254. Make -configure generate the DisplaySize from the acquired DDC
      information (#4897, Andrew C Aitchison).

XFree86 4.1.99.1 (20 August 2001)
 253. Fix bad xalloc() in the new fontenc code (#4899, ISHIKAWA Mutsumi).
 252. Fix some Xrandr build issues on Cygwin/XFree86 (#4898, Suhaib Siddiqi).
 251. Fix some Cygwin/XFree86 dependencies in cygwin.rules (#4894, Harold Hunt).
 250. Add ATI Xpert2000 (Rage 128 SM) (#4896, Mike Harris).
 249. Fix '-configure' crash introduced recently (#4895, Andrew C Aitchison).
 248. Re-write Xvideo support for Permedia3 (Alan Hourihane).
 247. Add Texas Instruments Permedia to Delta attached chips (Alan Hourihane).
 246. Add Permedia4 support (different clock synth) (Jay Estabrook).
 245. Resync with DRI CVS trunk (VA Linux Systems).
 244. Add XKB descriptions for the extra keys on a Dell Internet keyboard
      (#A.533, Ben Liblit).
 243. Add a Maltese XKB map and locale support (#A.527, Ramon Casha).
 242. Add a new "bksl" variant of the Czech XKB map (#A.515, Stanislav Brabec).
 241. Fix the initialization sequence for ExplorerPS/2 (#A.510,
      Arndt Schoenewald).
 240. When xdm is built with PAM support, don't call getpwnam() before
      calling the various PAM functions associated with authenticating a user
      (A.504, Ben Harris).
 239. Fix ccmakedep to handle source file extensions of more than one
      character (#A.507, Andy Wiggin).
 238. Fix a VT switching crash in the cirrus driver when acceleration is
      disabled (#A.489, Kirill V. Semenkov, #A.518, B. D. Elliott).
 237. Add support for the "PR" variant of the Rage 128 Pro (#A.487,
      Alfred Perlstein).
 236. Make the config file created with 'XFree86 -configure' load the
      speedo and/or type1 modules if relevant font directory is in
      the font path (#A.484, Dmitry Yu. Bolkhovityanov).
 235. Fix a bug in the nv driver's detection of the crystal frequency (A.481,
      Leo L. Schwab).
 234. Make xfontsel use the same order in its menus as the sort order used
      by the X server and xfs (#A.480, Dmitry Yu. Bolkhovityanov).
 233. Add an input driver for DMC FIT10 touch-panel (#A.477, Mayk Langer).
 232. Fix xf86PostMotionEvent() to handle first_valuator values other than
      zero (#A.468, Joe Krahn).
 231. Change the Swedish xkb map to map AltGr+Space to space (#A.467,
      David Härdeman).
 230. Fix the return value information in the Xv library man pages (#A.458,
      Tommi Vainikainen).
 229. Fix the DGA client library so that it can map the video memory on
      Solaris 8 x86 (#A.454, Juergen Keil).
 228. Change {Max,Min}{X,Y}Position options in the elographics and mutouch
      drivers to {Max,Min}{X,Y} so that it's consistent with the other
      drivers.
 227. Some Bulgarian and Serbian locale updates (#A.444, Anton Zinoviev).
 226. Add a usage message to glxinfo (#A.430, Mike Coleman).
 225. Set the Alt/Windows key mappings for 104-key keyboards to be
      compatible with 101-key keyboards by default, and add some new
      XKB options to set them differently.
 224. Add some new XKB options to select third level shift and group
      switchers/togglers (#A.425, Anton Zinoviev).
 223. Fix a bug in the Serbian XKB map (#A.424, Anton Zinoviev).
 222. Export from the loader the DIX symbols necessary for a modular version
      of the DEC-XTRAP extension (#4797, Paul Stewart).
 221. Add a workaround for FreeBSD to make programs (like mkfontdir) that
      are run as part of the build use the shared libraries from the build
      rather than those that may be installed on the system (David Dawes).
 220. Use MAXSOCKS for connection limit in Cygwin/XFree86 (Alan Hourihane).
 219. Add Render's layer support to Cygwin/XFree86 (#4872, Harold Hunt).
 218. Support for OpenBSD/powerpc (Matthieu Herrb).
 217. Experimental change to default behaviour of ATI panel support to override
      the horizontal and vertical porches of all modes to that found in the
      mode on entry (Marc La France).
 216. Fix detection of a panel's mode on entry in the ATI driver
      (Marc La France).
 215. Fix for Option "CRTScreen" in ATI driver (Marc La France).
 214. Patch for the Thai glyphs in Mark Leisher's ClearlyU font (#4846,
      Theppitak Karoonboonyanan).
 213. Add a font encoding file for tis620-2 (#4845, Theppitak Karoonboonyanan).
 212. Add a font encoding file for ISO8859-16 (#4844, Markus Kuhn).
 211. Make the input method framework in Xlib work better in an UTF-8
      locale (#4843, Yao Zhang and Bruno Haible).
 210. Default *sampleText*international to false in xfontsel's app-defaults
      file, since it breaks if the user has '*international: true' (#4842,
      Juliusz Chroboczek).
 209. A new version of the fontenc layer.  A major difference is that it
      reads from a "system" encodings directory
      <ProjectRoot>/lib/fonts/encodings/encodings.dir, which is searched
      after any encodings.dir file in the font's directory.  The font
      ABI version is bumped to 0.3 and the Xfont shared library's version
      is bumped to 1.4 (#4839, Juliusz Chroboczek).
 208. Add support to xload for displaying the load of remote hosts by using
      information in rwhod(1)'s database (#4833, Anders Eriksson).
 207. Rename the XVisibilityNotifyEvent man page to XVisibilityEvent,
      which matches the naming convention for the other X Event man pages
      (#4830, Ernie Coskrey, from X11R6.6).
 206. Update the registry to match X.Org's X11R6.6 version (#4829,
      Ernie Coskrey, from X11R6.6).
 205. Fix for the SlowKeys feature of the AccessX portion of XKB not working
      when the delay is longer than the amount of time between the delivery
      of key press events to the extension (#4828, Ernie Coskrey,
      from X11R6.6).
 204. Add a locale alias for "th_TH.TIS-620" (#4827,
      Theppitak Karoonboonyanan).
 203. Some linux.cf updates (#4825, Branden Robinson).
 202. Make the vbe module build like the other modules.
 201. -
 200. Add a command line options (-show) to xvidtune to print out the current
      video mode (#4809, Markus Kuhn).
 199. A new driver for the "Acecad Flair" tablet (not enabled by default yet)
      (#4800, Edouard TISSERANT).
 198. Fix some typos in the iso8859-2 Compose file (#4799, Kamil Toman).
 197. Add some XKB options to allow the CapsLock behaviour to be easily
      selected (#4794, Ivan Pascal).
 196. Don't reference the log file in the FatalError message if it hasn't
      been opened yet (#4793, Branden Robinson).
 195. Add Calcomp input driver (#A.554 Martin Kroeker).
 194. Add preliminary 8 bit PseudoColor support to XDarwin full screen Quartz
      mode and fix IOKit mode PseudoColor that was broken by the multi-monitor
      patch (Torrey T. Lyons).
 193. Load XDarwin keymapping from file by default and give more useful error
      message if getting keymapping from kernel fails. Change keymapping
      translation so delete key is XK_BackSpace by default (Torrey T. Lyons).
 192. Create the two sets of locale.alias and locale.dir entries (those with
      and those without the ':' separator) from a single set of entries in
      the source files (David Dawes).
 191. Add an MS mouse driver for KDrive (#4754, Juliusz Chroboczek).
 190. Improve "true Big5" and "Emacs Big5" support (#4792, Yong Li, #4798,
      Tomohiro KUBOTA).
 189. Fix a non-standard character set bug in Xlib (#4792, Ivan Pascal).
 188. Fix for the savage driver on 64-bit platforms (#4788, Jay Estabrook).
 187. Xv fix for the r128 driver on big-endian architectures (#4781,
      Michel Dänzer).
 186. Fix an Xlib bug that affects conversion from CTEXT to multibyte /
      wide character (#4780, Tomohiro KUBOTA, #4783, Bruno Haible).
 185. Release notes (4.1.0) and Status doc fixes (#4778, 4779,
      Branden Robinson).
 184. 64-bit fix for lib/X11/ImUtil.c (#4773, Mike Harris).
 183. Fix dashed lines for the r128 driver on big-endian architectures
      (#4769, Michel Dänzer).
 182. Fix Xlib's parsing of CTEXT with multi-byte characters in GR (#4761,
      Juliusz Chroboczek).
 181. Fixes for the Romanian (ro) XKB map (#4746, Marius Andreiana).
 180. XDarwin bug fixes:
       - Stop FatalError re-entry in "no Quartz support" messages.
       - Synchronize XDarwin serverVisible state with application on rootless
         startup.
      (Torrey T. Lyons)
 179. Fix an XDarwin bug that broke XWarpPointer in Quartz modes (Gregory
      Parker).
 178. Fix some more mi build warnings (David Dawes).
 177. Fix some mi build warnings (#4716-4719,4721-4724, Adam Sulmicki).
 176. Port for Linux/SuperH (Jornada680/690 and SEGA Dreamcast) (#4680, 4681,
      ISHIKAWA Mutsumi).
 175. Support for mouse wheel emulation (#A.506, Henry T. So).
 174. Add support to Cygwin/XFree86 to use CTRL+ALT+BKSPACE as the shutdown
      signal and fix up command line options to accomodate.
      (#4838, Alexander Gottwald).
 173. In XDarwin, add ability to change modifiers to use when faking multiple
      mouse buttons (Gregory Parker).
 172. Do not build Cygwin/XFree86 with -ansi as Cygwin's library (newlib) lacks
      some prototype definitions that cause runtime failures (hypot being one
      of them) (Alan Hourihane).
 171. Add extra library flags (commented out for now) for building
      Cygwin/XFree86's server (#4834, Harold Hunt).
 170. Fix a bug in the v4l module which caused multiple TV cards not to work
      (#4835, Gerd Knorr).
 169. Add multi-monitor support to XDarwin for all display modes using
      Xinerama (Gregory Parker and Torrey T. Lyons).
 168. Fix 16bpp colour maps on Mach64's (Marc La France).
 167. Fix Mach64 DPMS bug (Marc La France).
 166. Fix bug that prevented hardware cursors on Mach64 CT's (Marc La France).
 165. Document what a ChipAdjustFrame() function should to to prevent moving
      of hardware cursors during mode switches (Marc La France).
 164. -Wimplicit warning cleanup [`make World` >required<] (Marc La France).
 163. Ensure installed headers can find the headers they, in turn, #include
      (Marc La France).
 162. Make imake pass its -W* flags to cpp (Marc La France).
 161. More accomodations for newer GCC's (Mike A. Harris).
 160. Remove a CYGWIN define from Xserver/include/windowstr.h
      (#4832, Harold Hunt).
 159. Fix a casting problem which causes bdftopcf to write corrupted
      fonts on buffer boundaries (#A.522, Jakub Bogusz).
 158. Cygwin/XFree86 updates (#4824, #4826 Harold Hunt).
 157. Fix horizontal stripes problem in Permedia3 driver (Alan Hourihane).
 156. Remove most X_NOT_STDC_ENV code, and assume that __STDC__ is defined
      (David Dawes).
 155. Remove (stale) support for Amoeba and Minix (David Dawes).
 154. Update Cygwin/XFree86 cross-compilation and update to latest
      source base (#4801, #4802, Harold Hunt).
 153. Fix 'make install' for Freetype. (#4812, Carlos A M dos Santos).
 152. Turn on dll style modules for Linux/MIPS. (#4807, Guido Guenther).
 151. Add support for ATI's Radeon VE, Mobility M6, All-In-Wonder Radeon
      and Rage128 Pro Ultra, Digital Flat Panel support. Use DDC2 interface.
      (#4817, Mike Smith, ATI Technologies).
 150. Add IBM S/390 support for building the tree (#4815, Mike A. Harris)
 149. Fixes incorrect spelling of "XChangeWindowAttributes" found in
      XCreateColormap(3X11) and XInstallColormap(3X11)
      (#4813 Carlos A M dos Santos).
 148. Fix a serious memory leak in XAA (Mark Vojkovich).
 147. Add a DriverPrivate field to I2C devices (Marc La France).
 146. In the ATI driver, initialise the fb manager whether or not XAA is also
      used (Marc La France).
 145. Fix typos in radeon and wacom drivers.
 144. Don't disable the secondary CRTC on ATI Rage XL adapters (it doesn't
      exist) (Marc La France).
 143. Speed up ix86 block moves in ATI driver (Marc La France).
 142. Temporarily disable hardware cursor support for ATI GX & CX adapters
      (Marc La France).
 141. Make composite sync the default in the ATI driver (David S. Miller).
 140. Rework stretching of small DFP modes in ATI driver (Marc La France).
 139. Add an interesting PCI ID (Marc La France).
 138. Allow ChipValidMode() functions to pre-calculate a mode's horizontal
      sync and vertical refresh rates (Marc La France).
 137. Another fix for mode switch and cursor interactions (Marc La France).
 136. Temporary fix for endianness problems in ATI driver (Marc La France).
 135. Add XGetIMValues() prototype to Xlib.h (Marc La France).
 134. Use a more reasonable numbering for recent binutils versions on Linux
      (Marc La France).
 133. Fix dependencies for building drivers in a static server
      (Marc La France).
 132. Update XDarwin Japanese localization to include rootless UI changes
      (Toshimitsu Tanaka).
 131. Fix potential XDarwin bug in translating Darwin keymappings to X11
      keymaps with unrecognized modifier keys (Gregory Parker).
 130. Make XDarwin ignore Caps Lock when checking for VT switch, except when
      the user's switch key preference includes Caps Lock (Gregory Parker).
 129. Update XDarwin Cocoa UI and preferences for rootless mode. Add more
      explicit error message for users trying to run in Quartz modes without
      Quartz support. Remove unneeded info.nib files (Torrey T. Lyons).
 128. Added XDarwin menu bar hiding/showing in rootless mode (Gregory Parker).
 127. Fix DDC from reporting misleading information.
      (#4806 Andrew C Aitchison)
 126. Patch to make VBE DDC honour the NoDDC option.
      Before this, NoDDC disabled only 2 of the 3 ways the server might
      ask the monitor for DDC infomation.
      (#4805 Andrew C Aitchison)
 125. Stops xf86cfg complaining about non-video chips from Intel.
      Adds a few PCI card ids for Intel and one for Matrox.
      (#4804 Andrew C Aitchison)
 124. Add support for NVIDIA nForce integrated graphics (Mark Vojkovich).
 123. Fix a possible fatal crash in Xv when Xinerama is used (Mark Vojkovich).
 122. Corrects typos in output of xf86cfg when checking modules and
      documents ddc module options (Andrew C Aitchison).
 121. On Mac OS X, allow users to disable mouse acceleration changes by
      XDarwin (Torrey T. Lyons).
 120. By default, don't build the MagicTouch input driver until a common layer
      interface is coded for it (Marc La France).
 119. Fix Offscreen Image support for Xv/v4l in tdfx driver (Alan Hourihane).
 118. Add MagicTouch driver (A.482, Mauro Ziliani)
 117. Fix side effect in XFree86 of the recent changes to libxf86config
      (A.486, Knuts Andy).
 116. Define Xutf8LookupString in X11-def.cpp for Cygwin/XFree86
      (#4790, Suhaib Siddiqi).
 115. Turn on RandR build for Cygwin/XFree86 (#4789, Harold Hunt).
 114. Import of Gregory Parker's rootless code for Mac OS X. The code has
      been cleaned up, reorganized, and modified to use Cocoa and fb
      (Gregory Parker and Torrey T. Lyons).
 113. Freshen SCO port (#4709, J. Kean Johnston).
 112. Fix int10 build for GCC 3.0 (Marc La France).
 111. An attempt at fixing the i740 driver to not reference options before they
      are collected (Marc La France).
 110. Fix for RandR build (Bill Crawford).
 109. Fix 3Dfx Voodoo Banshee boards with timing issues (Alan Hourihane).
 108. Allow Cygwin/XFree86 to be cross compiled (#4784-#4786 Harold Hunt).
 107. Fix fatal bug in XAA's N-to-N CopyPlane acceleration (Elliot Lee).
 106. Add RandR support to the Kdrive PCMCIA driver (Alan Hourihane).
 105. Fix SharedLibGL to SharedLibGlx in cygwin.rules and some Cygwin/XFree86
      fixes including enabling backing store. (#4770, #4771 Harold Hunt).
 104. xf86UnMapVidMem shows the wrong number of arguments in
      os-support/README.OS-lib (#4357, Guido Guenther).
 103. Some driver loader symbol req/ref registration cleanups (David Dawes).
 102. Cygwin/XFree86 fixes.
      Release pressed modifier keys when server looses focus.
      Remove declaration in lib/X11/lcGetConv.c (no longer needed).
      Remove unnecessary #if(n)def __CYGWIN__ in lib/X11/lcGetConv.c, one in
      lib/dps/csconndi.c and one in lib/font/Type1/regions.h.
      Add a new SharedDepLibraryTarget rule (#4763-#4768, Harold Hunt).
 101. Fix bogus handling of BUS_CNTL Mach64 register (Marc La France).
 100. Fix a typo in xc/programs/bitmap/Bitmap.h (#4757, Suhaib Siddiqi).
  99. Add Cygwin/XFree86 manpage and minor tweaks (#4756, Harold Hunt).
  98. Ensure PCI master aborts are allowed to complete normally on non-root
      buses (Marc La France).
  97. Allow ChipScreenInit()'s to load modules during the first server
      generation (Marc La France).
  96. Update XvMC header files to match the spec (Matthew Sottek).
  95. Darwin build configuration changes:
       - Turn on building Xv and GLX extensions.
       - Make GLX and GLU build successfully.
       - Use Darwin's libz instead of building one for XFree86.
       - Use XFree86's standard compiler optimization flags per CPU type.
      (Torrey T. Lyons).
  94. Fix Xserver/Imakefile typo which broke XDarwin build (Torrey T. Lyons).
  93. Fix Darwin bindist files so that dynamic shared libraries are put in
      Xbin.tgz instead of Xprog.tgz (Torrey T. Lyons).
  92. Fix problem in Ib/Xaw/AsciiSrc.c:nitStringOrFile() when descriptor 0
      is closed, as a zero return value from open(2) is taken as an error
      (splite at purdue.edu).
  91. Fix glide driver that causes -configure to fail for all drivers
      (Alan Hourihane).
  90. Don't define SVR4 on Cygwin/XFree86 (#4751, Suhaib Siddiqi,
      Alan Hourihane).
  89. Don't override system commands specified in host.def on Cygwin/XFree86
      (#4753, Alexander Gottwald).
  88. Fix cursor problem in server respawn's on Cygwin/XFree86
      (#4750, Harold Hunt).
  87. Fix typo definition of CplusplusCmd in cygwin.cf
      (#4752, Alexander Gottwald).
  86. Fix makedepend for use on Cygwin/XFree86.
      Use makedepend on Cygwin/XFree86.
      Fix SharedDepLibraryTarget so that build dependencies are correct,
      this fixes libGLU's build problem (Alan Hourihane).
  85. Don't define MKSTEMP on Cygwin/XFree86 (#4725, Harold Hunt).
  84. Fix memory count function for I128 (Mark Thompson).
  83. Use TermcapLibrary as -lncurses instead of -ltermcap, fixes problem
      building xterm/resize on Cygwin/XFree86 (#4749, Harold Hunt).
  82. Fix X server segfault in the GLX code (Brian Paul).
  81. PseudoColor fixes for Cygwin/XFree86 (#4745, Harold Hunt).
  80. Fix broken TGA driver (Alan Hourihane).
  79. Fix FIFO reset trouble in tdfx driver by lowering the FIFO size due to
      suspect code in Glide3. (Alan Hourihane).
  78. Fix Xvideo in tdfx driver when using YUY2 or UYVY data (Alan Hourihane).
  77. Add two missing symbols to loader reference for the glint driver
      (#4740, Mike Harris).
  76. Make Cygwin/XFree86 work at 8bpp, and re-arrange some command line
      flags. (#4743, Harold Hunt).
  75. Fix some build issues on Cygwin/XFree86 (#4736, #4737, Suhaib Siddiqi).
  74. Some Cygwin/XFree86 cleanups (#4735, Harold Hunt).
  73. Fix XAA's incorrect acceleration of X-Render's repeated sources and
      masks (Mark Vojkovich).
  72. Disable PCI resource conflict checking for Linux/Alpha (Jay Estabrook).
  71. Fix Linux xf86GetPciSizeFromOS() parsing when the kernel is 64 bit
      and any base or size is larger than 32 bits in magnitude (#4732,
      David S. Miller).
  70. Xinstall.sh updates and bug fixes (David Dawes).
  69. Make XDarwin ddx pass up proper right and middle mouse button numbers
      and fix mouse button 5 (Christoph Pfisterer and Torrey T. Lyons).
  68. Restore backwards compatibility from 4.0.[2,3] to 4.1.0 for
      the i810, r128 and radeon DRI drivers (Gareth Hughes).
  67. Fix a problem when using patterns of horizontal lines with the mga
      video overlay (#A.442, Ewald Snel).
  66. Remove duplicate XineramaLibrary section in X11.tmpl (#4731,
      Mike Harris).
  65. Enable building DRI for Linux/ppc, and fix a drm-related bug
      for Linux/ppc (#4728, 4730, Michel Dänzer).
  64. Document Options for the r128 and fbdev drivers (#4727, 4729,
      Michel Dänzer).
  63. Add a BuildBindist switch which causes a file containing the XFree86
      version number to be installed in ProjectRoot, include this in
      the Xbin bindist tarballs, and turn on this switch in the bindist
      host.def files.  The purpose is to allow the installer script to
      easily identify which version the bindist tarballs are (David Dawes).
  62. Resync bindist and Xinstall.sh with changes made for 4.0.3 (David Dawes).
  61. Fix the Shape extension's XShapeCombineMask to handle cases where
      src_mask is None according to the spec.  This reportedly fixes an
      X server crash (#4715, Huver).
  60. Exclude the DRI extension when NO_HW_ONLY_EXTS is defined (based on
      #4714, Frederic Lepied).
  59. Fixup Cygwin/XFree86 after recent Xrandr changes (#4726, Harold Hunt).
  58. Fix ATI Radeon driver on Alpha. Seems as though the BIOS doesn't
      like Re-POSTing and memory setup gets confused. (Jay Estabrook, Jeff
      Weidemeier)
  57. Build fixes for Cygwin/XFree86 (#4710,#4711,#4713 Harold Hunt).
  56. Fix problem with Xinstall.sh on Darwin 1.3.x (#A.431, Stefan Pantos).
  55. Update Xinstall.sh and Darwin bindist directories to optionally
      install Quartz support and to add an x86 distribution (Torrey T. Lyons).
  54. Install xterm.termcap and xterm.terminfo when installing xterm
      (Torrey T. Lyons).
  53. Add missing return value for miSetPixmapDepths() (#4708,
      ISHIKAWA Mutsumi).
  52. Fill in the v4l man page template with some useful information (#4707,
      Gerd Knorr).
  51. Fix FFB OpenGL SwapBuffers (#4705, David S. Miller).
  50. Fix some mi build warnings (#4695-4701,4704, Adam Sulmicki).
  49. Work around a problem building the rstart specs doc with a symlinked
      build tree (David Dawes).
  48. Fix Glint 300SX+Delta support. Add faster 500TX text acceleration
      based on other code (Alan Hourihane).
  47. Remove SPARC-specific byte-swapping code that would not work on older
      SPARC CPUs (part of #4653, David S. Miller).
  46. NULLify mapVidMem() and remove DEV_MEM define for Linux/SPARC
      (#4651, David S. Miller).
  45. Fixing MTRR split code (hopefully) (Egbert Eich).
  44. Fixing coredump when doing vbeFree() twice: S3 Virge and C&T
      (Egbert Eich).
  43. Fixing HWCursor for mga driver in fbdev mode (Egbert Eich).
  42. Make the entire source tree (except GLX) compile under SunOS/SPARC 5.7.
      Functions that have yet to be ported are FatalError()'s.  This is
      temporarily controlled through a BuildXFree86onSparcSunOS #define in
      host.def (Marc La France).
  41. Merge support for all Solaris/ix86 versions together (Marc La France).
  40. Replace Xserver/Imakefile's DDXDIRn scheme with a more general scheme
      (Marc La France).
  39. For GCC on SVR4 variants, use -fPIC rather than -fpic to generate shared
      objects (Marc La France).
  38. Fix xmh's use of XtNewString() with getenv (#4694, Tim Waugh).
  37. Xdm/PAM fixes: leave it to PAM to observe whether or not an account
      is locked, and reinitialize credentials after calling initgroups(),
      because sometimes the credentials pam_setcred() gives are in the
      form of group membership (#4693, Mike Harris).
  36. Add an encodings file for standard box drawing characters for
      VT100-compatible terminals (#4691, Juliusz Chroboczek).
  35. Fix warnings when building mieq.c (#4689, Adam Sulmicki).
  34. Fix some bugs in the cz and sk entried in XKB's keymap/xfree86 file
      (#4692, Ivan Pascal).
  33. Add 'hr' entries to XKB's keymap/xfree86 and rules/xfree86.lst files
      (#4687, Nerijus Baliunas).
  32. Include <X11/Xutil.h> in shape.h to get Region typedef (#4686,
      Adam Sulmicki).
  31. Acceleration bug fixes for GLINT Permedia1 (Alan Hourihane).
  30. Ensure glint driver chips don't exceed the specified virtual sizes.
      (Alan Hourihane).
  29. ATI DGA changes (Patrick Chase and Marc La France):
      - Add accelerated DGA primitives for Mach64 variants;
      - Add accelerated DGA transparent blits for Rage128 and Radeon;
      - Fix setting of DGA_CONCURRENT_ACCESS;
      - Take XaaNo* options into consideration.
  28. Simplify DGAShutdown() (Marc La France).
  27. Fix colourmap bug when switching out of a DGA mode (Marc La France).
  26. Make it possible, but not required, for a driver to initialise DGA after
      XAA so that it may factor in any XaaNo* options in determining what DGA
      drawing primitives to support (Marc La France).
  25. Prevent mode switches while DGA modes are set (Marc La France).
  24. Remove all VGA'isms from the glint driver, it doesn't need them
      (Alan Hourihane).
  23. Support the Delta in the glint driver, needed for boards that have
      the Delta connected to the rasterizer, as it acts as an arbiter for
      the bus. Resolves acceleration troubles. (Alan Hourihane).
  22. Add an lv entry to XKB's keymap/xfree86 file (#4685, Nerijus Baliunas).
  21. Fix some typos in XKB's xfree86.lst file (#4684, Nerijus Baliunas).
  20. Add DDXOSVERRORF ifdefs to the XFree86 ddx code that make use of the
      OsVendorVErrorFProc feature (#4678, Michel Dänzer).
  19. Convert the r128 driver's "UseBIOSDisplay" option into a more general
      "Display" option (#4678, Michel Dänzer).
  18. Treat GL_POINT like GL_POINTS and GL_LINE like GL_LINES in the sunffb
      DRI driver (#4677, David S. Miller).
  17. Some doc updates related to cross compiling (#A.413, Scott A McConnell).
  16. Fix bsdLib.rules and bsdLib.tmpl problems that show up when
      X11ProjectRoot is defined (#4676, Johnny C. Lam).
  15. Fix Trident XVideo colorkey at depth 15, 24 (Alan Hourihane).
  14. Fix some apm driver bugs, including one that prevented acceleration
      from working (#4674, Loïc Grenié).
  13. Fix 555 (depth 15) palette handling in the i810 driver (#4673,
      Andrew C. Aitchison).
  12. [SECURITY] Fix authentication issues with mmap() on drm devices
      (Jeff Hartmann).
  11. Add euro locales and some other missing locales to locale.alias and
      locale.dir (#4662, 4665, 4667, Mike Harris).
  10. Fix Romanian XKB map (#4664, Mike Harris).
   9. Spell Portuguese correctly in XKB lst files (#4663, Mike Harris).
   8. Fix new ioperm calls in lnx_video.c for Alpha that are not needed
      (Jay Estabrook).
   7. Add drivers for PCMCIA cards, HP VGA Out F1252A, and the ColorGraphic
      Voyager VGA card to the KDrive server. Tested on the Compaq IPAQ.
      Use -listmodes, to check resolutions supported.
      (Alan Hourihane).
   6. Add RandR extension (Jim Gettys)
   5. Fix int10 option handling and DDC max clock reporting (Marc La France).
   4. Fix problems with assembler file dependencies when using gccmakedep
      with the build (Frederic Lepied).
   3. Update Japanese localization of XDarwin help file (Toshimitsu Tanaka).
   2. Update XDarwin man pages, help files, and version info. Add option to
      build XDarwin.app bundle for deployment (Torrey Lyons).
   1. Finish DRI resync, including tdfx driver updates for textured video
      support (VA Linux Systems).

XFree86 4.0.99.900 (18 May 2001)
 561. Add an XKB description for Latvian (lv) keyboards (#A.411, Ilya Ketris).
 560. Resync with DRI CVS trunk (VA Linux Systems).
 559. Savage driver updates, including compiler warning fixes, document
      the "ShadowStatus" option in the man page, and fix an argument
      mismatch between ShadowWait and SavageWaitQueue (#4661, Tim Roberts).
 558. Update the wacom driver to add a "ScreenNo" option to allow a tablet
      to be attached to a screen in a multi-head setup, and to add auto-
      detection of USB line and max parameters of USB tablets (#4640,
      Frederic Lepied).
 557. Add a README file that has information about enabling the extra buttons
      on the IBM Rapid Access keyboard (#4639, Dennis Bjorklund).
 556. Fix some Slovene/Slovak confusion in locale.dir/locale.alias files
      (#4638, Kamil Toman).
 555. New XKB keymaps for cz and sk (#4634, 4637, Kamil Toman).
 554. Updates for the iso8859-2 Compose file (#4634, Kamil Toman).
 553. Check V_CSYNC in the r128 driver, and fix building with R128_DEBUG
      enabled (#4631, Michel Dänzer).
 552. Mesa 3.4.2 (and later) import.
 551. More build & warning fixes (Marc La France).
 550. Fix bug that caused hardware cursors to be temporarily moved during mode
      switches (Marc La France).
 549. Optimise HARDWARE_CURSOR_AND_SOURCE_WITH_MASK case (Marc La France).
 548. Move xf86CursorScreenRec definition into xf86CursorPriv.h
      (Marc La France).
 547. Fix BIOS retrievals in MGA driver (Marc La France).
 546. Fix ATIProbe() for newer Rage128 and Radeon chips (Marc La France).
 545. Add temporary workaround in ATI driver for interrupts that occur on
      PowerPC's upon PCI master-aborts (Marc La France).
 544. Update XDarwin to use fb and support Render (Torrey Lyons).
 543. Back out sunleo conversion to fb.  This driver is too heavily dependent
      on cfb32 for a simple fb conversion (Marc La France).
 542. Miscellaneous build/warning fixes (Marc La France).
 541. More prep work for SunOS (Marc La France).
 540. Fix libXft build on SunOS (Marc La France).
 539. Another makedepend bug fix (Marc La France).
 538. Fix use of xftcache utility during !UseInstalled builds (Marc La France).
 537. Adds #XFree86LOADER define to wrap ModuleInfo related functions
      (#4654, Harold Hunt).
 536. Add an option to the SiS driver to turn off Xvideo support
      (Ademar de Souza Reis Jr.)
 535. Fix FreeType bug, use MAXFONTNAMELEN (#4652, Janusz Gorycki,
      Juliusz Chroboczek).
 534. Fix hw/vfb for compilation on Cygwin/XFree86 (#4655, Harold Hunt).
 533. Fix some Sparc platform issues with Pci resources and the glint
      driver (#4641-4641,4644-4648 David S. Miller).
 532. Update glide, imstt, newport, rendition, suncg14, suncg3, suncg6,
      sunleo, suntcx, vga and vmware to use fb and support Render
      (Keith Packard).
 531. XDarwin fixes:
       - Turn off building non-functional RENDER support.
       - Reduce disappearing cursor problems when switching with Dock.
       - Top of X display is no longer occasionally drawn black when
         switching from Aqua.
      (Torrey Lyons).
 530. Update freetype2 bits to 2.0.2 version (Keith Packard).
 529. Re-fix the Trident Video scaler support for Blade series chips
      (Alan Hourihane).
 528. Fixed lbx to handle endian swapping without core dump (Egbert Eich).
 527. Fixed MTRR region splitting (Egbert Eich).
 526. Cleaned up option handling in int10 code (Egbert Eich).
 525. Added options to specify the Video BIOS to use for POSTing a
      chipset (Egbert Eich).
 524. Trident driver: added call to BIOS to enable unstretched mode when
      display is stretched. This should make the option "CyberShadow"
      obsolete. (Egbert Eich).
 523. Attempt to fix video Support on Trident driver (Egbert Eich).
 522. Added VBE DDC support to SiS driver (Egbert Eich).
 521. Fixed Silicon Motion to unblank the display when driver fails
      in PreInit() (Egbert Eich).
 520. Cleaned up handling of 'shadow status' in Savage driver
      (Egbert Eich).
 519. Savage driver: fixed lockups for Savage4 when loading colormap,
      manipulating the HW cursor, doing certain blit operations
 518. Cleanded up DDC code in mga driver (Egbert Eich).
 517. Fixed KGA handling in i740 driver (Egbert Eich).
 516. Converted i740 and Silicon Motion drivers to fb (Egbert Eich).
 515. Added calls to vbeFree() or xf86FreeInt10() to C&T, glint,
      mga, neomagic, nv, s3v, tdfx and trident drivers to clean up
      shared memory segments (Egbert Eich).
 514. Reworked video support in C&T driver, cleaned up block handler
      (Egbert Eich).
 513. C&T driver: introduced a delay when setting the cursor image for
      the first time after a mode change (Egbert Eich).
 512. Fixed R128CCE_RESET in r128 driver to do a reset only when dri
      is enabled (Egbert Eich).
 511. Rewrote readPciBIOS() and getValidBIOSBase() (Egbert Eich).
 510. Fixed xf86Info structure in xf86Globals.c to match prototype
      (Egbert Eich).
 509. -
 508. Fix XDarwin install problems with DESTDIR handling and with soft links
      to the XtAppAddTimeOut manpage (Christoph Pfisterer).
 507. Add Error message output in Cygwin/XFree86 (#4632, Harold Hunt).
 506. Fix xdm when HasPam defined, and enable Pam support on Solaris 2.6 and
      later (#A.401, #A.402, #A.403, Rainer Orth).
 505. Add Croatian keyboard for xkbcomp from Slovenian keyboard layout
      (#A.405, Vlatko Kosturjak).
 504. Fix XvQueryAdaptors when there is no adaptors found
      (#A.394, Jamie Strachan).
 503. Remove a stray INCLUDES in Xmuu/Imakefile when snprintf isn't used.
      Set the Permedia2 DAC Mask to 0xFF.
      PCI ROM space address access patch for LynxOS PPC.
      Change limit of motoppcBusAddrToHostAddr for LynxOS PPC.
      Include <sys/wait.h> for LynxOS in os/osinit.c.
      Define CBAUD, when it's missing in xterm, on LynxOS.
      (#A.387, Stuart Lissaman).
 502. Add SiS 86C204 to xf86PciInfo.h (#A.382, Carlos Manuel Duclos Vergara).
 501. Fix mga font corruption problems introduced with the recent addition
      of big-endian support (#4629, Andrew C. Aitchison).
 500. Update for the mga driver's man page (#4628, Andy Isaacson).
 499. Add more drivers to the default build on Linux/mips (#4623,
      Guido Guenther).
 498. Move the vgahw module load/init after the PROBD_DETECT handling
      in the i810 driver's PreInit(), which fixes a segv when using
      the X server's -configure option (#A.378, Leandro Martelli).
 497. Fix a problem with Radeon VE cards failing to enable its video output
      (#A.376, Paul Stewart).
 496. Fix some DRI-related build dependency problems (David Dawes).
 495. Fix some drivers (including tdfx, r128, radeon, ark, imstt) that weren't
      respecting the Virtual resolution requested in the config file
      (David Dawes).
 494. Fix some offscreen memory calculation/allocation problems in the
      tdfx driver (David Dawes).
 493. Fix a bug in localResizeOffscreenLinear when checking widths
      (Alan Hourihane).
 492. Update Japanese localization for XDarwin Dock related fixes
      (Toshimitsu Tanaka).
 491. Fix restoring of text mode fonts on Permedia3 (Alan Hourihane).
 490. Provide workaround for an apparent bug in Mac OS X 10.0.2 that causes
      XDarwin to lose the cursor when switching to X using the Dock icon.
      Fix "Application not responding" message in XDarwin's popup Dock menu
      (Torrey Lyons).
 489. Hardware cursor documentation update (Marc La France).
 488. XVideo extension support in ATI driver for generic (e.g. v4l) adapters
      (based on a patch by Ignacio Garcia Etxebarria).
 487. Fix ATI driver bug that caused the hardware cursor to move after mode
      switches (Marc La France).
 486. Fix off-by-one error in screen positioning after a mode switch
      (Marc La France).
 485. Backout part of 479 and implement a proper fix in the ATI driver
      (Marc La France).
 484. Fix palette problem on NVIDIA Riva128 in DGA mode (Mark Vojkovich).
 483. setxkbmap patch that:
        - fixes bug in comand line parser
        - makes debug output more comprehensive
        - prevent to use 'variant' from previous call if 'layout' name changed.
      (#4627, Ivan Pascal)
 482. Documents Xaa specific options in the XF86Config manual page
      (#4616, Branden Robinson)
 481. Add Mouse 3 Button emulation to Cygwin/XFree86 (#4626, Harold Hunt,
      Alexander Gottwald).
 480. V4L documentation fix (Marc La France).
 479. Fix bug in generic hardware cursor RealizeCursor entry
      (Marc La France).
 478. Extend the XFree86-VidModeExtension to accept gamma ramps from the
      client rather than just rgb gamma values (Mark Vojkovich).
 477. More Xv updates for the Permedia3 (#4625, Sven Luther).
 476. Build Cygwin/XFree86 with -ansi -pedantic (Alan Hourihane).
 475. Limit the number of PCI buses to 128 on ix86 (Marc La France).
 474. More fixes for the handling of unassigned PCI bases (Marc La France).
 473. Fix option handling in most drivers so that per-screen options work
      correctly (David Dawes).
 472. Resync with DRI CVS trunk (VA Linux Systems).
 471. Import latest Mesa 3.4.x branch.
 470. Add a PIOOffset value plus readEnable and writeEnable function pointers
      to the vgahw rec.  The former allows vgahw to be used for VGA registers
      that are shadowed in I/O space.  The latter allow the VGA_ENABLE
      register to be accessed in similar way to most other VGA registers.
      Add vgaHWEnable() and vgaHWDisable() functions (David Dawes).
 469. Disable HWcursor for CyberBladeXP chips (Alan Hourihane).
 468. Fix a Trident Cyber9388 setup issue (Alan Hourihane).
 467. Fix man page building and installing on Darwin. To be safe we assume
      the Darwin file system is case insensitive since one common variety is,
      ie. HFS+ (Torrey Lyons).
 466. Improve interoperability between Aqua pasteboard and X cut buffer with
      XDarwin (Gregory Parker).
 465. Updates for Cygwin/XFree86 (Harold Hunt).
 464. Provide more robust default preferences for XDarwin (Torrey Lyons).
 463. Remove map84 keyboard map from Cygwin/XFree86 build (#4621, Harold Hunt).
 462. Disable xload on Cygwin/XFree86 (Alan Hourihane).
 461. Remove an errorneous i++ from os/xdmcp.c with -class (Alexander Gottwald).
 460. Allow Cygwin/XFree86 to build with cygipc support (Alan Hourihane).
 459. Small XDarwin fixes:
       - Don't leak IOService objects when searching for desired screen.
       - Eliminate chance of SIGPIPE while shutting down.
       - Revert to Aqua cursor when quit by exiting main client.
       - Stop console error messages when using mouse button 3.
      (Torrey Lyons and Christoph Pfisterer).
 458. At Linus' request, make linux/int10 module deal with shmat() errors
      (Marc La France).
 457. Fix makedepend's integer value parsing and make it understand GCC's
      #include_next directive as found in glibc & libc5 (Marc La France).
 456. Xterm patch #156 (Thomas Dickey):  change preference of types for
      selection-target between UTF8_STRING and STRING (Juliusz Chroboczek),
      fixes for configure script and documentation (report by Adam
      <adam@cfar.umd.edu>).
 455. Fix XDarwin so display number preference is followed (Torrey Lyons).
 454. Fix Xserver/Imakefile for Cygwin/XFree86 (Harold Hunt, Alan Hourihane).

XFree86 4.0.99.3 (26 April 2001)
 453. Loader fixups for Sparc's (Marc La France).
 452. Fix dependencies for libGLU on Cygwin/XFree86 (Alan Hourihane).
 451. Make xdm & xfs compile on Cygwin/XFree86 (Alan Hourihane).
 450. Update Japanese localization of XDarwin.app's Preferences window
      (Toshimitsu Tanaka).
 449. Don't build clients that require extension libraries unless those
      libraries are being built (#A.386, Scott A McConnell, David Dawes).
 448. Fix the BuildXinerama test in Xserver/Imakefile (#4615, Harold Hunt).
 447. Ignore MakeDllModules when DoLoadableServer isn't set (#4613,
      Guido Guenther).
 446. Don't define the <Ctrl>T compose sequences in the iso8859-1 compose
      map by default (#4611, Mike Harris).
 445. Allow the nls compose data files to be pre-processed (David Dawes).
 444. Fix some problems introduced with the internationalisation of twm
      (#4607, Juliusz Chroboczek).
 443. Fix dpsinfo so that the correct headers are included (#4606,
      Juliusz Chroboczek).
 442. Fix mismatches between the way xlsfonts interprets font properties and
      the way they are defined in the XLFD spec (#4604, Jochen Voss).
 441. Add entries for German iso-8859-15 locales (#4603,
      Philipp Matthias Hahn).
 440. Cleanup build in Xserver/GL/mesa, making use of the earlier cleanups in
      the lib/GL build (David Dawes).  #4602 is redundant as a result.
 439. [SECURITY] Check for negative reply length/overflow in _XAsyncReply
      (Xlib) (#4601, Mike Harris).
 438. New 'hu' xkb symbols file (#A.364, Peter Soos).
 437. Trident driver fixes for PC98 platforms (#4612, Akio Morita).
 436. Convert apm driver from cfb to fb (Alan Hourihane).
 435. Fix makedepend for '//' comment parsing and symbols that contain
      expressions (Marc La France).
 434. Fix a problem with the mga G400 2nd head going into power saver mode
      when it should be blanked, and enable DPMS for the 2nd head (#A.358,
      Craig Leres).
 433. Fix a horizontal resolution problem that shows up with mga Xv (#A.365,
      Ewald Snel).
 432. Work around a refresh rate problem when using custom modelines that
      have a refresh rate > 100Hz with the Matrox HAL library (#A.360,
      Ewald Snel).
 431. XDarwin fixes:
       - Provide work around for kernel/driver issue on Darwin 1.3 that
         causes the kernel keymapping to be empty on Mac portables.
       - Command line -dpi option is no longer ignored.
      (Torrey Lyons).
 430. Ensure that the X-TT module isn't built if the Xserver isn't being
      built (#4594, Chu-yeon Park).
 429. Make xconsole try to reopen the /dev/xconsole pipe when it gets an EOF
      (#4593, Jeff King).
 428. Prevent an infinite loop (or unpredictable behaviour) in xmodmap (#4592,
      Peter Maydell).
 427. Add a font substitute for the zh locale (#4590, submitted by Branden
      Robinson).
 426. Make the backspace key definitions for the xkb macintosh/us and
      dvorak layouts consistent with the default 'us' layout (#4588, 4589,
      Branden Robinson).
 425. Update for the sessreg man page (#4587, Branden Robinson).
 424. Add a font substitute for the ko locale (#4586, Changwoo Ryu).
 423. Avoid using fileno() in xauth's signal handler, and write messages to
      stderr rather than stdout (#4585, submitted by Branden Robinson).
 422. Fix nested comment warnings in dix/gc.c (#4584, Branden Robinson).
 421. Include <stdlib.h> in two lbxutil files to get malloc/free prototypes
      (#4583, submitted by Branden Robinson).
 420. Remove duplicate paragraph in xdm man page (#4582, Branden Robinson).
 419. Fix line numbers in error messages when parsing .twmrc files (#4580,
      Topi Miettinen).
 418. Fix backwards font glyphs in the ati/Mach64 driver for big endian
      platforms (#4579, Michael Dänzer).
 417. Add a build-time option to xf86config to make it append the major version
      number to the config file name (David Dawes, prompted by #4577,
      Branden Robinson).
 416. xf86config build fix for non-GNU make (Marc La France).
 415. Build fix for Summa driver on SunOS/Sparc (Marc La France).
 414. compiler.h cleanup (Marc La France).
 413. More DependDefines, OS_DEFINES and EXT_DEFINES build fixes
      (Marc La France).
 412. Fix installation of specs docs (#4575, Branden Robinson).
 411. Make Cygwin/XFree86 call miSetPixmapDepth for RENDER extension
      (Alan Hourihane).
 410. Xterm patch #155 (Thomas Dickey): correct change to return-type of
      in_put(), which caused problem with UTF-8 (fixed by Bruno Haible).
 409. Some unobstrusive preparations for SunOS/Sparc (Marc La France).
 408. Remove unnecessary libxf86_os link into Xnest & Xvfb (Marc La France).
 407. Disable building of SuperProbe by default (Alan Hourihane).
 406. Make OS_DEFINES available to all server Makefiles (Marc La France).
 405. Add support to xman for parsing '\" <string> formatting hints.
      Also cleanup some of the vendor-specific definitions and fix
      processing of mandoc pages on FreeBSD (based on #4573,
      Branden Robinson, David Dawes).
 404. Fix default mailbox selection in xbiff for Linux, add recognition of
      $MAIL, and update the man page accordingly (based on #4571,
      Branden Robinson).
 403. Remove redundant PCI id definitions in the tdfx driver, and clean up
      the messages printed when the DRI can't be enabled because the bpp
      isn't supported (based on #4570, Branden Robinson and #4598,
      Antti Tapaninen).  Also, re-enable soft booting.
 402. Install the XftConfig file under $(CONFDIR), with a link from the
      usual place (based on #4569, Branden Robinson).
 401. Update the Debian section on linux.cf (#4568, Branden Robinson).
 400. Startx fixes/enhancements, including:
       - Fix argument processing.
       - Set XAUTHORITY.
       - Don't overwrite existing cookies, and remove ones added for this
         session when exiting.
       - Deallocate the VT that X was using.
       - Update the man page.
      (based on #4567, Branden Robinson, Henry T. So, Jr).
 399. Implement two new driver-provided options in the common cursor code and
      use them to work around hardware bug that causes flickering Mach64
      hardware cursors (Marc La France).
 398. Integrate SiS driver changes (Ademar De Souza Reis).
 397. Initialize Elsa GloriaXXL (GLINT) framebuffer properly (Alan Hourihane).
 396. Fix bug where XDarwin.app would not hide the X display when it was no
      longer the active application (Torrey Lyons).
 395. Make XDarwin.app ignore .xserverrc file when started from the GUI so
      that it starts correctly (Torrey Lyons).
 394. Cygwin updates (#4557, 4558, 4563, Suhaib Siddiqi).
 393. Document the usage of the -server option in the xfsinfo man page (#4562,
      Mike Harris).
 392. Fix xfs man page problem (#4561, Mike Harris).
 391. Fix a crash that happens when a font encoding has no aliases and it is
      invoked using a non-canonical name (#4560, Takeshi Miyasaka).
 390. Add imake/config support for distinguising big endian and little endian
      MipsArchitecture types (#4556, Florian Lohoff).
 389. Add support to the mga driver for auto-detecting the display type
      (#4555, Stephane Duguay (Matrox)).
 388. Savage driver updates, including:
       - Enable the Render extension.
       - Make the DGA mode setup look more like the other drivers.
       - First cut at Xvideo for the Savage4.
       - Add a "ShadowStatus" option, which is a reliable workaround for the
         scrolling hang that many experience.
      (#4554, Tim Roberts).
 387. Enable wide character support for NetBSD 1.5P and later (#4553,
      Matthias Scheler).
 386. Add offscreen image support to the i810 driver (for Xv), and fix
      physMemBase (#4552, Matthew Sottek).
 385. Fix bad cut&paste update to the sunffb driver (#4551, David S. Miller).
 384. Fix "DriDrivers" typo in the sparc section of xfree86.cf (#4550,
      David S. Miller).
 383. Update UCS 75dpi and 100dpi fonts, including adding UCS versions of
      the UTBI and UTB fonts that were in the unnec_75dpi and unnec_100dpi
      directories.  The other "unnec" fonts are also moved over (#4548,
      Markus Kuhn).
 382. Make the v4l driver module keep searching for more devices if the first
      one can't do overlay (#4545, 4614, Gerd Knorr).
 381. Bug fixes for Xv support using a Permedia3 chip (#4564, Sven Luther).
 380. Xterm patches #151, #152, #153, #154 (Thomas Dickey):
       - improve select/paste of COMPOUND_TEXT and UTF8_STRING (Juliusz
         Chroboczek, Bruno Haible).
       - fixes for erase operations (Alexander V Lukyanov).
       - correct ifdef for bold overstriking when built to support UTF-8.
       - change resource corresponding to "-T" option to match Xt library's
	 "-title", i.e., ".title" rather than "*title" so the command-line
	 options are interchangeable as documented (Debian bug report #68843).
       - modify "RequestResize()" function to save/restore window manager hints
	 (Debian bug report #79939).
       - improved error checking for input-method initialization.
       - minor fixes for terminfo entries.
       - various build/portability fixes.
 379. XDarwin fixes:
       - Don't SetUID XDarwin X server. (The IOKit doesn't need it.)
       - Startup message reports correct display mode.
       - XDarwin.app is now installed in /Applications by default.
       - Update xinit server name list.
       - "make clean" now works for a non-root user.
      (Torrey T. Lyons)
 378. Make XDarwin correctly handle color hardware cursors in Quartz mode
      (Gregory Parker).
 377. Fixes to the XDarwin application:
       - Display menubar when started without a splash screen.
       - Query before quitting from Aqua when started with startx.
      (Torrey T. Lyons).
 376. Update Japanese localization for XDarwin application (Toshimitsu Tanaka).
 375. Fix byte ordering and static colormap issues with XDarwin server
      on x86 hardware (Rob Braun).
 374. Fix problems with XDarwin hardware cursor support in Quartz mode
      (Gregory Parker).
 373. Resync with DRI CVS trunk (VA Linux Systems).
 372. Fix bug in XvMC protocol (Bob Paauwe).
 371. Ensure NoInt10 is used for PC98 (Alan Hourihane).
 370. Fix PC98 issues with the trident driver (#4547, Akio Morita).
 369. Add a NoInt10 option to the int10 module, allowing it to be disabled
      per entity (Alan Hourihane).
 368. Fixes to the XDarwin application:
       - X clients are now started correctly.
       - Shuts down cleanly.
       - Removed erroneous NSString releases in quartzCocoa.m.
       - Dragging with mouse button 3 or higher depressed produces events.
      (Christoph Pfisterer and Torrey Lyons)
 367. Make the ramdac module for the IBM RGB640 DAC work at depth 15
      (Alan Hourihane).
 366. Fix interference between acceleration and hardware cursors on Mach64
      variants (Marc La France).
 365. Fix xload so it is functional on Darwin OS (Rob Braun).
 364. Mac OS X specific fixes:
       - Fix typo in XDarwin startup program that could cause crash with
         many command line options.
       - Move Show/HideMenuBar() call to main thread so that XDarwin
         application displays a menu bar on the Mac OS X desktop.
      (Greg Parker).
 363. XDarwin application fixes including:
       - Fix bugs causing XDarwin preferences to not be saved correctly.
       - When using system beep, turn off bell when beep volume is set to 0.
      (Christoph Pfisterer).
 362. Fix building of dpsops.h and psops.h in correct order (Alan Hourihane).
 361. Change xvmc.h to xvmcext.h to avoid case-(in)sensitive name clash with
      XvMC.h for Cygwin/XFree86 (Alan Hourihane).

XFree86 4.0.99.2 (6 April 2001)
 360. Fbdev driver updates, including:
       - Switch from shadowfb to mishadow.
       - Add RENDER extension support.
       - Add DGA support.
       - Fix SaveScreen function
       - Blank screen in ScreenInit so the former framebuffer contents aren't
         visible
      (#4544, Michel Dänzer).
 359. Remove references to th_TH compose file from compose.dir (#4543,
      Theppitak Karoonboonyanan).
 358. Fix for improper setting of the maxHValue limit in the tseng driver.
      This makes modes like 1152x864@24bpp possible (#A.355, Stanislav Brabec).
 357. Fix a hw cursor related lockup that shows up with some mga G400
      16MB OEM single head cards (#A.351, Ewald Snel).
 356. Fix the XKB macintosh/it mapping (the accent-related keys were wrong)
      (#A.349, Andrea Ghirardini).
 355. Add XKB descriptions for the extra keys on a Chicony internet
      keyboard (#A.356, John Gladkih).
 354. Add support for the internal input device interface to mice on
      Solaris 8, and make it the default protocol ("VUID") (#A.340,
      Marcus Comstedt).
 353. Add XKB descriptions for the extra keys on an IBM Rapid Access II
      keyboard (#A.332, Patrick D'Cruze).
 352. Fix a typo in xvidtune (#A.327, Peter Breitenlohner).
 351. Fix Linux/libc5 build problem in the bigfont extension code (#A.327,
      Peter Breitenlohner).
 350. Fix typo in Chooser.ad (#A.327, Peter Breitenlohner).
 349. Big endian and PowerPC support for the mga driver (#4540, Ani Joshi).
 348. Big endian support for the tdfx driver (#4539, Ani Joshi,
      Nicolas Dimitrijevic).
 347. Build the tdfx and imstt drivers on PowerPC platforms (#4538, Ani Joshi).
 346. Add IMS (Integrated Micro Solutions) PCI data for the TwinTurbo128
      and TwinTurbo3D (#4537, Ani Joshi).
 345. Fix some color and accel glitches in the imstt driver (#4536, Ani Joshi).
 344. Add ISA I/O support for PowerPC Linux using the __NR_pciconfig_iobase
      syscall (#4535, Ani Joshi).
 343. New Xwin server code from the Cygwin/XFree86 project.  This version
      is more portable across Win32 platforms.  Changes include:
       - Use fb and shadowfb, and use the faster of GDI blitter,
         DirectDraw blitter and DirectDraw4 blitter to update damaged
         regions.  The video card's framebuffer is no longer mapped.
       - Works correctly at depths > 8, but colors are not correct at depth 8.
       - Uses the standard Win32 API messages for processing keyboard and
         mouse input rather than using DirectInput.  This is more reliable.
       - Improved internal structure and coding conventions.
       - Builds completely from the XFree86 tree using gcc (the Visual C++
         compiled xf_dx.dll is no longer used).
       - The new server can run on machines that don't have DirectDraw/DirectX
         installed (or installed but not operable) by falling back to the
         GDI blitter.  The best drawing interface is determined at startup,
         but this can be overriden with the -engine command line option.
       - The Xrender extension is now supported.
       - Command line option is available to run in full screen mode.
      (#4531, 4532, 4534, Cygwin/XFree86 project including Harold L Hunt II,
      Suhaib M Siddiqi, Dakshinamurthy Karra, Peter Busch).
 342. v4l driver bug fixs: catch xalloc() failures, and set the depth
      correctly for the VIDIOCSPICT ioctl (#4530, Gerd Knorr).
 341. Add a driver for VMware virtual SVGA devices.  This is for use
      by X servers running under a VMware guest OS (#4529, VMware, Inc).
 340. Remove Cygwin-specific #ifdef in Xserver/os/Waitfor.c, which fixes
      a crash (#4528, Suhaib Siddiqi).
 339. Cygwin build fixes (#4527, Suhaib Siddiqi).
 338. Updates to the "citron" input driver.  It includes compatibility
      with the Winbond SIO chip (83977EF), and some new commands to
      communicate to the touch driver from an application program
      (via XChangeFeedbackControl) (#4526, Peter Kunzmann, Citron).
 337. Updates to the "summa" input driver, including:
       - "Resolution" replaces "LPI" as option for setting resolution.
       - Fixed device reporting to give the actual tablet area size and
         resolution.
       - Tested and working with: SummaSketch3, Hitachi_1217D, a couple of
         others emulating the Summa protocol.
       - Reduce debug message verbosity.
       - Various cleanups.
      (#4525, Huver).
 336. SunFFB driver bug fixes, including:
       - Be smarter about restoring Kernel framebuffer state.
       - Cure build errors when debug defines are enabled.
       - Do not enable DRI or DGA acceleration if NoAccel option is specified.
      (#4524, David S. Miller).
 335. Mga G450 dual head support, (#4523, Luugi Marsan (Matrox) and
      David Woodhouse).
 334. Fix missing xfree -> Xfree mapping in the Type1 font library code (#4521,
      Juliusz Chroboczek).
 333. Make sure that an initialization assumption in parse_fontdata() in
      lib/X11/omGeneric.c is met (#4520, Jonathan Kamens).
 332. Add checksum verification to detect monitors that give incorrect EDID
      data (#4517, Andrew C Aitchison).
 331. Fix checking of LD_ELFDLOBJECT on big-endian systems (#4514,
      Guido Guenter).
 330. Add an update.fonts target/rule for maintainer use to update
      the latin1 fonts in the source tree that are derived from the
      ISO10646-1 masters (David Dawes).
 329. Update UCS misc fonts, which includes the addition of the missing
      4 DEC VT100 graphics characters from Unicode 3.2 (#4533, Markus Kuhn).
 328. Handle build-time generation of 8 bit fonts from the UCS versions,
      rework the way this is organised, and allow some better control over
      which fonts are built/installed (David Dawes).
 327. Add UCS versions of most of the 75dpi and 100dpi bdf fonts, and generate
      8-bit subsets of them.  Also, remove the now-redundant latin2
      bdf font directories (#4512 Markus Kuhn).
 326. Add support for Trident CyberBladeXP and CyberBladeXPm (mobile)
      (Alan Hourihane, Robert V Fleisig).
 325. Add XKB descriptions for the extra keys on an IBM Rapid Access keyboard
      (#4510, Dennis Bjorklund).
 324. Update Status and i810 docs to mention i815 support and FreeBSD support
      (#4509, Andrew C Aitchison, David Dawes).
 323. Xprt fixes to make it closer to X.org version (Danny Backx).
 322. Fix for reading PCI resource data on Linux/alpha (#4508,
      Ivan Kokshaysky).
 321. Add XKB descriptions for the extra keys on a "Logitech Internet Keyboard"
      (#4505, Matthew Hand).
 320. Build shared libGL and DRI client modules on Linux without PIC for
      performance reasons.
 319. Updates to glxinfo (Brian Paul).
 318. Add glxgears (Brian Paul).
 317. glxinfo needs libGLU (Marc La France).
 316. Rage128 fix to Cards database (Marc La France).
 315. Minor fix to PCI resource overlap handling (Marc La France).
 314. Loader code simplification and IA-64 cache flushes (Marc La France).
 313. Workaround in the ATI driver for troublesome interaction between loader
      and compiler optimisation (Marc La France).
 312. Warning fixes for `gcc -fno-builtin`, which appears to be the default on
      some systems (Marc La France).
 311. Add glyph transformations to Xft (Tuomas J. Lukka)
 310. Add XftCache creation to fonts/Type1 (Keith Packard)
 309. Add Xmuu library for non-Xt/Xaw dependent applications (Jim Gettys)
 308. Add i810 and Xv support to kdrive (Pontus Lidman)
 307. Fix Radeon CPUToScreen acceleration on Alpha platforms (Jay Estabrook).
 306. Fix bug in ServerLayout option handling when there's no ServerFlags
      section present (David Dawes).
 305. Allow fb to access 16bit devices (Alan Hourihane).
 304. XvImage support for GeForce chips in the nv driver (Mark Vojkovich).
 303. XvMC build fix (Marc La France).
 302. Fix recently introduced bug in xf86cfg (Marc La France).
 301. Re-instate warning fixes clobbered by DRI merge (Marc La France).
 300. Ignore disabled non-video PCI ROMs (Marc La France).
 299. Hardware cursor implementation for Mach64 variants (William Blew,
      Ani Joshi, Marc La France).
 298. Some endianness fixes in the ATI driver (incomplete) (Marc La France).
 297. Fix MMIO ordering problems for Mach64 acceleration (Marc La France).
 296. Fix ATI driver behaviour when it finds the LCD panel has been disabled
      on entry (Marc La France).
 295. Fix ECP clock for GATOS (Vladimir Dergachev).
 294. Undo part of CHANGELOG 36 (Marc La France).
 293. Rework the building of libGL and the DRI drivers (David Dawes).
 292. Update greek keyboard layout and compose map.
      (#4513, Katsaloulis Panagiotis)
 291. Fix problems in Xnest when MouseKeys is enabled and patched it to
      use XKB to allow clients to change keyboard description and
      configuration whithout interfering with the "real" X server
      (Paulo César Pereira de Andrade).
 290. Dvorak keymap fix (#A.343, J Phillips).
 289. Some vesa driver updates, including:
       - Wrap CloseScreen().
       - Call xf86PrintModes().
       - Add error messages for when PreInit bails out for lack of modes.
       - Rework how the debugging information is printed.
       _ Avoid some build warnings.
      (David Dawes)
 288. Make it possible to call xf86PrintModes() when there is no hsync or
      refresh data available, like from the vesa drivers (David Dawes).
 287. Add a "cleanlinks" script for cleaning up dangling links in lndir-created
      shadow trees (David Dawes).
 286. Resync with DRI CVS trunk (VA Linux Systems).
 285. Make extension headers available when the extension is enabled but the
      extension's client library is disabled (David Dawes).
 284. Make it possible to enable building selected extension libraries
      when BuildServersOnly is set, and allow independent control of
      building docs and clients (David Dawes).
 283. Import latest Mesa 3.4.x branch.
 282. Lower the default fifo threshold for PM3 chips (Alan Hourihane,
      Rafael Barbalho, 3DLabs).
 281. Fix 3DLabs GLINT driver for use the Flat Panels, use the UseFlatPanel
      option. Tested with the SGI 1600SW and Permedia3 board (Alan Hourihane).
 280. Fix glxinfo to query default display (Alan Hourihane).
 279. Convert TGA driver to use fb (Alan Hourihane).
 278. Fix XTRAP typo in miinitext.c (Damien Touraine).
 277. Major updates to the XFree86(1) man page (David Dawes).
 276. A new (perl) version of the mkhtmlindex script that works better than
      the shell version (David Dawes).
 275. Fix the `make depend` scripts to accept -U flags and not require a blank
      in their -f flag (Marc La France).
 274. Bump the video and input driver ABI minor numbers.
 273. Add xf86SetRealOption() (Huver).
 272. Change Xdarwin do that it processes all pending events instead of
      just the oldest one on ProcessInputEvents() call ,
      Quit Xdarwin cleanly, wether from the Xserve or from Cocoa front end,
      Fix a case typp which cases the Xdarwin server not to start if
      installed on a case sensitive file system like UFS.
      (#4504, #4507, #45011, Gregory Parker, Torrey T. Lyons).
 271. Move Section DRI/Endsection into the DRI function to be consistant with
      all of the other sections. (Quentin Neill)
 270. Made xf4bpp code moer 64bit clean (still doesn't work on Alphas)
      (Egbert Eich).
 269. Removed disable/enable interrupt call on ia64 platforms.
      The machine instruction is privileged and not permitted in user space
      (Egbert Eich).
 268. Improved mode setting in Trident driver; added code to ValidMode
      to reject any modes whose size is larger than the physical LCD
      size if LCD is enabled (Egbert Eich).
 267. Modified error message in TDFX driver to give user a clue how
      to avoid error (Stefan Dirsch).
 266. Fixed appearant typo in SMI driver (Egbert Eich).
 265. Changed Savage driver to unmap memory when exiting PreInit() and
      maps it on every call to ScreenInit() (Egbert Eich).
 264. Changed handling of failed vbe call in rage 128 driver.
      No the driver doesn't fail any more (Egbert Eich).
 263. Integrate the currently Panix-specific keycodes into atKeynames.h,
      since they're not really Panix-specific (David Dawes).
 262. Fix problem with a NULL pointer in Xv Xineramification (Benjamin Monate).
 261. Bug fixes and improvements for mouse 3 button emulation state machine
      (Andrew Pimlott).
 260. Updates for Hurd support (#A.324, Marcus Brinkmann).
 259. Add call to setlocale() in xev (#A.322, Eugene B. Byrganov).
 258. Add support fo the charset Big5HKSCS to the X-TrueType module, as
      well as some basic XLocale support for it (#A.321, Roger So).
 257. Fix core dump in XqueueMousePreInit (#A.317, Fiel Cabral).
 256. Allow the mga driver's "DigitalScreen" option to work for the first
      head (#A.297, Niels Gram Jeppesen).
 255. Add zh_CN.GBK locale support (#A.293, Yong Li).
 254. Fix a problem with the ThinkingMousePS/2 protocol handling of left
      movement (#A.292, Ian Remmler).  (This has been in 3.3.x since 3.3.4.)
 253. Make xdm Xinerama-aware so that it can avoid splitting login and
      chooser windows across physical screens (#A.276,
      Dmitry Yu. Bolkhovityanov).
 252. Fix a resource allocation bug in the DBE code (#A.271, Bill Rugolsky).
 251. Only enable Xv support for the 630 in the sis driver (#A.263, Nick Lamb).
 250. Modify the sis driver to prefer 24bpp framebuffer layout.  Perhaps not
      all support 32bpp? (#A.263, Nick Lamb).
 249. Add missing byte to Intellimouse init string, which fixes problems
      that show up with some KVM switches (#A.258, Seung-Hyeon Rhee).
 248. Some DRM module fixes for FreeBSD 5-current (#A.242, Andrew Atrens).
 247. Fix xterm build on Solaris 2.5.1 (based on #A.282 from mark at zang.com).
 246. Make the Linux/PPC "custom keycodes" choice a run-time option instead
      of a build-time option (#A.240, Franz Sirl).
 245. Add support to splitting WC MTRR regions on Linux when the regions is
      not aligned on a size boudary (#A.238, _Usul John Obscurant).
 244. Add Acecad support to the "summa" input driver (#A.237, Arpad Gereoffy).
 243. Don't try to map 64K blit window aperture on older trident chips
      (Alan Hourihane).
 242. V4L driver cleanups and Xineramification (#4502, Gerd Knorr).
 241. Make the X server and the Mac OS X front end run in a single process.
      Other build fixes for Darwin (#4500, #4501, the XonX team).
 240. Don't build xf86config under BuildServersOnly (Marc La France).
 239. Potential fix for DGA apps that set colourmaps the normal way rather than
      through DGA (Mark Vojkovich, Marc La France, Pontus Lidman).
 238. Make fstobdf generate correct ATTRIBUTES fields (Ishikawa Mutsumi).
 237. Xt man page updates (Paul Vojta).
 236. Plug kernel security hole in Linux int10 (Marc La France).
 235. Fix Xnest build for newest gcc versions (Marc La France).
 234. Fix typo in Xv Xinerama support (Gerd Knorr).
 233. Fix a problem with multi-thread support on OpenBSD (released OpenBSD
      versions don't have getpwuid_r) (Matthieu Herrb)
 232. Allow to compile on OpenBSD-current which has completly removed PCVT
      from its installation. (Matthieu Herrb)
 231. Support for ThreadedX on FreeBSD (FreeBSD ports patch-xthread).
 230. Updates for console-related FreeBSD system header changes as of 4.1-REL
      (FreeBSD ports patch-r, patch-s).
 229. Don't leave free'd vrotate uninitialised in lib/X11/omGeneric.c
      (FreeBSD ports patch-q).
 228. Protect #define HasPam in FreeBSD.cf (FreeBSD ports patch-d).
 227. Fix border garbage for the G400 second head by backing out #4205
      (David Dawes).
 227. Fix a typo in fonts/util/Imakefile (#4499, Juliusz Chroboczek).
 226. Add a document describing the DPS code included in the tree, and
      pointers to web resources (#4498, Juliusz Chroboczek).
 225. Use VBE to add runtime DDC support to the i810 driver (#4496,
      Andrew C. Aitchison).
 224. DRM kernel module updates for FreeBSD (#4493, joe at cracktown.org).
 223. Add support for the "Internet" keys of the Genius Comfy KB-16M keyboard
      (#4491, Kamil Toman).
 222. Include three DPS sample clients:
       - dpsinfo: random info about the DPS extension;
       - dpsexec: interactive DPS ``executive'' (command-line);
       - texteroids: a demo of font support.
      (#4489, 4497, Juliusz Chroboczek).
 221. Don't build the GLU library when not building GLX.  This fixes
      a build failure when GLX is disabled (#4488, Juliusz Chroboczek).
 220. Make the stub files that pswrap generates contain the same set of
      includes as the Adobe version, which fixes problems building
      standalone DPS clients (#4487, Juliusz Chroboczek).
 219. Fix setxkbmap bugs, including:
       - Continue working if the appropriate root window property where the
         current xkb settings are saved can't be read or interpreted.
       - Make the -keymap option work.
       - Update the man page to explain how the "-option" option works.
       - Add primitive sanity checking for 'map name'.
      (#4482, Ivan Pascal).
 218. Fix a server crash while reading DDC data from EDID2 capable monitors
      (#4481, Andrew C Aitchison).
 217. Updates to Thai support, including:
       - Fix a bug combining characterw with Shift keys.
       - Remove the th_TH Compose file so that Thai XIM is/can be(?) activated
         without needing XSetLocaleModifiers().
       - A more precise context-sensitive input sequence check using
         XNStringConversionCallback added. This has been tested with
         xiterm+thai-1.04pre2. The implementation detail might be changed
         if found inconsistent with the X11 specification.
      (#4478, Theppitak Karoonboonyanan).
 216. Update ucs2any.pl, and replace the special map-* files with the
      original mapping files from ftp.unicode.org.  Changes include:
       - A bug has been fixed that caused sometimes the FONT property not
         to be updated correctly.
       - The FONTBOUNDINGBOX is now recalculated, which makes the script
         also suitable for proportional fonts.
       - The mapping table for the DEC VT100 graphic characters is now built
         into the script. This means the special map-* files are not necessary
         any more and they could be replaced with the original mapping files
         found on ftp://ftp.unicode.org/Public/MAPPINGS/
       - Whether the DEC VT100 graphic characters are added can be controlled
         with options +d/-d. Default is to add them for upright charcell fonts
         only.
       - Slightly improved warning messages.
      (#4472, Markus Kuhn).
 215. Fix libGLU build problem on Cygwin (#4467, Suhaib M. Siddiqi).
 214. Fix missing libX11 exported symbols for Cygwin (#4467,
      Suhaib M. Siddiqi).
 213. Updates for Hurd support (#A.209, Marcus Brinkmann).
 212. Fix some mis-placed mem_barrier's for Alpha platforms (Jay Estabrook).
 211. Fix a Index/DAC register access in glint PM2v, PM3 driver.
      (#A.319, Romain Dolbeau).
 210. Add Xv support to Permedia3 driver (#4480, #4486 Sven Luther).
 209. Support for NVIDIA GeForce3 (Mark Vojkovich).
 208. Allow GccWarningFlags overrides on Linux (Marc La France).
 207. Fix a problem with xvinfo's listing of image formats
      (Giridhar Pemmasani).
 206. Fix bug in XkbSetNamedDeviceIndicator (XkbSetNamedIndicator). This
      function can be used both for change state of specified indicator
      (on/off) and for change description (and so behavior) of indicator.
      Fix bug (in XkbGetPerClientControls). Typo where subroutine apply bit
      mask (that consist of bitwise OR of three separate masks) to value
      that have to be returned (#4474, Ivan Pascal).
 205. Setxkbmap can crash X server if one specify some illegal string as
      'xkb variant' name (#4471, Ivan Pascal).
 204. In Grab mode XKB sends 'state' in key events without 'group info'
      (keyboard map layout) (#4469-4470, Ivan Pascal).
 203. Rewrite the X-Video extension's Xineramification (Mark Vojkovich).

XFree86 4.0.99.1 (19 February 2001)
 202. Gamma correction and DirectColor visual support for NVIDIA RIVA TNT
      and newer chipsets (Mark Vojkovich).
 201. IA64 fix for generic int10 code (Egbert Eich).
 200. Redadding space as delimiter in locale.alias and locale.dir
      (Egbert Eich).
 199. Modified memory debugger script to retieve backtrace information
      with an unmodified version of gdb (Egbert Eich).
 198. Modified memory debugger to print out backtrace of call where
      a referenced freed pointer was once allocated (Egbert Eich).
 197. Several more fixes for memory leaks and several "referenced freed"
      to keep memory debugger quiet (Egbert Eich).
 196. Fixed "referenced freed" memory debugger message in xf8_24bpp code
      (Egbert Eich).
 195. Add a new rule for building DRI (client) modules, so that only the
      relevant symbols are exported (#4454, Red Hat).
 194. Fixed several memleaks in PCI bus code (Egbert Eich).
 193. Added code to disable SIGIO when entering SETUP state and reenable
      it when leaving SETUP state (Egbert Eich).
 192. Add type of option argument as comment to config file.
      (xf86cfg might need some fixing) (Egbert Eich).
      (Hopefully) fixed reordering of chips so primary comes first
      (Egbert Eich).
 191. Fixed bug that caused server to crash when a DGA private colormap
      was freed as miSprite still had a pointer to this colormap
      (Egbert Eich).
 190. Fixed savage driver for altered vbe functionality (Egbert Eich).
 189. Moved bulk of generic VBE functionality from VESA driver into
      the vbe module (Egbert Eich).
 188. Fixed some bugs in vesa driver (Egbert Eich).
 187. Fixed memleaks in parser code as well as several referenced freed
      pointers which pollute output of memory debugger and obsucre debugging
      (Egbert Eich).
 186. Fixed ChangeWindowAttributes() in cfb8_16 code (Egbert Eich).
 185. Moved Linux specific typedef from shared/xf86AXP.h to linux-specific
      os-level code (Egbert Eich).
 184. Added option to int10 softbooter to POST even primary device.
 183. Fixed memory leak in linux int10 code (Egbert Eich).
 182. Modified vm86 trap code not to fail on a #LOCK prefix byte
      (Egbert Eich).
 181. Fixed memory leak in posix_tty.c (Egbert Eich).
 180. Added support to generic driver to POST even primary devices
      (Egbert Eich).
 179. Added support for more AXP chipsets that require sparse addressing
      to bsd os level (Egbert Eich).
 178. Added missing symbols to C&T driver (Egbert Eich).
 177. Fixed problems with Xv code in C&T driver (Egbert Eich).
 176. Fixed a vertical and horizontal offsets on HiQV chips due to
      non-"standard" handling of H/VBlankEnd registers (Egbert Eich).
 175. Removed code that sets a chipset into graphics mode when
      saving/restoring fonts in standard vga code. This causes problems
      on some trident chipsets (Egbert Eich). [EXPERIMENTAL!]
 174. Moved KGA code that handles the H/VBlankEnd code that overscans remain
      invisible to separate functions. This way drivers have better control
      over these registers.
 173. TGA driver fixes (Jay Estabrook).
 172. Moved option processing to allow VGAClock option to be processed
      (Egbert Eich).
 171. Added option to swap heads on a matrox G400 dual head (Stefan Dirsch).
 170. Added handling of broken planemask support on different models of
      matrox G100 cards (Egbert Eich).
 169. Fixed minor memory leak in ati driver (Egbert Eich).
 168. Fixed resource registration in TDFX driver (Egbert Eich).
 167. Set new modelines for Trident LCD modes (Egbert Eich).
 166. Fixed handling of PreEnd Control register on Trident (Egbert Eich).
 165. Fixed problem with Trident Blade Mono8x8Patterns (Egbert Eich).
 164. Fixed clock division for CyberBlade E4 (Egbert Eich).
 163. Removed last static symbols from Tseng driver (Egbert Eich).
 162. Fixed handling of ICS5341 RAMDAC under 24bpp (Egbert Eich).
 161. Fixed resource registration in rendition driver (Egbert Eich).
 160. Attempt to fix various other issues on rendition - driver remains
      to be broken though (Egbert Eich)!
 159. Fixed false linear size for NeoMagic 2380 (Egbert Eich).
 158. Modified calulation of aperture size in NeoMagic driver to use the
      available video memory instead of the map size (Egbert Eich).
 157. Added a delay to prevent rare cases of lockups when starting
      X on NeoMagic 2160 (Miles Lane).
 156. Added DGA to Cirrus driver (Egbert Eich).
 155. Missing symbols added to Cirrus driver (Egbert Eich).
 154. Fixed acceleration on Alpine (Cirrus) driver. PIO and MMIO versions of
      the accelerator driver now support the same functionality (Egbert Eich).
 153. Removed unneededed call to xfree() in ddc code (Egbert Eich).
 152. -
 151. Siliconmotion driver updates, including:
        - Color change/flash at 8bpp when switch back to desktop in rotation
          mode.
        - System hangs when enabling rotation in 24-bpp.
        - Overlay disappear in the virtual desktop when move the window.
        - Mouse pointer doesn't work properly in panning modes under rotation.
        - Garbage appears on desktop when click the Basic/Metal for the Theme
          Selector.
        - Added ZoomOnLCD option.
        - Desktop changes color when panning in 24-bpp mode.
        - CRT is off after exit X on DSTN 800x600.
        - Screen broken occurs in X when enable Rotation on DSTN 800x600.
      (#4463, Frido Garritsen).
 150. Include <time.h> in Xos.h to get struct tm (based on #4464, Mike Harris,
      and H.J. Lu).
 149. Add 1400x1050 60Hz and 75Hz to the default built-in modes (#4462,
      Tim Roberts).
 148. Create the default modes source file from the mode definitions on
      systems that have perl (David Dawes).
 147. Alias memset and memcpy to xf86memset and xf86memcpy in the loader,
      which should catch implicit compiler-generated calls to these functions
      (David Dawes).
 146. Fix NV, Glint, ati and mga drivers for Alpha EV56 machines
      (Jay Estabrook).
 145. Work around compiler-generated call to memcpy in the sis driver
      (David Dawes).
 144. Fix the neomagic driver so that it saves/restores the palette (#4452,
      Ken Hornstein).
 143. Fix a palette saving bug in the vgahw module (#4452, Ken Hornstein).
 142. Fix a typo in Xfbdev.man (#4446, Juliusz Chroboczek).
 141. Major updates to the savage driver, including:
       - DDC support
       - I2C support
       - XVideo YUV overlay support for Savage/MX and Savage/IX
       - DGA support
       - yanks Ani Joshi's depth/bitsPerPixel patch for searching the BIOS
       - fixes interactions with frame buffer and SVGATextMode consoles;
         VT switching now seems quite reliable for almost everyone
       - yanks unused options
       - adds new options for hacks to deal with the status register hangs
       - adds one special case memory configuration for Savage 4
       - adds support for doublescan modes (320x240 works)
       - adds LCD panel detection
       - fixes a panning bug at depth 24 (panning must be to even pixels)
       - adds a workaround for bugs in the latest ProSavage BIOSes
      (#4445, 4448, Tim Roberts).
 140. Make 'X -configure' use the long monitor name when present in the
      DDC info (#4444, Andrew C. Aitchison).
 139. Make glxinfo respect $DISPLAY (#4443, Meelis Roos).
 138. Fix TrueType font problems in 4.0.2 (#4439, Juliusz Chroboczek).
 137. Document the "DisplaySize" keyword in the XF86Config man page (#4438,
      Andrew C. Aitchison).
 136. Update the i810 driver to set the UV vertical phase for the 4:2:0
      planar formats to account for the spatial relationship between the
      chroma and luma samples (#4436, Jonathan Bian).
 135. Updates for Cygwin support (#4433, Suhaib M. Siddiqi).
 134. Fix a bug in the fonts.sgml doc (#4432, Juliusz Chroboczek).
 133. Fix the xdpyinfo so that it will build when the XKB extension isn't
      defined (#4422, Jim Gettys).
 132. Fix the xdm greeter so that it will build when the XKB extension isn't
      defined (#4421, Jim Gettys).
 131. Only build setxkbmap when building the XKB lib support (based on #4420,
      Jim Gettys).
 130. Improve the mga driver messages when the HAL module isn't available
      (#4451, David Woodhouse).
 129. Add G450 support to the mga driver (#4416, Luugi Marsan (Matrox),
      4449, David Woodhouse).
 128. Mga driver updates, including HAL cleanups, add a Crtc2Ram option,
      and merge with Matrox beta4 source (#4415, Antii Tapaninen, #4423,
      Simon Hosie).
 127. Fix a rounding problem in the wacom driver that was causing some
      position instability (#4417, Hannes Eriksson).
 126. Change Freetype2 compilation to pacify makedepend (Marc La France).
 125. Added changes to il (Hebrew) xkb keyboard map (#4459, Tzafrir Cohen).
      Added new by (Belarusian) xkb keyboard map (#4460, Alexander Mikhailian).
      Small additions to fixes A.272 to allow autorepeat control of MouseKeys
      also in 'non-accelerated mode' (#4461, Ivan Pascal).
 124. Add ATI Rage 128 PD support (#4455, ISHIKAWA Mutsumi).
 123. Make modeline2c.pl script case-insensitive (#4453, Mike Harris).
 122. Change ATI driver to detect panel dimensions of non-PC systems using an
      LT or LT Pro (Marc La France).
 121. Fix misdetection of sparse I/O PCI bases and handling of unassigned PCI
      bases in ATI driver (Marc La France).
 120. Extend libc wrapper's emulation of gettimeofday() and add emulation of PC
      and PC98 interval timers to int10 (Marc La France).
 119. An attempt at fixing the handling of unassigned PCI resources by
      improving detection of them and forcing them to be relocated
      (Marc La France).
 118. Make lndir ignore finder data files on Mac OS X (Matthieu Herrb).
 117. -
 116. -
 115. Undo s3virge changes in 4.0.2 for Xv support on ViRGE chipsets since
      they caused problems with plain ViRGE cards.  Xv is still supported
      for the ViRGE DX (#4414, 4430, Kevin Brosius).
 114. Siliconmotion driver fixes:
       - 24bpp corruption
       - mouse cursor still showing after X-server shutdown
      (#4413, Frido Garritsen).
 113. Change the Thai charset and locale description to a form agreed to
      by some Thai developers (#4412, Chanop Silpa-Anan).
 112. [SECURITY] Fix temp files vulnerabilites in xman on systems with
      mkstemp(). (Matthieu Herrb).
 111. Major improvement to the Xmaster UI on Mac OS X. (#4447, XonX team).
 110. 8 bit DAC support for the NVIDIA Riva-128 (Mark Vojkovich).
 109. Fix panning on Permedia3 (Alan Hourihane).
 108. Enable wsmouse support on OpenBSD/i386 (Matthieu Herrb).
 107. Xdarwin bug fixes and updates (#4440-4442, Torrey T. Lyons).
 106. ATI driver Sparc compile fix (David S. Miller).
 105. Implement BlockFills at 32bpp in the Permedia3 driver (Alan Hourihane).
 104. Ensure PCI retry is off for Permedia3, and fix an over by 1 error on
      FIFO usage (Alan Hourihane).
 103. Prevent glint driver from Seg faulting if mode pool is empty
      (Alan Hourihane).
 102. Add FIFOSize to glint driver for overriding of the FIFO depending on
      the target chip being used (Alan Hourihane).
 101. Major updates to the GLINT driver.
	- Add Dual-Headed Appian Jeronimo 2000 support (dual PM3's), it now
	  shares heads as per MGA driver for G4xx dual head boards.
	- Faster Permedia3 WriteBitmap/WritePixmap accelerator functions.
	- Fix Scanline acceleration routines when MAX FIFO is reached.
	- Improved Gamma support.
	- Upload cursor and cursor colours for pm2v/pm3 during vertical retrace,
	  which fixes r/b inversion and loss of video problems.
	- Fix pm2v/pm3 text restoration problems.
	- Re-arranged structure to accomodate multi-chips per screen.
	- Removed dualmx files and incorporated changes into standalone versions
	- Allow -configure to only configure VGA based Glint chips, works
	  around multichip boards (for now).
      (Alan Hourihane).
 100. Add XaaNoWriteBitmap and XaaNoWritePixmap options to XAA (Alan Hourihane).
  99. Improve determination of primary adapter (Marc La France).
  98. Fix PPC xf86sym.c compile problems (Marc La France).
  97. Fix int10 option handling for drivers that call xf86CollectOptions()
      before calling int10 (Marc La France).
  96. Properly detect unassigned MMIO address in ATI driver (Marc La France).
  95. Fix default compilation on Sparc/Solaris (Marc La France).
  94. Fix typo in Linux/Arm configuration (Marc La France).
  93. By default, don't build libGLU on libc5 systems (Marc La France).
  92. Fix HW cursor colors for pm2v/pm3 in the glint driver (Alan Hourihane).
  91. Rework the memory detection code for Permedia3, now correctly detects
      boards which aren't 32MB (Alan Hourihane).
  90. Write ScanlineCPUToScreen, ScanlineImageWrite functions for Permedia3
      which write directly to the FIFO, and remove obsolete functions
      (Alan Hourihane).
  89. Fix ordering of writes in pm2v/pm3 ramdac functions in the glint driver,
      thus fixing the R/B inversion problems (Jay Estabrook).
  88. Set the version strings in man pages dynamically (David Dawes).
  87. Remove the XF86_VERSION string from xf86Version.h, leaving just
      the numerical values.  All the version information is now derived
      from that single set of values (David Dawes).
  86. [SECURITY] Fix temp vulnerabilities in Xaw/MultiSrc.c using the technique
      in patch #4279 (Branden Robinson). Fix temp file vulnerability in
      gccmakedep based on report from Alan Cox. Fix temp file vulnerability
      in Imake.rules, InstallManPageAliases (Matthieu Herrb).
  85. Support vertical sub-pixel glyph rasterization in Xft
      (Keith Packard)
  84. Allow xf86ClaimPciSlot to be called with a NULL GDevPtr, as it was
      previously (Alan Hourihane).
  83. Fix clean rule in DRM build (Philip Willoghby).
  82. If MouseKeys is switched on, then the mousekeys autorepeat. (fixes
      #272, Stephen Montgomery-Smith)
  81. Ensure Video is unavailable when no acceleration available in the
      trident driver (Alan Hourihane).
  80. Implement a distclean make target (Marc La France).
      NOTE:  To correctly install this change, either `make Everything` or
             `rm xmakefile; make World`.
  79. Preprocess all man pages to make sure that the references to pages
      in sections that are platform-dependent are correct.  Also fixed some
      misc formatting problems found while doing that (David Dawes).
  78. Ensure client side version checking in 3D drivers for Rage128 and
      Radeon chipsets (Alan Hourihane).
  77. Nv driver update to fix the cursor for double scan modes, and to
      improve double scan mode handling in general (#4408, Csaba Halasz,
      Jarno Paananen).
  76. Fix a twm segfault if it gets events for buttons > 5 (#4407, 4425,
      Nathan Hand).
  75. Update the module subdirectory search list to include "multimedia/"
      (#4405, Vladimir Dergachev).
  74. Small R6.5.1 merge update in Xlib (based on #4403, Bruno Haible).
  73. Updates to the xprop utility, including:
       - Move to ANSI C, use const where possible.
       - Print WM_NAME and WM_ICON_NAME properties in the locale encoding.
       - Allow multiple "-remove" commands on the same command line.
       - Better error message when "-remove" is applied to a font.
       - New option "-set" that permits the changing of individual window
         properties.
      (#4402, Bruno Haible).
  72. Remove schumacher-clean compatibility aliases, since the fonts are
      really ASCII and not iso8859-1 (#4401, Bruno Haible).
  71. Allow drivers to provide their own substitute for the xf86I2CWriteRead
      function (#4399, Vladimir Dergachev).
  70. Cirrus driver updates, including:
       - Add a call to fbPictureInit() in the Laguna driver.
       - Fix warning (missing a symbol from VBE) when starting the Alpine
         driver.
       - Fix MMIO acceleration for the CL-GD5480
      (#4395, Itai Nahshon).
  69. Fix Neomagic 2200 screen corruption (Egbert Eich).
  68. Disable RENDER extension support in the ATI(misc) driver when mibank
      and/or shadowfb is used (Marc La France).
  67. Remove cfb & friends from the ATI driver (Marc La France).
  66. Some additional ATI PCI IDs (Marc La France).
  65. Make compilation of drivers produce the same object whether or not
      DPMS and DGA extensions are being built.  Partial changes to do the same
      for RENDER (Marc La France).
  64. Ensure `make depend` goes through the same set of subdirectories as
      `make all` does.  Allows MakefileAdditions to contain depend rule(s)
      (Marc La France).
  63. Move $(EXTRA_DEFINES) to the end of ALLDEFINES.  Ditto for
      $(CXXEXTRA_DEFINES) and CXXDEFINES.  Allows easier overrides at the
      subdirectory level (Marc La France).
  62. Add a pre-clean phase to `make World` if xc/xmakefile already exists
      (Marc La France).
  61. Import X.Org's X11R6.5.1 (David Dawes)
  60. Change identification of Trident 8400(CyberBlade/i7) so that it is not
      a Cyber chipset (integrated Desktop version) (Alan Hourihane).
  59. Use the wsmouse protocol in XFree86 -configure if wsmouse is available
      (Matthieu Herrb, lha at stacken.kth.se).
  58. Sync Xdarwin with XonX version (#4428 Torrey T. Lyons):
      - add a working WarpCursor
      - add 15 bit pixel depth to the Quartz mode.
  57. New version of Xmaster, a Mac OS X application that controls the
      X server (#4427, Torrey T. Lyons, Andreas Monitzer).
  56. Add external CRT support for the Rage 128 Mobility (Kevin Martin
      and ATI).
  55. Radeon DRI fixes (VA Linux Systems).
      - Re-enable freeing resources when the screen is destroyed (Kevin
        Martin)
      - Use screen-relative instead of window-relative coordiantes to
        calculate the tiled depth buffer offset address (Kevin Martin)
      - Fix texture upload at offset 0 bug.  Quake 2 engine games use
        TexSubImage to update lightmaps and the like, and we were
        uploading the updates before the image had space in the texture
        heap allocated to it. (Gareth Hughes)
      - Add XF86Config file option to enable depth buffer moves (they
        are disabled by default since they are excuciatingly slow)
        (Kevin Martin)
      - Enable bus mastering in PCI config space for those systems that
        do not automatically have it enabled (Kevin Martin)
      - Remove AGP_CNTL register programming -- it was a holdover from
        the Rage 128 driver and is not needed on the Radeon (Kevin
        Martin)
      - Fix offscreen memory allocation calculation for textures (Kevin
        Martin)
  54. Allow libGLU to be built (Craig Dunwoody, SGI, David Dawes,
      Alan Hourihane).
  53. Import the GLU parts of ogl-sample.
  52. Add an imake control for determining when xload should be installed
      set-gid (David Dawes).
  51. Add some imake controls for installing Xkb and app-defaults files
      in the traditional location rather than under /etc/X11 (Red Hat does
      that) (David Dawes).
  50. Add compressed man page functionality to the rules in Imake.rules,
      so it should be usable on most platforms (David Dawes).
  49. Make acceleration work on the Trident Cyber9388 (Alan Hourihane).
  48. - Various small changes to accomodate Mac OS X support and fix a
        problem people were having with uninitialized globals in X
        libraries,
      - Allow XFree86 to run on Mac OS X as a full screen client of
        CoreGraphics,
      - Add a Mac OS X application that controls the X server and feeds it
        events when running on Mac OS X. Currently must be built by
        ProjectBuilder (#4409, #4410, #4411, Torrey T. Lyons).
  47. Fix Mach64 Mono 8x8 Pattern acceleration (Marc La France).
  46. Experiment with setting the server's "vendor release" value from
      the information in xf86Version.h, and modify xdpyinfo to show the
      server version in an easily readable format (David Dawes).
  45. Fix 1bpp colour map in vgaHW (Marc La France).
  44. More IA64 loader fixes and make xf86sym.c compile again
      (Michael Madore, Marc La France).
  43. Add missing symbols in vesa driver (Marc La France).
  42. Fix multihead pointer problem on Rage 128 (Mark Vojkovich).
  41. Resync with DRI CVS trunk (Kevin Martin, VA Linux Systems)
      - Add Radeon 3D driver (Kevin Martin and Gareth Hughes)
      - Improve Rage 128 3D driver support (Gareth Hughes)
      - Add fast AGP read/drawpixels support in MGA driver (Keith Whitwell)
      - Update DRI docs (Kevin Martin, Brian Paul)
      - Fix various bugs (Keith Whitwell, Brian Paul, Kevin Martin)
  40. Rename fsinfo to xfsinfo to avoid a name clash with the fsinfo utility
      in the Berkeley automounter amd (Matthieu Herrb).
  39. Invert NO_COMPILER_H_EXTRAS to prevent unintentional references to inx()/
      outx() on the likes of SunOS (Marc La France).
  38. Change the os-support layer to only claim a bare minimum of I/O resources
      rather than a larger estimate (Marc La France).
  37. Loader work:  Fix handling of shared GOTs on IA-64 and Alpha's, and of
      PLT and OPD entries on IA-64;  Cleanup debug messages and #if testing
      (Marc La France).
  36. Extensive int10 rework to address lockups, spontaneous reboots and tight
      CPU loops on various architectures (Marc La France):
      - Use intialised BIOS to softboot primary adapters on non-PC's;
      - Fix endianness problems;
      - Move stack into its own page to prevent overwritting interrupt vectors;
      - Prevent (with a message) int10 from interfering with mainboard devices
        (i.e. RTC, keyboard, speaker, chipset, etc.);
      - Flesh out int 0x42 emulation on non-PC's;
      - Emulate BIOS data area on non-PC's;
  35. Add missing symbols in i810 and sis drivers (Marc La France).
  34. Optionally disable, at compile time, loader bug workarounds in ATI driver
      (Marc La France).
  33. Prevent the Rage 128 and Radeon drivers from initialising an adapter more
      than once (Marc La France).
  32. Move support for >64kB BIOS'es from int10 into the os-support/bus layer
      (Marc La France).
  31. When retrieving PCI BIOS'es, only use another PCI base when a previous
      retrieval attempt fails (Marc La France).
  30. Temporary kludge to not consider any adapter as primary if more than one
      candidate can be found (Marc La France).
  29. Make deleted mode messages less fearsome (Marc La France).
  28. Fix -configure to retrieve the correct set of options for ATI, C&T,
      Cirrus and NeoMagic adapters (Marc La France).
  27. When removing PCI resource overlaps, always consider resources whose size
      can be accurately determined, whether active or not (Marc La France).
  26. Real 4:2:0 YUV support for the Rage 128 (Mark Vojkovich).
  25. Xinerama support for Render extension (Keith Packard).
  24. Make some changes to the clock selection for trident driver
      (Alan Hourihane).
  23. Switch savage driver to fb (+Render), correct maxHValue (Keith Packard).
  22. Add font property caching in Xft (Keith Packard).
  21. Xterm patch #150 (Thomas Dickey).
  20. Fix 24/8 Overlay support on Permedia2v and Permedia3 chipsets
      (Alan Hourihane).
  19. Add CyberStretch option to the trident driver for Cyber chipsets that
      allows Graphics modes to stretch to the full display (Alan Hourihane).
  18. Xterm patch #149 (#4351, Thomas Dickey).
  17. Fix Y offsets passed to pixmap cache when DRI disabled in R128 driver
      (Alan Hourihane).
  16. Add BlockFills to Permedia3 (Alan Hourihane).
  15. Fix pixmap cache when more than 16MB of memory on Permedia 3
      (Alan Hourihane).
  14. Fix colourmap problems at depth15/16 on Permedia3 (Alan Hourihane).
  13. Bump xc/programs/Xserver/GL/dri (libdri.a) version to 3.1.0 to
      correspond with the DRI backbuffer rewrite, and modify drivers accordingly
      (Alan Hourihane).
  12. Enable ImageWrites on Rage128 and Radeon (Alan Hourihane).
  11. Add DRIMoveBuffersHelper function to prevent code duplication in
      the drivers (Mark Vojkovich).
  10. Bug fixes for endianness problems in Permedia3 driver
      (#4404, Sven Luther).
   9. Add Appian Jeronimo 4x8Mb (PM2v) support to the glint driver
      (Alan Hourihane).
   8. Add render support to i810 driver (Keith Packard with testing
      by Christien Bunting)
   7. Switch misc (non-radeon, non-r128) ATI driver to fb (Keith Packard).
   6. 3DFX driver changes (Mark Vojkovich).
      - fix some DGA issues.
      - 2D and 3D now share offscreen memory (much faster 2D now).
      - rewrite Xv support to use the video overlay.
      - add new Options "VideoKey" and "ShowCache".
   5. Change xterm from simple face name to full Xft font name so
      that options can be provide (like minspace) (Keith Packard)
   4. Add UTF-8 support to Xft (Keith Packard)
   3. Add font/face sharing and a minumum vertical space option
      to Xft (Keith Packard)
   2. Fix 64 bit DGA bug (Mark Vojkovich).
   1. Rewrite DRI back buffer handling to minimize the impact on 2D
      performance (Mark Vojkovich).
   0. Fix incorrect driverName fields in the cyrix, i810 and sis drivers.
      This was causing 'XFree86 -configure' to get the driver name wrong
      (David Dawes).

XFree86 4.0.2 (18 December 2000)
1211. Fix a problem introduced recently when using the "ps/2" protocol for
      mice on FreeBSD (David Dawes).
1210. Disable DRI for tdfx when there's insufficient memory for textures
      (Alan Hourihane).
1209. Rename the R6.4 INSTALL and RELNOTES docs at the top level of the source
      tree, and add a copy of the XFree86 RELNOTES.
1208. Add Solaris 8/x86 key mappings for some more jp106 keys.
1207. Fix wacom man page to match the driver (based on #4398, Akio Morita).
1206. Install the iso8859-13 encoding file (#4397, Nerijus Baliunas).
1205. Misc doc-related updates.

XFree86 4.0.1Zc (15 December 2000)
1204. Fix an Xlib memory overrun when the Xutf8TextPropertyToTextList function
      is used in a unibyte locale (#4394, Bruno Haible).
1203. Fix the yen/backslash keys for Solaris 8/x86 with Japanese 106 keyboards
      (based on #4393, Takaaki Nomura).
1202. Fix type mismatches in the r128 DRI driver on Alpha platforms (#4392,
      Gareth Hughes).
1201. Fix build on Japanized version of Solaris 8 for x86 (#4390,
      Takaaki Nomura).
1200. Remove some old XtOffset magic for the arm that affects building
      with gcc (#4388, Keith Packard).
1199. Release notes updates (David Dawes, Egbert Eich, Mark Vojkovich,
      Robin Cutshaw, Keith Packard, Alan Hourihane, #4391, Kevin Brosius).
1198. Revert the tdfx driver to something functionally close to the
      last known working version (4.0.1g) (David Dawes).

XFree86 4.0.1Zb (14 December 2000)
1197. New fonts document (#4386, 4387, Juliusz Chroboczek).
1196. Status doc update for Trident (Alan Hourihane).
1195. Update the R6.4 INSTALL and RELNOTES docs to include references at
      the top to the XFree86-specific docs (David Dawes).
1194. Make it possible to install platform-specific man pages with most
      ix86 builds (David Dawes).
1193. Add a short man page for the newport driver, update it's sample config
      file, and have the driver check user-supplied parameters (#4385,
      Guido Guenther).
1192. Missing part of fix for FreeBSD sysmouse support (#4317, from FreeBSD
      ports collection).
1191. Trident driver bug fixes (Alan Hourihane).
1190. Make it possible to install hardcopy specs docs that we can't generate
      from source (David Dawes).
1189. Set the HasPerl default correctly for LynxOS (#4384, Thomas Mueller).
1188. Lots of Status doc updates (#4383, Branden Robinson).
1187. Update some DebianMaintainer defaults in linux.cf (#4380,
      Branden Robinson).
1186. Fix a segfault in the font path verification code in xfs (#4379,
      Charles C. Fu).
1185. Rework and document the various MatroxHal imake parameters, and
      build in support for the mga_hal module by default for loadable server
      builds (David Dawes).
1184. Fix sis driver corrupt display with more than 8MB of video memory (#4378,
      Can-Ru Yeou).
1183. Fix xf86cfg build problem on systems that don't come with snprintf
      and/or regex (based on #4361, Thomas Mueller).
1182. Fix siliconmotion driver screen restoration when a graphics vesafb mode
      is selected during boot up (#4377, Frido Garritsen).
1181. Install and RELNOTES updates for Darwin (#4375, 4376, Torrey T. Lyons).
1180. s3virge patch to get Xft/Xrender working (#4374, Kevin Brosius).
1179. Improve aperture driver related error messages on OpenBSD
      (Matthieu Herrb).
1178. Workaround for IA-64 loader bug (Marc La France).
1177. Fix recognition of valid depth/fbbpp combinations in ATI driver
      (Marc La France).
1176. Fix 1bpp in ATI driver (Marc La France).
1175. Fix ATI DPMS support on panels by mimicking BIOS behaviour more closely
      (Marc La France).

XFree86 4.0.1Za (12 December 2000)
1174. Set defaults for Mesa's x86 CPU-specific asm options, and make it
      possible to build with MMX disabled for systems with older assemblers
      (David Dawes).
1173. Fix some R128 DRI bugs:
       - Fix depth span functions (was causing rendering errors for windows
         not at (0,0)).
       - Don't use 32-bit depth buffers since they're not supported by Mesa.
       - Use subpixel offsets to fix coordinate rounding errors.
      (#4373, Gareth Hughes).
1172. Reinstate the AllTarget for the rule to make html man pages
      (David Dawes).
1171. Build all modules on Linux/mips, fixing Xnest build (#4372,
      Guido Guenther).
1170. Update Permedia 3 README, Cards file, and glint section in the Status
      doc (#4371, Sven Luther).
1169. Fix depth passed to the BIOS in the savage driver (affects depth 15)
      (#4369, Ani Joshi).
1168. Update fbdev man page (#4368, Michel Daenzer).
1167. Fix a problem with 32-bit depth buffers when using indirect rendering,
      by not advertising them in the mga driver (#4367, Brian Paul).
1166. Update man page version strings, and convert some server/XFree86 man
      pages to cpp-processed files to make the references to pages in
      system-dependent sections correct (David Dawes).
1165. Update the release notes for the i18n and Unicode support (#4366,
      Bruno Haible).
1164. Document most of the environment variables that can influence libX11
      and libXt in the 'X' man page (#4365, Bruno Haible).
1163. Update the ICCCM spec document to relfect the selection targets currently
      used in XFree86 (#4364, Bruno Haible).
1162. Update the CTEXT spec document to reflect part of the current
      practice in XFree86 (#4363, Bruno Haible).
1161. Augment SpecsDocDirs to reflect additional docs that have XFree86 changes
      (#4362, Bruno Haible).
1160. Fix Xv library references in the xvinfo Imakefile (#4361,
      Thomas Mueller).
1159. Fix a signed/unsigned error in the calculation of 16-bit displacements
      in x86emu (#4359, Tim Roberts).
1158. Fix "noaccel" option in the tdfx driver when building without DRI
      (David Dawes).
1157. Add Darwin documentation (Torrey T. Lyons).
1156. Add Darwin bindist files and update Xinstall.sh (Matthieu Herrb).
1155. Update bindist files for NetBSD 1.5 ELF (Matthieu Herrb).
1154. Add DGA support to I128 driver (Robin Cutshaw).

XFree86 4.0.1Z (8 December 2000)
1153. Flesh out the wacom man page (#4358, Frederic Lepied).
1152. Fix incorrect documentation for xf86UnMapVidMem() in README.OS-lib
      (#4357, Guido Guenther).
1151. Update the newport driver to use the map/unmap functions provided by
      the os-support layer (#4356, Guido Guenther).
1150. Bugfix to xf86UDelay() (Egbert Eich).
1149. Added a sanity check to  pciConvertRange2Host() (Egbert Eich).
1148. Added more log messages to Linux APM code (Egbert Eich).
1147. Added a sanity check to xf86ConfigPciEntity() (Egbert Eich).
1146. Resync with DRI CVS trunk (tdfx driver updates) (Daryll Strauss).
1145. Add -textmode mode option for xf86cfg, to run a ncurses interface, and
      add the "expert" interface, to provide more control over the config file.
      Updates to vesa driver, removed debug messages and fixed problem with
      console restoration in some S3 cards.
1144. Merge tdfx 3D driver code (VA Linux).
1143. Add support PPC support on Rage 128 and disable Int10 for PPC on
      Rage 128 (until the bug in PPC Int10 support is fixed) (Kevin Martin).
1142. Install an alternative fonts.alias file that references the UCS-encoded
      fonts on systems without Perl (David Dawes).
1141. Add CyberShadow Option back into Trident driver (Alan Hourihane).
1140. Resync with DRI CVS trunk, including:
       - SSE support updates
       - DRI-specific full screen mode
       - Reduce the minimum space required for 3D on the Rage 128
      (VA Linux).
1139. Fix a memory leak in the UTF-8 <--> CompoundText converter (#4354,
      Bruno Haible).
1138. Add support for the selection target UTF8_STRING to libXaw (#4353,
      Bruno Haible).
1137. Make Xlib's CompoundText converter ISO-2022 compliant (#4352,
      Bruno Haible).
1136. Fix 2 wacom driver bugs (core dump on VT switching, and USB support)
      (#4350, Frederic Lepied).
1135. Update the ClearlyU fonts to 1.8b.  Changes include:
       - Cleaned up the Arabic glyphs so they don't look quite so juvenile.
       - Squared up the Hebrew glyphs so they match the style of the other
         scripts better.
       - Added many of the basic Hangul glyphs.
       - Brought the Cyrillic block in line with Unicode 3.0 and moved the
         extra glyphs into the PUA font in the 0xE4XX range.
      (#4349, Mark Leisher).
1134. Update the savage driver to all I/O via MMIO, and add DPMS support
      (4347, Ani Joshi).
1133. Change xfs to drop privs after daemonising so that the pid file can
      be written (#4346, Frederic Lepied).
1132. Miscellaneous fixups to the trident driver (Alan Hourihane).
1131. Add Xv support to the trident driver. Works for Blade and Image series
      chips, but zooming currently doesn't work on Image series.
      (Alan Hourihane).
1130. Don't perform a software reset on the Graphics Engine for Trident
      Blade3D's and CyberBlade's (Alan Hourihane).
1129. Fix typo in int10 for IA-64's (Marc La France).
1128. Make PCI bridge information in the log more accurate (Marc La France).
1127. Update ATI docs (Marc La France).
1126. Another getValidBIOSBase() fix (Marc La France).
1125. If the loader server dies from a signal during initialisation, print a
      list of undefined symbols (Marc La France).
1124. Move Alpha MMIO definitions from xf86_OSproc.h to compiler.h
      (Marc La France).
1123. Change update.docs rule for shadow tree friendliness (Marc La France).
1122. Don't reference libc wrapper names directly in the newport driver
      (David Dawes).
1121. Fix the fr_CH xkb Macintosh symbols file (#4345, Olaf Hering).
1120. Revert the Estonian_Estonia.1257 change in patch #4297 because
      windows-1257 is a closer match to iso8859-13 than iso8859-15.
      Also add entries for the et_EE.ISO8859-1 locale (while not perfect for
      Estonian, it is commonly used) (#4344, Ville Hallik).
1119. Change name of long Unicode keysyms from 6 to 8 hex digits, which
      matches conventional usage better (#4343, Ivan Pascal).
1118. Make XF86VidModeSetViewPort() actually set the viewport to the
      X and Y coordinates specified as opposed to always setting it to (0,0)
      (#4342, Joe Moss).
1117. Work around some build problems on SVR4.0 (#4341, Satoshi Kimura).
1116. Compose characters for the Macedonian UTF-8 locale (#4338,
      Damjan Georgievski).
1115. Fix build problems with the wacom driver on Linux 2.4 when building
      a static server (Frederic Lepied, David Dawes).
1114. Changed name of server binary to call by xf86cfg back to "XFree86
      (Egbert Eich).
1113. Modified handling of memory alloctaion in TDFX driver (Egbert Eich).
1112. Attempt to fix the 'UseModes' directive in the Monitor section
      (Egbert Eich).
1111. Added debugging output for BIOS base address search (Egbert Eich).
1110. Changed neomagic driver to treat disable stretching for each mode
      individually (Egbert Eich).
1109. Removed '-traditional' from cpp rule for makedpend. Required for
      new glibc header files (Ruediger Oertel).
1107. Fix to make SuperProbe build again on ia64 (Andreas Schwab).
1107. Attempt to fix int10 (Egbert Eich).
1106. Modified blitter busy test to use the MMIO mapped registers on chips
      > CT69000 (Egbert Eich).
1105. Attempt to improve dga support in C&T driver (Egbert Eich).
1104. Moved ppc_flush_icache to compiler.h - hope this fixes build problems
      (Egert Eich).
1103. changed cirrus driver to us fb instead of cfb (Egbert Eich).
1102. Modularized HALlib for mga driver (Egbert Eich).
1101. Added DGA support to tseng driver (Rainer Keller).
1100. Added "framebuffer" bus type allowing resource control to take place
      outside of the server (Egbert Eich).
1099. Added turkish keyboard layout (Togan Muftuoglu).
1098. Fix Cyber9397/DVD acceleration problem (Alan Hourihane).
1097. Resync with the DRI CVS trunk.
1096. Fix alot of Rage 128 Xv bugs (Mark Vojkovich).
1095. Fix XKB symbols for Swedish Macintosh keyboards (#4337, Olaf Hering).
1094. Disable DRI on PPC (#4337, Olaf Hering).
1093. Suppress xf86ReadBIOS debugging messages for BSD (#4336, Takaaki Nomura).
1092. Silicon Motion driver update, includes bug fixes (#4335,
      Frido Garritsen, Silicon Motion, Inc.).
1091. Updates to the dumpkeymap utility and its documentation (#4323,
      Eric Sunshine).
1090. Enable 3D support for Rage 128 Mobility chips (Kevin Martin).
1089. Add clip rectangles support to Render extension, Xrender and Xft.
      Make Xrender and Xft usable from c++.
      Fix a bunch of compiler warnings in Render extension code
      (Keith Packard)

XFree86 4.0.1h (4 December 2000)
1088. Fix key mapping for the '\' key on GB keyboards in Solaris 8.
1087. Status doc updates for Neomagic an NVIDIA (#4334, Andrew C. Aitchison,
      Mark Vojkovich).
1086. Updated Rage 128 DRI support from the DRI CVS (Gareth Hughes, VA Linux).
1085. -
1084. Bump the minor revisions of libXmu (UTF8_STRING) and libX11
      (Xutf8LookupString).
1083. Fixes for all known bugs in the CompoundText parser and generator,
      including:
       * While adding a charset:
         - Adding a charset with two different escape sequences (e.g.
           ISO-8859-14) led to broken behaviour of the converter. Moreover
           the second added would have priority over the first added.
         - If an invalid escape sequence was detected by _XlcParseCharSet, it
           was still used when generating compound text.
         - Extended segment charsets with varying number of bytes per character
           were treated like those with 1 byte per character.
         - _XlcAddCT failed to copy its ct_sequence argument, thus leading to
           bugs when this argument was a dynamically allocated string.
         - Missing detection of different charsets having the same escape
           sequence.
       * Parsing Compound Text:
         - The functions _XlcParseCT and _XlcGetCTInfo did not perform range
           checks on the strings being parsed. Danger of core dump through
           out-of-bounds string access if a malicious client provides malformed
           text.
         - Builtin extended segment charsets were not recognized because the
           strncmp in _XlcGetCTInfo was returning false most of the time, due
           to the embedded length bytes.
         - Extended segment charsets in general would not be deactivated after
           the specified number of bytes.
         - In _XlcCheckCTSequence, extended segments with invalid embedded
           length bytes would lead to out-of-bounds string accesses as well.
         - Unrecognized escape sequences did not lead to a return value > 0.
         - Left-to-right and right-to-left indicators (starting with 0x9b) were
           just ignored, without leading to a return value > 0.
         - If the source string was larger than the intermediate buffer,
           multibyte characters could be split into pieces, leading to
           conversion errors.
       * Generating Compound Text:
         - The length embedded in an extended segment prefix was always wrong.
         - Long strings could give rise to extended segments with a length that
           doesn't fit in the allowed 14 bits.
         - After an extended segment, GL or GR designators would unnecessarily
           be repeated.
         - Bytes in the range 0x81..0x88, 0x8b..0x9a, 0x9c..0x9f in multibyte
           encodings could not be output, would be thrown away.
         - Byte 0x9b could not be output in the UTF-8 charset.
       * udcInf.c was generating invalid Compound Text (invalid length in
         extended segment).
       * lcConv.c: If in the indirect converter, the first step led to no
         output, the second step would still be called, possibly leading to
         out-of-bounds accesses.
       * lcUTF8.c: had knowledge about JISX0208.1983-0 but not about
         JISX0208.1990-0.
      (#4333, Bruno Haible).
1082. Fix documentation for XSetOMValues() (#4332, Bruno Haible).
1081. Fix namespace polution in <X11/Xlib.h> introduced with patch #4293
      (#4331, Bruno Haible).
1080. Fix a bug in the newly introduced Xutf8LookupString() function that
      loses input not representable in the locale encoding (#4330,
      Bruno Haible).
1079. Avoid four new gcc warnings about const in lcUTF8.c introduced by
      patch #4293 (#4329, Bruno Haible).
1078. Fix some additional cases of confusing local typedef for wchar_t
      (#4328, Bruno Haible).
1077. Fix some round-trip conversion errors in COMPOUND_TEXT -> UTF8_STRING ->
      COMPOUND_TEXT due to wrong tables introduced by patches #4214, 4215
      (#4327, Pablo Saratxaga).
1076. Cygwin update for building Xrender DLL (#4326, Suhaib M. Siddiqi).
1075. Fix an undefined SUBDIRS in xc/lib/GL/mesa/src/drv/Imakefile when
      compiling on something other than x86, alpha or sparc (#4325,
      Brian Paul).
1074. Don't have the neomagic driver disable stretching when a mode that
      fills the panel is selected (#4324, Andrew C. Aitchison).
1073. Fix a bug in Xlib's _XimLocalMbLookupString() that causes a crash when
      a zero keycode keypress event is received (#4322, HIBINO Kei).
1072. NetBSD doesn't have perl in its default install (Matthieu Herrb).
1071. Add Xft support to xditview with #ifdefs (Keith Packard)
1070. Add a MIT-MAGIC-COOKIE-1 generator to startx for NetBSD 1.5 and OpenBSD
      and FreeBSD and make mkcookie support more generic (Matthieu Herrb).
1069. Update OpenBSD and NetBSD docs (Matthieu Herrb).
1068. Clean up r128_video.c again (Marc La France).
1067. Fix ATI clock generator recognition when an adapter BIOS cannot be
      retrieved (Linus Torvalds).
1066. Fix int10 and ATI driver for video BIOSes larger than 64kB
      (Marc La France).
1065. Change xf86MatchDevice() to initialise its return pointer and clean up
      drivers accordingly (Marc La France).
1064. Fix for bug in new imConv.c (#4318, Ivan Pascal).
1063. Fix for FreeBSD sysmouse support (#4317, from FreeBSD ports collection).
1062. Enable the ru_SU local entries for FreeBSD (based on patch from FreeBSD
      ports collection).
1061. Driver for the S3 Savage family of chips (#4315, 4316, 4319-4321,
      Tim Roberts).
1060. Add xkb definitions for the Logitech cordless keyboard (#4314,
      Michel Goraczko).
1059. Add support for "unicode keysym" to XKeysymToString() and
      XStringToKeysym() (#4313, Ivan Pascal).
1058. SiS driver updates, including:
       - Performance tuning for sis630
       - Support XV extension for sis630
       - Support Chrontel TV for sis630
      (#4312, Can-Ru Yeou).
1057. Fix Xrender library to handle strings > 254 chars long.
      Change Xrender and Xft interfaces to use 'unsigned int'
      instead of 'unsigned long' for 32-bit glyph values.
      (Keith Packard)
1056. Fix neomagic driver mangled acceleration test (#4309, 4310,
      Chip Salzenberg).
1055. Add a rudimentary driver for the SGI Indy's newport cards (only
      8-bit and non-accelerated so far) (#4308, Guido Guenther).
1054. Fix a bug in rman that is provoked by the new dumpkeymap man page
      (David Dawes).
1053. Updates to the dumpkeymap utility, and add documentation (including
      a man page) (#4307, Eric Sunshine).
1052. Add -version and -showconfig options to the Darwin Xserver, and print
      the usual "XFree86" banner message (#4306, Torrey T. Lyons).
1051. Fix i810 crash when running XFree86 -configure (#4305, Ryan Drake).
1050. Linux APM fix, which fixes a problem that shows up with the neomagic
      driver after an APM suspend (#4304, 4311, Chip Salzenberg).
1049. Correct maximum ranges for Wacom IV devices (#4303, Frederic Lepied).
1048. Add preliminary support for USB input devices under Linux (wacom
      driver (#4303, MATSUMURA Namihiko).
1047. Locale fixes/cleanups, including:
       - Cleanup garbage in XLC_LOCALES.
       - Add "use_stdc_env' to locales where it was absent.
       - Move non-standard charset descriptions from the lcCT.c table to
         the XLC_LOCALE files.
      (#4302, Ivan Pascal).
1046. Make sure the correct "driverName" string is used in xf86Configure.c.
1045. Fix some i810 driver problems when too little videoRam is specified
      (David Dawes).
1044. Fix an i810 driver bug that prevents the DRI from being enabled
      after a server reset (Jeff Hartmann).
1043. Add a "dri" config file option to the i810 driver that can be used
      to enable/disable the DRI (no other method works for statically
      linked servers) (David Dawes, from VA's 7.0.1).
1042. Update the i810 driver to check the max available GART memory
      (Jeff Hartmann, David Dawes, from VA's 7.0.1).
1041. Resync DRI code/drivers with the DRI CVS (VA Linux).  Includes
      3dfx driver updates (Daryll Strauss).
1040. Fix a couple of clipping problems on the Trident CyberBlade/Blade3d
      chipsets (Alan Hourihane).
1039. Fix a couple of Alpha related issues (Jay Estabrook).
1038. Change Xft interface (again) to use new XftColor datatype for
      colors instead of XRenderColor.  xterm and x11perf updated to
      match.  (Keith Packard)
1037. Fix an i810 init problem that resulted in the fallback to 2D failing
      for one case where there's insufficient memory to enable the DRI
      (David Dawes, from VA's 7.0.1).
1036. Add support for printing a vendor-specific version string in the
      X server startup messages (David Dawes, from VA's 7.0.1).
1035. Xwd workaround for a gcc bug (Red Hat's XFree86-4.0.1-xwd-gcc-workaround
      patch).
1034. Fixes for sparc drivers, mostly to prevent accessing the hardware
      when the server doesn't have control of the VT (Red Hat's
      XFree86-4.0.1-ffb patch).
1033. Use OS-provided interface for accessing PCI config space on Linux/ia64
      (based on Red Hat's XFree86-4.0.1-ia64-pci patch).
1032. Use AsmDefines when processing the Sparc assembler code for cfb
      (based on Red Hat's XFree86-4.0-sparc-asmflags patch).
1031. Add PAM authentication to the X server (based on Red Hat's
      XFree86-4.0-Xwrapper patch).
1030. Add Slovenian and Romanian entries to XKB's keymap/xfree86 file
      (Red Hat's XFree86-4.0-si_xkb patch and XFree86-4.0-ro_xkb.patch).
1029. Fix for PAM support in xdm SessionExit() (Red Hat's
      XFree86-4.0-pamsession patch).
1028. XlibInt.c patch to avoid buffer overflow (Red Hat's
      XFree86-3.3.6-fixemacs patch).
1027. Updates to xfs from Red Hat and Debian, including:
       - command line options to make xfs drop it's root privs (-droppriv
	 and -user) - command line options to make xfs start as a daemon,
         and a build option to make this the default.
       - don't let a port option in the config file override the -port
	 command line option
       - cleanup/fix syslogging
      (based on #4253, Topi Miettinen, Debian, and Red Hat's
       XFree86-4.0-xfsredhat patch).
1026. Support for startx to set up the Xauth when starting an X server
      (based on Red Hat's XFree86-4.0-startx_xauth patch).
1025. Fix an unaligned access on Alpha with the tdfx driver (Jay Estabrook).
1024. Add detection for CyberBlade/Ai1 Socket A chipsets (Alan Hourihane).

XFree86 4.0.1g (29 November 2000)
1023. Fix small bug in lcGeneric.c (#4301, Ivan Pascal).
1022. Rewrite Xft library for Render extension/core text and font management
      Change xterm to use new interface (Keith Packard).
1021. s3virge driver updates, including Xv fixes for the ViRGE DX, disable
      GX2 color expansion until it's stable, GX2 Xv code (not enabled or
      working yet) (#4299, Kevin Brosius).
1020. Siliconmotion driver (#4298, Frido Garritsen, Silicon Motion, Inc.).
1019. Fix Estonian_Estonia.1257 entry in locale.alias (#4297, 4300,
      Nerijus Baliunas).
1018. New Lithuanian XKB map (#4296, Nerijus Baliunas).
1017. Fix a problem with the "xtt" font module introduced with recent
      changes to the "freetype" module (#4295, ISHIKAWA Mutsumi).
1016. Fix the return value for the "indirect" converter in Xlib (#4294,
      Bruno Haible).
1015. ANSI C cleanup of Xlib locale core code (#4293, Bruno Haible).
1014. Optimize the i18n support for parsing resource files for the unibyte
      locales, and clean up pre-ANSI-C-isms and warnings (#4292, Bruno Haible).
1013. Enhance the CompoundText <-> UTF-8 converter so that it understands
      the BIG5 encoding scheme used by Emacs (#4291, Bruno Haible).
1012. Fix documentation and implementation of _XlcCompareISOLatin1 and
      _XlcNCompareISOLatin1 (#4290, Bruno Haible).
1011. Add new Unicode-based APIs for internationalized text for Xlib (#4289,
      Bruno Haible).
1010. Fix a minor Mesa lighting bug (#4288, Brian Paul).
1009. Fix the glide driver's resolution of symbols from the glide library
      (#4281, Pontus Lidman).
1008. Fix X server stalling forever with local font servers on Linux 2.4
      kernels (#4280, Branden Robinson).
1007. Improve temp file handling in the Xaw library (#4279, Branden Robinson).
1006. Add support for Rage 128 RG (#4277, Michael Mattice).
1005. Modify XimGetCharCode() to use conversion from keysym to UCS and then
      from UCS to the appropriate charset specified in the locale description
      (#4276, Ivan Pascal).
1004. Allow Unicode fonts to be used as UTF-8 locale native fonts (#4275,
      Ivan Pascal).
1003. Fix abnt2/br XKB config (#4274, Paulo Cesar Pereira de Andrade).
1002. Let the Darwin X server build on pure Darwin as well as Mac OS X systems
      (#4273, Torrey T. Lyons).
1001. Patch to allow xdm to build on Darwin (#4273, Torrey T. Lyons).
1000. Fix parser not dup'ing a string (#4272, Paulo Cesar Pereira de Andrade).
 999. Improve direct fifo writes for the glint/permedia3 pixmapwrite hook
      when using FIFO disconnect (#4271, Sven Luther).
 998. Fix a sprite problem with the "xwin" server (#4269, Suhaib M. Siddiqi).
 997. Fix a confusing local typedef for "wchar_t' in xc/lib/X11/lcUTF8.c
      (#4268, Bruno Haible).
 996. Allow ProjectVar to override "/var" when set (based on #4266,
      Bruno Haible).
 995. Rework Trident Blade/CyberBlade acceleration (Alan Hourihane).
 994. Make the CyberBlade/e4 (aka 9540) work (Alan Hourihane).
 993. Updates to Big5 encodings for the TrueType font backends (#4265,
      Jacky Bryant).
 992. Fixes for Thai (th_TH) locale support in Xlib (#4264,
      Theppitak Karoonboonyanan)
 991. Fix a segv in Xnest caused by overflowing the pixmap formats array
      (based on #4262, Matthieu Herrb).
 990. Fix an xdm problem that prevents the chooser from working (#4261,
      Matthieu Herrb).
 989. Update the Cards file (#4260, Paulo Cesar Pereira de Andrade).
 988. Update Macedonian xkb symbols, and add mk_MK.utf8 to locale.alias
      (#4258, 4259, Damjan Georgievski).
 987. Safe tempfile handline for imake's probing of glibc version (based on
      #4257, Colin Phipps).
 986. Fix typo in dvorak xkb symbols file, plus white space cleanup (#4256,
      Branden Robinson).
 985. Fix typo in server startup message (#4255, Branden Robinson).
 984. Make XOpenDisplay() bail out if the server claims that its vendor
      string is > 256 in length (#4254).
 983. Add some useful default key bindings for the xdm login widget (#4252,
      Branden Robinson).
 982. Change the default xdm Xaccess file to not allow any connections
      (#4252, Branden Robinson).
 981. Set the default glyph caching mode to "CACHE_16_BIT_GLYPHS"
      (#4251, Branden Robinson).
 980. Make the X server use the XAUTHORITY environment variable (if set)
      when the -authfile command line flag isn't given (#4250,
      Branden Robinson).
 979. Add Debian-specific settings to linux.cf (#4249, Branden Robinson).
 978. Rename Trident Cyber9540 to CyberBlade/e4 and make appropriate
      changes in driver (Alan Hourihane).
 977. Fix Trident Cyber series to only detect SDRAM (Alan Hourihane).
 976. Make xf86SoundKbdBell() available to modules (for citron driver)
      (Marc La France, #4270, Frederic Lepied).
 975. Fix glide driver's check for glide library presence (Marc La France).
 974. Add missing symbol references in r128 and s3virge drivers
      (Marc La France).
 973. Fix int10 debugging and reading in all segments between 0x0C0000 and
      0x0F0000 (Marc La France).
 972. Fix typo in imake.c (Marc La France).
 971. Turn off SGRAM optimization for Trident Blade chips, causes some
      problems. (Alan Hourihane).
 970. Ignore various ".stab.*" sections for Solaris (Marc La France).
 969. Fix ENXIO errors on Linux BIOS retrievals by removing restriction on
      several OSes that xf86ReadBIOS()'s Base be page-aligned (Marc La France).
 968. Disable change 873.  It causes device/monitor mismatches
      (Marc La France).
 967. Change linux/int10 to intercept signals generated by the vm86() syscall
      rather than killing the server (Marc La France).
 966. Reinstate DG/UX mmap() bug work-around in int10 (Marc La France).
 965. Rage128 and Radeon fix for -configure (Marc La France).
 964. Fix int10 woes with retrieving PCI BIOSes (Marc La France).
 963. Allow modules to intercept signals that would otherwise kill the server
      (Marc La France).
 962. Fix static Xvfb server build (Marc La France).
 961. Some warning fixes (Marc La France).
 960. Rage128 and Radeon #include changes to reduce recompilations
      (Marc La France).
 959. Modify item no. 949 - only reset clipping for Cyber9382, Cyber9385 and
      ProVidia9682 (Alan Hourihane).
 958. Added messages about modes rejected on lookup (Egbert Eich).
 957. Attempt to fix DDC1 support on Neomagic (Egbert Eich).
 956. Added Block/UnblockSIGIO() to DDC1 readout code (Egbert Eich).
 955. Enabled virtual depth for a second head on a G400 multihead
      (this needs to be looked at) (Egbert Eich).
 954. Added code to check if the PictureScreen structure was initialized
      before referencing it (Egbert Eich).
 953. Modified xf86UDelay() to use Block/UnblockSIGIO and usleep()
      instead of gettimeofday() (Egbert Eich).
 952. Modified xf86MatchPciInstances() to allow for chipset overrides
      even when called with no separate vendorID (Egbert Eich).
 951. Changed Xvfb to use fb instead of cfb (Egbert Eich).
 950. Moved a misplaced xfree() in the generic driver. Now more than
      one chipset can use this driver in a multihead setup (Egbert Eich).
 949. Did some fixes for the Trident driver ie. fixed a LCD modeline,
      reset clipping register on all non 3D chips (Egbert Eich).
 948. Added missing parts for AXP support to lnx_video.c (Egbert Eich).
 947. Added bsr/bsf to x86emu (Jeff Wiedemeier).

XFree86 4.0.1f (16 November 2000)
 946. Add a dumpkeymap utility for Darwin (#4248, Eric Sunshine).
 945. Fix a Darwin build problem with mkcfm, and get xdm closer to building
      (#4247, Torrey T. Lyons).
 944. DDX for the Xdarwin server (#4246, Torrey T. Lyons).
 943. Enable xdm/PAM support by default for FreeBSD versions with PAM.
 942. Fix a problem where the X server thinks it has acquired a VT at startup
      before it has really been released.  This is due to the ioctl()
      returning prematurely because of a pending signal (Jeff Hartmann).
 941. Fix a problem with the PAM support in xdm that prevents
      pam_start_session() from ever being called (Takanori Saneto).
 940. Enable PAM support for xdm on FreeBSD (#A.202, Jean-Marc Zucconi, and
      Takanori Saneto).
 939. Fix xf86cfg build problem when BuildXinerama is set to NO (#A.200,
      Jean-Marc Zucconi).
 938. gccmakedep has a typo which affects handling the -o and -O options
      (A.192, Ivan Zakharyaschev).
 937. Specify the units for the dpms and rate commands in the xset man
      page (#A.191, John Heidemann).
 936. Let makedepend ignore "//" style comments on all platforms, not
      just Win32, and fix a bug in that code that was causing the line
      after such comments to also be ignored (#A.189, Guenther Grau).
 935. Update GNU/Hurd support (#A.188, Marcus Brinkmann).
 934. Initial port of the ark driver to 4.x (#4242, Ani Joshi).
 933. Wacom input driver update, including support for 38400 link speed
      and fix wrong advertisement of min/max values (#4241, Frederic Lepied).
 932. Fix some parser problems, including:
       - parser does not write Modes section and UseModes keyword
       - the vscan value wasn't being used
       - make the XF86ConfModesPtr structure accessible from the
         XF86ConfMonitorPtr structure
       - allow xf86Parser.h to be included from in a C++ program
      (#4238, 4243-4245, Paulo Cesar Pereira de Andrade).
 931. Fix the name of the Serbian xkb symbols file (rename from yu to sr)
      (#4237, Ivan Pascal).
 930. Fix mkcfm bug (#4236, Juliusz Chroboczek).
 929. Glint/permedia3 updates (#4235, 4238, Sven Luther).
 928. Fix an SVR4 loader build problem introduced in 4.0.1d (#4234,
      Takaaki Nomura).
 927. Fix a bug in fontenc that would cause a memory leak whenever an
      encoding would be declared in encodings.dir but not in the encoding
      file itself (#4233, Juliusz Chroboczek).
 926. Make the freetype backend use the fontenc matrix encoding support,
      remove support for the defunct XAnti extension, and bump the version
      of the freetype backend to 1.1.8 (#4233, Juliusz Chroboczek).
 925. Add proper support for matrix encodings in fontenc (including the
      new FIRSTINDEX keyword in encoding files), and bump the version of
      the font module ABI to 0.2 (#4233, Juliusz Chroboczek).
 924. Fix a problem the vesa driver (#4232, Paulo Cesar Pereira de Andrade).
 923. Fix problems building the C&T driver with DEBUG defined (#4231,
      Taketoshi Sano).
 922. Remove lt_LT.ISO8859-1 entry from compose.dir (#4230, Nerijus Baliunas).
 921. s3virge driver updates, including:
       - Stabilize GX2 support, reenable silken mouse
       - Enable MX fixes
       - Add support for the render extension
       - Enable BLT_BUG for ViRGE and VX chipsets
      (#4229, Kevin Brosius).
 920. Don't initialize DRI when noaccel is specified in the tdfx driver
      (Alan Hourihane).
 919. Make module ABI compatibility mismatches fatal by default, and
      add a command line option for making them non-fatal (David Dawes).
 918. Changed SiS driver to use fb instead of cfb (Alan Hourihane).
 917. Fix r128 and radeon driver source code formatting that was munged
      during ATI merge (Kevin Martin).
 916. Update Markus Kuhn's UCS fonts, and add his scripts for extracting
      subsets of them to the build process (David Dawes).
 915. Fix visual setting in ATI r128/radeon driver (Jeff Wiedemeier).
 914. Alpha fix for xf86cfg (Alan Hourihane).
 913. Resync DRI code/drivers with the DRI CVS (VA Linux).
 912. Fix tdfx driver to register resources and remove some redundant code
      (Alan Hourihane).

XFree86 4.0.1e (6 November 2000)
 911. Fix the ksc5601.1987-0 encoding file (#4226, 4228, Pablo Saratxaga).
 910. Update xdm/sessreg to write ":0" type entried in utmp on OpenBSD
      (#4225, Matthieu Herrb).
 909. Fix for Xmu under NetBSD, which doesn't #define "unix" anymore (#4225,
      Matthieu Herrb).
 908. Preliminary support for OpenBSD/powerpc (#4225, Tsubai Masanari,
      Matthieu Herrb).
 907. Support for native WSCONS driver on NetBSD and OpenBSD (#4225,
      Tsubai Masanari).
 906. Support for new OpenBSD 2.8 shared libs scheme (#4225, Matthieu Herrb).
 905. Support for the OpenBSD ports tree (#4225, Marc Espie).
 904. Update the list of layouts in the xfree86.lst file (#4224, Ivan Pascal).
 903. Add an XKB map for Serbian (#4224, Milos Rancic).
 903. New revision of the Bulgarian XKB map (#4224, Anton Zinoviev).
 902. Change the Alt key definitions in the "group switcher" descriptions
      to not override the base Alt key mappings (#4223, Ivan Pascal).
 901. Change XKB Mode_switch behavior description to not clear "locked
      group" (#4223, Ivan Pascal).
 900. Create a root window property "XFree86_DDC_EDID2_RAWDATA" when
      suitable data is available (#4222, Andrew C. Aitchison).
 899. Fix some typos/errors in the Latvian and Lithuanian entries in
      the locale.alias and locale.dir files (#4221, Nerijus Baliunas).
 898. Fix two more bugs in xkbcomp: handling of 'keycode aliases', and
      copying of strings when copying structures (#4208, Ivan Pascal).
 897. Added render extension support to tseng driver (Egbert Eich).
 896. Fixed clock code in neomagic driver (Egbert Eich).
 899. xf86Configure now uses the imake variable xf86ConfigFile (Egbert Eich).
 898. xf86cfg has a new option for a server path (Egbert Eich).
 897. xf86cfg can now handle more than one command line argument (Egbert Eich).
 895. Added a delay to dac code in neomagic driver (Egbert Eich).
 894. Changed shadowfb to use delayed updates in neomagic
       driver (Egbert Eich).
 893. Rewrote ddc code in nv driver (Egbert Eich).
 892. Rewrote ddc code in neomagic driver (Egbert Eich).
 891. Fixed problems with enter/leave/closeScreen in nv
       driver (Egbert Eich).
 890. Fixed a bug in the fixed modelines in trident driver (Egbert Eich).
 889. Added reinitialization of blitter on enterVT in trident
       driver (Egbert Eich).
 888. Fixed a typo which caused wrong register to be set in trident
       driver (Egbert Eich).
 887. Added loader symbol handling to tseng driver (Egbert Eich).
 886. Changed tseng driver to use fb instead of cfb (Egbert Eich).
 885. Changed chips driver to use fb instead of cfb (Egbert Eich).
 884. Added render extension support to chips driver (Egbert Eich).
 883. Added render extension support to neomagic driver (Egbert Eich).
 882. Added render extension support to nv driver (Egbert Eich).
 881. Modified helper_mem.c to map everything between video bios and
       system bios on PC-like platforms (Egbert Eich).
 880. Modified Linux mapVidMem() to map memory on page boundaries
       (Egbert Eich).
 879. Changed BIOS_SIZE (Sys BIOS) from 0x10000 to 0xffff to make
       int10 work un DGUX (Takis Psarogiannakopoulos).
 878. Fixed a bug in the argument list of the call to xf86ReadPciBIOS()
       from int10/pci.c (Egbert Eich).
 877. Added simple sanity check to catch situation where DDC reads
       all 0 and therefore trivially has the correct checksum (Egbert Eich).
 876. Changed i2c code to allow for longer rise/fall times on longer
       cables (Egbert Eich).
 875. Removed limit on default visual for 4bpp (Egbert Eich).
 874. Added macros to build nv driver on AXP (Jay Estabrook).
 873. Changed -configure to use primary card as first card (Egbert Eich).
 872. Changed generic vga driver to not unmap memory when switched away.
 871. Fixed problem that caused APM support to be disabled on server
       reset (Egbert Eich).
 870. Added support for newer sparse AXP systems (Egbert Eich).
 869. Added support for MGA G100 PCI (Egbert Eich).
 868. Add missing exported libXext Shm functions to loader (Alan Hourihane).
 867. Change Rage 128 DRM driver name to what the r128 kernel module
      expects (Kevin Martin).
 866. Fix newly merged "ati" driver probe to allow "r128" and "radeon"
      driver names in the XF86Config file for backwards compatibility
      (Kevin Martin).
 865. Use vgaHW module to fix font save/restore in i128 driver (Robin Cutshaw).
 864. Fixed (hopefully) a Xinerama problem with BE clients (Mark Vojkovich).
 863. Modifications to GLw to allow it to build without Motif, and
      integrate it into the regular build process (#4142,
      Carlos A. M. dos Santos, David Dawes).
 862. Import the GLw parts of SGI's ogl-sample (snapshot from 20001102)
      under xc/extras/ogl-sample.
 861. Add support for SubSection in the Vendor Section of the config file
      (Stuart Anderson)
 860. Fix a typo introduced in a recent update to the 'no' xkb symbols
      file (#4218, Pablo Saratxaga, 4219, Harald Nordgård-Hansen).
 859. Parser symbol update (#4217, Paulo Cesar Pereira de Andrade).
 858. Updates to iso8859-9e, microsoft_cp1251 charset handling, and
      add real support for microsoft_cp1255 and microsoft_cp1256 (#4214, 4215,
      Pablo Saratxaga).
 857. Fix Sparc build problems linking xf86cfb with libloader that were
      related to various interdependencies (#4212, David S. Miller).
 856. Allow generic XVideo adaptors (like v4l) to be initialised for
      the G400 crtc2 (#4211, Antti Tapaninen).
 855. Update mga driver to check the chipset much earlier to prevent
      server hang when using g400 dual head + millennium 2, and some
      G200 PCI/warp cleanups (#4211, Antti Tapaninen).
 854. Updates to the Macedonian xkb symbols (#4210, 4220, Damjan Georgievski).
 853. Combine the ATI, Rage128 and Radeon drivers into one with multiple
      sub-modules (Marc La France).
 852. Make BIOS accesses in the Rage128 and Radeon drivers independent of
      endianess and alignment (Marc La France).
 851. Fix the claiming of XF86Config device sections by drivers, and change
      xf86MatchDevices() to only return unclaimed sections (Marc La France).
 850. Fixed build problem in s3virge when XvExtension is not set (Stuart
      Anderson)
 849. Add a message at the top of the server/log output for pre-release
      versions stating that they are unsupported (David Dawes).
 848. Fix two problems in Imake.rules: have LinkBuildBinary create the
      used directory if it doesn't exist, and fix a missing ')' in
      the LinkConfFileLong (#A.187, Ivan Zakharyaschev).
 847. Fix a libXt bug that affects multidisplay applications when Xt is
      built to use select(2) rather than poll(2) (#A.181, Antony Uspensky).
 846. Add a -utime option to xclock that allows the digital clock to
      display the number of seconds since the Epoch (based on A.173,
      Kelsey Hudson).
 845. Add symbols mappings for extra keys on the BTC 9000 keyboard (#A.167,
      Stefano Cavallari).
 844. Fix twm's icon manager so that it is functional before an EnterNotify
      event is received in twm's event loop (#A.156, Jason Zwolak).
 843. Update comments about standards for Estonian support, and add an
      entry for the Estonian keyboard layout to the xfree86.lst file
      (#A.155).
 842. Fix for G400 crtc2 blank screen color (#4205, Antti Tapaninen).
 841. Modify the mga/HALlib support to allow it to be selected at
      run-time.  This allows a driver built with HALlib to be used with
      older hardware (like the Millennium, Millennium 2) (#4204,
      Antii Tapaninen).
 840. Add config/imake support for Darwin (#4200, Torrey T. Lyons).
 839. Add a driver for the citron touch screen (#4199, Peter Kunzmann).
 838. Fix Html man page install problem (Robin Cutshaw).
 837. Fix transparency problem with blits, add DDC2 for i128-II chipset
      in i128 driver (Robin Cutshaw).
 836. Allow loader to be build if HasShm == NO (Marcus Brinkmann).
 835. Allow the log file to be set in the config files (Stuart Anderson).
 834. Fix Rage128/Radeon drivers to free correct scratch buffer on LeaveVT
      (Alan Hourihane).
 833. Xterm patch #148 (#4213, Thomas Dickey).
 832. Split ATI driver into two modules in preparation for merging in the
      r128 and radeon drivers (Marc La France).
 831. Update the XFree86 -configure code to put the default font path
      in the Files section of the config file it generates (#4202,
      Paulo Cesar Pereira de Andrade).
 830. Add write-combine support for IA-64 (Mark Vojkovich).

XFree86 4.0.1d (27 October 2000)
 829. Add code to the xf86config utility to get the list of XKB selections
      from the appropriate XKB files rather than having them hard-coded.
      Also allow XkbOptions to be set (#4209, Ivan Pascal).
 828. -
 827. Xterm patch #147 (#4207, Thomas Dickey).
 826. Move the initialisation of pScrn->EnableDisableFBAccess into
      InitOutput(), which fixes an infinite loop problem that can show up
      on server resets (#4206, Joe Moss).
 825. Make xf86cfg use the same config file search path as the X server
      (#4203, Paulo Cesar Pereira de Andrade).
 824. -
 823. Fix a bug in the vesa driver when finding the linear address for the
      card, some compile time warnings, faster code for handling colormap
      changes, and add DGA support (#4201, Paulo Cesar Pereira de Andrade).
 822. Fix a typo in the mga driver that causes planemask problems with
      the PCI version of the G100 (#4198, Antti Tapaninen).
 821. Add an option to the C&T driver to disable "TMED" (DSTN dithering
      scheme) (#A.172, Damir Anicic, #4196, 4197, David Bateman).
 820. Pablo Saratxaga's i18n updates for XFree86 that are used in Mandrake 7.2.
      Includes various new and fixed xkb files, locale name additions and
      updates, and new support for various charset encodings (#4195,
      Pablo Saratxaga).
 819. Improve Xaw 7 compatibility with version 6 in the form widget geometry
      management code.  This should fix some problems seen with ghostview
      (#4194, Paulo Cesar Pereira de Andrade).
 818. Build fixes for XFree86 on Cygwin (#4193, Suhaib Siddiqi).
 817. Fix for missing symbol messages in int10 and cirrus driver
      (Marc La France).
 816. Detect null windows of PCI-to-PCI bridges (Marc La France).
 815. Update pciConfigRec's and pciVideoRec's when relocating PCI resources
      (Marc La France).
 814. Fix handling of 64-bit PCI bases (Marc La France).
 813. Fix cursor hide on i128 in multi-head mode (Robin Cutshaw).
 812. Fix accel on i128 non-primary cards (Robin Cutshaw).
 811. locale.alias fix for ko_KR.utf8 (#4190, Won-kyu Park).
 810. Fix incorrect vtSema usage in neomagic driver DPMS code (#4184,
      Andrew C Aitchison).
 809. Fix a 1-byte overflow in Xtrans.c (#4182, Aaron Campbell).
 808. Enable building the loadable server for BSD/OS.
 807. Fix the following xkbcomp bugs:
       - 'base group' keyword added to 'whichGroup' possible values list
       - 'groupsWrap' keyword removed from 'controls' possible values list
       - fix crash in processing files with unnamed sections
       - now keep 'per key group adjustment mode' in XKM file
       - now allow an empty 'key' description to be specified in an
         xkb_symbols file.
      (#4170, Ivan Pascal).
 806. Add a "bcast" flag for mode lines, which is needed to display
      broadcast resolutions (#4169, Michel Danzer).
 805. Fix compiler warnings when building the mga driver with or without
      the Matrox HALlib, add the digital/tv-out/tvstandard/cabletype
      options, missing files, and some cleanups (#4166, Antti Tapaninen).
 804. Fix spelling from xvinfo (#4166, Antti Tapaninen).
 803. Add support to twm for displaying multibyte strings on window titles,
      and make the twm config file reader 8-bit clean (#4165, 4168, 4180,
      Tomohiro Kubota).
 802. Fix a tseng driver problem related to the usable amount of video memory
      (#4164, A.182, Randy McCaskill).
 801. Add support for the new Render extension to the nv driver, and
      turn on fb support by default in the nv driver (#4161, Jarno Paananen).
 800. Fix a typo that prevents DPS from being built statically (#4160,
      Juliusz Chroboczek).
 799. Fix some xkbfile bugs in the .xkb files that it writes
      (two adjacent commas, no xkb_types section in xkb_layout) (#4159,
      Ivan Pascal).
 798. Fix an xkbcomp bug that causes an infinite loop for some error
      message output (#4158, Ivan Pascal).
 797. Fix XlcNONE usage in charset description (#4153, Ivan Pascal).
 796. Fix a bug in XKB group adjustment (#4152, Ivan Pascal).
 795. Fix some build problems that show up with the SVR4 C compiler
      (based on #4139, Takaaki Nomura).
 794. Add two new XKB group switches (Alt+Shift and Menu key) (#4151,
      Ivan Pascal).
 793. Fix HTML man page links when the man page suffix has more than one
      character (#4150, Bruno Haible, A.149, Serguei Ostrovskii).
 792. Remove the old UTF-1 locale (it's not filesystems safe, deprecated
      for years, withdrawn from ISO standards, and nobody uses it) (#4147,
      4149, Bruno Haible).
 791. Replace multiple stub functions in libXThrStub by only one (#4141,
      Carlos A. M. dos Santos).
 790. Fix some build problems that show up with glibc 2.1.3 where ctype.h
      sometimes (always?) depends on stdlib.h being included (#4134,
      Kevin Brosius).
 789. Updates for building on BSD/OS 4.2 on UltraSparc (#4132, Kurt J. Lidl).
 788. Default to linking the Xfont library into the X server statically
      (based on #4127, Kurt J. Lidl).
 787. Update apNetBSD.shar for a kernel mmap interface change (#4124,
      Bernd Ernesti).
 786. When the "auto" mouse protocol is specified, do the auto-detection
      whenever regaining control of the VT (based on #4120, Kazutaka Yokota).
 785. Change the usage of the "Xinerama" config file option to be consistent
      with all the other ServerLayout/ServerFlags options, and document it
      in the XF86Config man page (#4118, Itai Nahshon).
 784. Add I2C/DDC support to i128 driver (Robin Cutshaw).
